GNU bug report logs - #46277
[PATCH 0/2] gnu: Add fwupd and sort patch list.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Léo Le Bouter <lle-bout@HIDDEN>; Keywords: patch; merged with #46278, #46279; dated Wed, 3 Feb 2021 23:16:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 5 Feb 2021 08:43:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 05 03:43:18 2021
Received: from localhost ([127.0.0.1]:42714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7why-0004up-8k
	for submit <at> debbugs.gnu.org; Fri, 05 Feb 2021 03:43:18 -0500
Received: from mout.web.de ([212.227.17.12]:55315)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1l7whv-0004uZ-8A
 for 46277 <at> debbugs.gnu.org; Fri, 05 Feb 2021 03:43:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1612514588;
 bh=lzEgNCjod+vqcGO52gqGvE0TL5e5AuG/EC9nJotVrt0=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=QJNg6BjbULd9pFOQUNFQn9gfnmSfe+In1KiJVNAUOXmqiO3qU2jVJsYgOg+yykgq3
 n34V+9fkeSxr6MYnOHOnA4EDYuuDqabQELm54IDyw1RvOtrWNxbCte1FpI0Yl74uAi
 S4DHxRjbGbU1ulBWvH+6CYEwqu/kWiwrslA5AkRY=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.178.88] ([5.146.192.196]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MHY5w-1l4eNk27nY-003JWt; Fri, 05
 Feb 2021 09:43:08 +0100
Subject: Re: [bug#46277] [PATCH v2 0/2] gnu: Add fwupd and sort patch list.
To: Leo Le Bouter <lle-bout@HIDDEN>, 46277 <at> debbugs.gnu.org
References: <20210203231419.26724-1-lle-bout@HIDDEN>
 <20210203233032.27932-1-lle-bout@HIDDEN>
 <1dfb7f92-7b97-58d6-e9ae-812fb1560df0@HIDDEN>
 <35532f7374ee3a544bacddf2f1eccea212df8d16.camel@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <3389e080-707e-7b83-a3d3-dfd2da7be60c@HIDDEN>
Date: Fri, 5 Feb 2021 09:43:07 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Icedove/78.6.1
MIME-Version: 1.0
In-Reply-To: <35532f7374ee3a544bacddf2f1eccea212df8d16.camel@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-DE
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:efCY/Dk6GBtLMzfeWZapRCQnTT1LFHUAvxH7rly38Uin0PIoIX/
 cKgnGhfYnhL9hPXqyrx4TgLC6xdk6x40pGsUipqfdu2XdL2yfCL36kc0usk1hT/qlE5DP9x
 sv2AF6qGy28kxDOf9P9zoqeJlPvBLfX6BM2K9Gu7qy1Oe7d9sRWuOVZ6/lPVwDrlvlrFkXG
 Bm6w/HGHYz2tCVbTg911Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tgixHwy41lo=:5CZqGwWbzeTllrnS8bgsLJ
 a4bFWhNGaB4+DzIvK5GABtFx07dFvhzQPEzydzkVUj0B4MZ+lS+m2ywfspu+1GbpO28d7Vem/
 a+OPrMeyJNAAujnHRQH6v9lYRBaoXexyLUgq+0KGCDAJx9r+ntfEhllc8/+KRTJplbbwIcubS
 Y8zzPtVNeygirQJrdkaAGpbix50FWLOZhe2lonPJlY6cLQjZEeP/oFPbhxU/WzRLOdfvyo4QY
 vu4TXKldhq7dM+mM2d9cFom9MaVO4YpKKtjgnkl3r/kGrv0/gjBubRB7YhUzw0ppYKQ0bAVk2
 e8zJ4WuMHqRY1qg4UH3QW0sW/GhhPAURxL1OpELV9Yc7oP81wF+MTxbhgolg905sKhf077Kac
 N3cD0jnujTG+a0XaXTHlsdrH3FSiYcclaN2B0aOWlaMnCy1pb0v7BIZV84kHOTkrEGAHTeGwS
 rl5Z55hwllA6vdQ+jGndUwqWrLHfuARmzWjx5ikBqv5in9eMGx3vk5UU5UA7e6X4D7CTf4bZ7
 8oKR9FZ6ayHCGzU/lxEx2nTENzieTZRZhooQYc04zUupIQ4lwzmftsGKYvqPGZ+pciKBfp2y0
 SEdsnfzeTlHaRBsxYaZ+hWB5Hvqk3OCHRpPoeSrR89hd3N0pfLiNnITbuAeOiEom746rVyPVr
 wNWxxfV9QHjj6WbF4h5qK7iLCCHfoO8pLPiDV/ap1wOd9eu8dgYYBfRGWl0FzmHYBkpzwIjzt
 LLy5CUqUJpLRHB/968WJjfJ2NIrRrG/Tm5rmBYSiyPlHa6TcViOVAt5oN7yZ3xjg0MOG3ERhn
 hMV0DEPDPiA/APLHheGWe0z4NOK7+XyDDsMNBe1zgFh1OtZJBw02UQi89/8kVEMRkL7w2oBmH
 8OpkhXSN95sApWN3xz4IL/2gDP94DqOHDhiUISbGk=
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: 46277
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

On 05.02.21 03:03, Leo Le Bouter wrote:
> On Fri, 2021-02-05 at 00:14 +0100, Jonathan Brielmaier wrote:
>> Can you provide a git link (github, gitlab, whatever)? It doesn't
>> really
>> work with patches send via the mumi interface. Thanks.
>
> I pushed it as branch "lle-bout/add-fwupd" to
> https://git.sr.ht/~lle-bout/guix

Thanks fwupd fails building with:
guix/build/utils.scm:654:6: In procedure invoke:

ERROR:

   1. &invoke-error:

       program:
"/gnu/store/cd5qf3kcnlq35p9k392pjdpdzpsnds70-patch-2.7.6/bin/patch"

       arguments: ("--force" "--no-backup-if-mismatch" "-p1" "--input"
"/gnu/store/lxvqv2gcsp5k098kkcr1r4imbx8hiady-fwupd-remove-nonfree-lvfs-rep=
o.patch")

       exit-status: 1

       term-signal: #f

       stop-signal: #f






Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 5 Feb 2021 02:04:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 04 21:04:14 2021
Received: from localhost ([127.0.0.1]:42522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7qTm-0003MF-KR
	for submit <at> debbugs.gnu.org; Thu, 04 Feb 2021 21:04:14 -0500
Received: from mail.zaclys.net ([178.33.93.72]:38793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7qTk-0003Lx-05
 for 46277 <at> debbugs.gnu.org; Thu, 04 Feb 2021 21:04:13 -0500
Received: from guix-xps (lfbn-idf3-1-89-224.w81-249.abo.wanadoo.fr
 [81.249.216.224]) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 115245JQ026547
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO);
 Fri, 5 Feb 2021 03:04:05 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 115245JQ026547
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612490645;
 bh=9Pr/2rQ7gviNSK47IEMLO+NpAdF6216qQUYsAOkFhmY=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=o8SQ5KMDvLJ0K3a1LX0fjxlN2TdMzu7rg5GkQkxSJkGTKKof+c/Ah0UxhLFy9znwi
 rY/mZJZiDgV4iNL7mySK40sPJPgJTO2rxYAKdXIVqO9D6MSQJ/yBsLVD1gnwKqRnM+
 GZvrfBWNUsThOoKdbzDiEODVtOcLoVl6IeGd9j+o=
Message-ID: <35532f7374ee3a544bacddf2f1eccea212df8d16.camel@HIDDEN>
Subject: Re: [bug#46277] [PATCH v2 0/2] gnu: Add fwupd and sort patch list.
From: Leo Le Bouter <lle-bout@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>, 46277 <at> debbugs.gnu.org
Date: Fri, 05 Feb 2021 03:03:57 +0100
In-Reply-To: <1dfb7f92-7b97-58d6-e9ae-812fb1560df0@HIDDEN>
References: <20210203231419.26724-1-lle-bout@HIDDEN>
 <20210203233032.27932-1-lle-bout@HIDDEN>
 <1dfb7f92-7b97-58d6-e9ae-812fb1560df0@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-zeMYE0lieMt8JzAbVXyz"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-zeMYE0lieMt8JzAbVXyz
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Fri, 2021-02-05 at 00:14 +0100, Jonathan Brielmaier wrote:
> Can you provide a git link (github, gitlab, whatever)? It doesn't
> really
> work with patches send via the mumi interface. Thanks.

I pushed it as branch "lle-bout/add-fwupd" to=20
https://git.sr.ht/~lle-bout/guix

--=-zeMYE0lieMt8JzAbVXyz
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmAcp40ACgkQRaix6GvN
EKaEuBAAmOAOXpYKqoHg0qFs9kmRG17hp0TK2Ag2MpXACCE7Ga3d/B7/D3A5r3H7
n+ESNLfP+DSjsL3USPMMtF7x9S2GtWccBajN50Rrzz/ulYgdwNhUT7JLvwCkyk/u
e+OcihLB11vDUmzqqn+xAHDT2xtEn07S7wdYngCwMgUw1Qr4bJY4PhIwEXuctPeA
faQp0UdiFQf4CdiNeUUxxew008Bp5cpa1uPSVaDG4ckx8hCvKsSurwPlcqC7G8sC
CTktkjz8bpB0S4IB3+wtIqB74Igc63N0kR8CYrDWkQ+u+Pp32VHoGgWwI++ZiBpF
l+zhv+hShNDFvwZ2EiqmbzP2XMmXlsf5VyZkHRVgTDkeswAIRNDr7im/hj8+FbQC
rVqR9jJtDgIlpFBewmOWVpw9ra2eYE8y1Tm0U5vjLAlaO2jnVGSJT7GQBpiW4wvx
fKa1ApSjIq6bhh25f79xUsfkWySL6ep4UdT+UYdJBHk5TI64VRaFSuWofba84wRC
dZZ0nGph6PFTh0W+yDI5TktjI6C9IN9e7RumlR9y77pSGzsdswSEosl7f6OoHpK2
NStudL8uaeLS8LtYLQzsWmdEvYRHGc7PgeThbtI1H6azgIM3CJNU6Wd5iH134LGh
a2VEI1QDoIKdQz6Acik9IjnlNr/DHfeRWaRl9BzKMxsKCFA9qXE=
=q5vS
-----END PGP SIGNATURE-----

--=-zeMYE0lieMt8JzAbVXyz--





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 4 Feb 2021 23:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 04 18:52:52 2021
Received: from localhost ([127.0.0.1]:42498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7oQd-0000BV-VQ
	for submit <at> debbugs.gnu.org; Thu, 04 Feb 2021 18:52:52 -0500
Received: from mail.zaclys.net ([178.33.93.72]:60111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7oQb-0000BH-Tc
 for 46277 <at> debbugs.gnu.org; Thu, 04 Feb 2021 18:52:50 -0500
Received: from guix-xps (lfbn-idf3-1-89-224.w81-249.abo.wanadoo.fr
 [81.249.216.224]) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 114NqgR4056620
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO);
 Fri, 5 Feb 2021 00:52:42 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 114NqgR4056620
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612482763;
 bh=nYurjkJ9CK3EgZ61a1obG61jT6jsjIDzsBQGsE0AM44=;
 h=Subject:From:To:Date:In-Reply-To:References:From;
 b=PtYEOVMvC+Q731/sjGyIKwciRfV2CD1LM+VFHv+QM1ZM32SlRtlxChLS4UWMYjKys
 3fQmbUpyY3KyhnH2nuxV6A3/mirLdb+kyskGWO2YKuHzhHaj7YblocCZeMKMzQoxHT
 uOnPiPDPdjKFrEPvdhZfGot4OIAOuFwEDtzi9W6s=
Message-ID: <16a008c948627d3e570eb9897542b3ee2028f0dd.camel@HIDDEN>
Subject: Re: [bug#46277] [PATCH v2 0/2] gnu: Add fwupd and sort patch list.
From: Leo Le Bouter <lle-bout@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>, 46277 <at> debbugs.gnu.org
Date: Fri, 05 Feb 2021 00:52:36 +0100
In-Reply-To: <1dfb7f92-7b97-58d6-e9ae-812fb1560df0@HIDDEN>
References: <20210203231419.26724-1-lle-bout@HIDDEN>
 <20210203233032.27932-1-lle-bout@HIDDEN>
 <1dfb7f92-7b97-58d6-e9ae-812fb1560df0@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-3be2+2ILtSnnLJzlsXRL"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-3be2+2ILtSnnLJzlsXRL
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Fri, 2021-02-05 at 00:14 +0100, Jonathan Brielmaier wrote:
> Can you provide a git link (github, gitlab, whatever)? It doesn't
> really
> work with patches send via the mumi interface. Thanks.

What does not work? I do not host my patches on a git server. Did you
use "git am" and it did not apply?

--=-3be2+2ILtSnnLJzlsXRL
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmAciMQACgkQRaix6GvN
EKZAZg/+Jufxz0l+nigZyUsMhRPrr+BziRenv6zEvGbVEw9bYxu41AHc5BqTIIvS
l+jk3cX8nkNcZaAP/oc5BhOvNRkN4l3UMc4JeVCTBvZ7/8P8IYfay3xVAud2v3k+
PFtmvTq2mZhH5NIYtDz+vxV+z9kC0kMukm0kyswEZ4/NCF2DH/LeJ9uson/nB35H
a12itAzkZ1TVHb/ciuuyQWxzqoNPGf7qWInez6x49HHaFc1O5P2XppNFpsNBB1WL
CpdGOdDrTdgftgn837kEdA6zguvv22t4ZSZ6bmJtvIx1Nvf0xM936DuFQUbbLJAV
Yb7NY6efBwBpurNdLx8NW5Nr/RAinwvg95PAjXfNGmEy5cgtV5mdAFsvibHEMSdo
02p8UIqQCY/o390ZVB2zHgO6cgUsg9PsrhikeX4ybFnM2gIJ/pILEnPNH7wDuUHr
a+/z8c8YbAOtHAVF8IgA+qJqkV95BEWWDvumNfBO4/swsyMCIAwGJg1brbtotIpe
vgtWg8InUOV5KtXdPvakBilvfe43i+92my4UwszoAuVoXeHw8ChQ09y5O2oWG14R
IykRIumzDevvLSsbCmAcZ54RSiJVbIg5YeiCxBMIJELL4Y0QjVa+KbQjHluxUUmm
jWMSGC9ePsgBPW05Eb07IUTid1AhFcLSqMBasMAM71jz1uTinL8=
=t2Ke
-----END PGP SIGNATURE-----

--=-3be2+2ILtSnnLJzlsXRL--





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 4 Feb 2021 23:14:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 04 18:14:36 2021
Received: from localhost ([127.0.0.1]:42485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7npb-0007jb-OI
	for submit <at> debbugs.gnu.org; Thu, 04 Feb 2021 18:14:36 -0500
Received: from mout.web.de ([212.227.17.11]:48473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1l7npZ-0007jM-2R
 for 46277 <at> debbugs.gnu.org; Thu, 04 Feb 2021 18:14:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1612480466;
 bh=B7puUnE4qRR226HMb4aB174fRXG0Pj8mYUppFVDgqak=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=FUAdCFS+0Gg66RB8sp5sYsmZ/bIU1J5iTu6bBEttWQJvU5yxgSreKkgo5Mb9TTtZ9
 oGMAHOOKFUKSHyzGlOd6qF00cz3RdhwiDqE4X5B12x+KyfgO1jfZiT9o+0Cc9IMq88
 zM1IhJ2Hirw3rCGVHA4iY+jatCoViDyPxbsTYph0=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [192.168.178.88] ([5.146.192.196]) by smtp.web.de (mrweb105
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MuVGC-1lzDOa1Pco-00rX67; Fri, 05
 Feb 2021 00:14:26 +0100
Subject: Re: [bug#46277] [PATCH v2 0/2] gnu: Add fwupd and sort patch list.
To: =?UTF-8?Q?L=c3=a9o_Le_Bouter?= <lle-bout@HIDDEN>, 46277 <at> debbugs.gnu.org
References: <20210203231419.26724-1-lle-bout@HIDDEN>
 <20210203233032.27932-1-lle-bout@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <1dfb7f92-7b97-58d6-e9ae-812fb1560df0@HIDDEN>
Date: Fri, 5 Feb 2021 00:14:25 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Icedove/78.6.1
MIME-Version: 1.0
In-Reply-To: <20210203233032.27932-1-lle-bout@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:YQgMLPgsPse4ZuKeXPpu6opMpLsf/rKEN4j0Tafx+bd7CPv8CUn
 ru/r6DS4lTUs/uxpgYwdXQlh7xqtpsFbQO0Rm3QD5kGz9RZX8RmE+xGA3vFuqM3ktNfirHb
 DPOO+tBDZmCEntAXyGf8q92vnS/lH7JmBMAbP83Ocq9YaGQoA2gQkjMx+NQ1CFXDEAEbLyS
 VOQAve/tz8SGJjkcULw2Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:rgn0zT4J5E8=:fkP0BC2coq/Ef8ntQdFCcd
 OQnqqnqHUoEcqWYV4sBqK7uwFVYdEK6BWGaI7Mdqi08XTFwO6iAmnMKw+Fu4wg1fb4Q+kBZ86
 h8Od6Wcm4nmMNh4Dr/IgCnbavaPAZqNTMQ25b558iu/nq5sXXLpzwRqc5A15moZQVOJpdmYIt
 DI4O63AtE7831uzBZGTNUHZZpE6EMRhJh4zlL8K02UvqfYDSeIuv4V7TWEososo8WMm9HZFFv
 cXVU6sl0RmI4t/KSUr6J+J+36Ew+EJUOhXhUoaVEdKOf/Uo7fcDgAOR3ix1lhfzoc2xcbyBaD
 uhsF1LDxM5gi2KniScCd6CyJEnta+E29uqhrhdDy/44cB5bhLpIc1oW01WAHHGn98ZDnh0CAJ
 Bn8o73dwRZ7ktBBN7WV6rNEJDgPFwH/TXQqX7ZXa1JHuxGrHGcV/UVh5KfDkeMhCLcXqScPPU
 IysAfPBJLszbhmJ4sMfNz/xok2OUE7Afpd0xpyPMIbkHB63Jx4rxIpYfwyGZhADsX/lJ+PFvk
 0PN3Xm5y4AwMEZZ57c2f/xREZxVzmtAFfiNiRmsPkYFABzBDN7byyXH3pXIIF+vQESOoWbL3L
 +obWggvnf7G30iWJGJ8KlmYmt8aIw+CrsUnwlvhNqY+0wFxWR0c7eq/40hf7B3eud7RId5nWA
 cAlZi/FmvmALCgqnzXiQN6LHWkyyyYp2yiqJF7b+BoxwWXGryy9NSPRAAmhwLxvw8dwFRSfd7
 fpKukrPiklQhC6+8/HWZB654bbenZsDeRNh6QsXGwPzckLdFbzisnfulmPbQWkE/vBGxG+X4+
 VZ6fBb35JP3OIBjS6j9n9XwvOU1D5D9kbgntR3bNyjYWnHnOQ/IEPpjCXY8SdyBYafm6nUtkU
 Ts3zKfYdtpXbvpkiB6UTyj22zMovGAGcTQxCG4EcY=
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: 46277
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

On 04.02.21 00:30, guix-patches--- via wrote:
> Little oopsie here, duplicated some module imports. Fixed now.
>
> L=C3=A9o Le Bouter (2):
>    gnu: Sort patch list alphabetically.
>    gnu: Add fwupd.

Can you provide a git link (github, gitlab, whatever)? It doesn't really
work with patches send via the mumi interface. Thanks.




Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 4 Feb 2021 03:00:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 03 22:00:05 2021
Received: from localhost ([127.0.0.1]:39349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7UsE-0006xT-Fy
	for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 22:00:05 -0500
Received: from mail.zaclys.net ([178.33.93.72]:56237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7Us4-0006vy-T9
 for 46277 <at> debbugs.gnu.org; Wed, 03 Feb 2021 21:59:55 -0500
Received: from localhost.localdomain
 (lam21-1_migr-78-196-200-185.fbx.proxad.net [78.196.200.185] (may be forged))
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 1142xaCX035813
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Thu, 4 Feb 2021 03:59:45 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 1142xaCX035813
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612407586;
 bh=cKVEYooKILDscu2bUYiIJ0p4dcVqGQej8pEIuV0dvHg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=auhps9LoiemEXQX7NdBF+wVguG+92Dr3VQsg3VOHn59Z5tqXjKTw7BhLH7kjNuSp0
 czvDIxsleT2thKGiKJK/a/lcHCfyB4AveCqo6NuCehvFNV/GrvM9tbpJzWJq5F+IXU
 TnpAeSUGbIaEfvTNzYBuu/pTS04/wGgI1jxVvN7E=
From: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
To: 46277 <at> debbugs.gnu.org
Subject: [PATCH v3 1/2] gnu: Sort patch list alphabetically.
Date: Thu,  4 Feb 2021 03:59:32 +0100
Message-Id: <20210204025933.4611-2-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210204025933.4611-1-lle-bout@HIDDEN>
References: <20210204025933.4611-1-lle-bout@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
Cc: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/local.mk (dist_patch_DATA): Sort alphabetically.
---
 gnu/local.mk | 400 +++++++++++++++++++++++++--------------------------
 1 file changed, 200 insertions(+), 200 deletions(-)

diff --git a/gnu/local.mk b/gnu/local.mk
index b9b4b664e4..5ef82650c7 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -781,20 +781,20 @@ dist_patch_DATA =						\
   %D%/packages/patches/a2ps-CVE-2014-0466.patch	\
   %D%/packages/patches/a2ps-CVE-2015-8107.patch	\
   %D%/packages/patches/abcl-fix-build-xml.patch	\
-  %D%/packages/patches/ableton-link-system-libraries-debian.patch	\
   %D%/packages/patches/abiword-explictly-cast-bools.patch	\
+  %D%/packages/patches/ableton-link-system-libraries-debian.patch	\
   %D%/packages/patches/adb-add-libraries.patch			\
   %D%/packages/patches/aegis-constness-error.patch         	\
   %D%/packages/patches/aegis-perl-tempdir1.patch           	\
   %D%/packages/patches/aegis-perl-tempdir2.patch           	\
   %D%/packages/patches/aegis-test-fixup-1.patch            	\
   %D%/packages/patches/aegis-test-fixup-2.patch            	\
-  %D%/packages/patches/aegisub-icu59-include-unistr.patch	\
   %D%/packages/patches/aegisub-boost68.patch			\
+  %D%/packages/patches/aegisub-icu59-include-unistr.patch	\
   %D%/packages/patches/aegisub-make43.patch			\
   %D%/packages/patches/agg-am_c_prototype.patch			\
-  %D%/packages/patches/akonadi-paths.patch		\
   %D%/packages/patches/akonadi-not-relocatable.patch		\
+  %D%/packages/patches/akonadi-paths.patch		\
   %D%/packages/patches/akonadi-timestamps.patch		\
   %D%/packages/patches/allegro-mesa-18.2.5-and-later.patch	\
   %D%/packages/patches/amule-crypto-6.patch			\
@@ -807,21 +807,21 @@ dist_patch_DATA =						\
   %D%/packages/patches/ath9k-htc-firmware-binutils.patch	\
   %D%/packages/patches/ath9k-htc-firmware-gcc.patch		\
   %D%/packages/patches/ath9k-htc-firmware-objcopy.patch		\
-  %D%/packages/patches/audacity-build-with-system-portaudio.patch \
   %D%/packages/patches/audacity-add-include.patch 		\
-  %D%/packages/patches/audiofile-fix-datatypes-in-tests.patch	\
-  %D%/packages/patches/audiofile-fix-sign-conversion.patch	\
+  %D%/packages/patches/audacity-build-with-system-portaudio.patch \
   %D%/packages/patches/audiofile-CVE-2015-7747.patch		\
   %D%/packages/patches/audiofile-CVE-2018-13440.patch		\
   %D%/packages/patches/audiofile-CVE-2018-17095.patch		\
-  %D%/packages/patches/audiofile-check-number-of-coefficients.patch \
   %D%/packages/patches/audiofile-Fail-on-error-in-parseFormat.patch \
   %D%/packages/patches/audiofile-Fix-index-overflow-in-IMA.cpp.patch \
-  %D%/packages/patches/audiofile-multiply-overflow.patch	\
-  %D%/packages/patches/audiofile-overflow-in-MSADPCM.patch	\
+  %D%/packages/patches/audiofile-check-number-of-coefficients.patch \
   %D%/packages/patches/audiofile-division-by-zero.patch 	\
-  %D%/packages/patches/audiofile-hurd.patch 			\
+  %D%/packages/patches/audiofile-fix-datatypes-in-tests.patch	\
+  %D%/packages/patches/audiofile-fix-sign-conversion.patch	\
   %D%/packages/patches/audiofile-function-signature.patch	\
+  %D%/packages/patches/audiofile-hurd.patch 			\
+  %D%/packages/patches/audiofile-multiply-overflow.patch	\
+  %D%/packages/patches/audiofile-overflow-in-MSADPCM.patch	\
   %D%/packages/patches/automake-skip-amhello-tests.patch	\
   %D%/packages/patches/avahi-localstatedir.patch		\
   %D%/packages/patches/avidemux-install-to-lib.patch		\
@@ -829,25 +829,14 @@ dist_patch_DATA =						\
   %D%/packages/patches/aws-c-event-stream-cmake-prefix.patch  \
   %D%/packages/patches/aws-checksums-cmake-prefix.patch		\
   %D%/packages/patches/azr3.patch				\
-  %D%/packages/patches/bash-reproducible-linux-pgrp-pipe.patch	\
   %D%/packages/patches/bash-completion-directories.patch	\
   %D%/packages/patches/bash-linux-pgrp-pipe.patch		\
+  %D%/packages/patches/bash-reproducible-linux-pgrp-pipe.patch	\
   %D%/packages/patches/bastet-change-source-of-unordered_set.patch	\
   %D%/packages/patches/bazaar-CVE-2017-14176.patch		\
   %D%/packages/patches/bc-fix-cross-compilation.patch		\
-  %D%/packages/patches/bear-disable-preinstall-tests.patch	\
-  %D%/packages/patches/bsd-games-2.17-64bit.patch		\
-  %D%/packages/patches/bsd-games-add-configure-config.patch	\
-  %D%/packages/patches/bsd-games-add-wrapper.patch		\
-  %D%/packages/patches/bsd-games-bad-ntohl-cast.patch		\
-  %D%/packages/patches/bsd-games-dont-install-empty-files.patch	\
-  %D%/packages/patches/bsd-games-gamescreen.h.patch		\
-  %D%/packages/patches/bsd-games-getline.patch			\
-  %D%/packages/patches/bsd-games-null-check.patch		\
-  %D%/packages/patches/bsd-games-number.c-and-test.patch	\
-  %D%/packages/patches/bsd-games-prevent-name-collisions.patch	\
-  %D%/packages/patches/bsd-games-stdio.h.patch			\
   %D%/packages/patches/beancount-disable-googleapis-fonts.patch	\
+  %D%/packages/patches/bear-disable-preinstall-tests.patch	\
   %D%/packages/patches/beets-werkzeug-compat.patch		\
   %D%/packages/patches/behave-skip-a-couple-of-tests.patch	\
   %D%/packages/patches/beignet-correct-file-names.patch		\
@@ -856,8 +845,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/bidiv-update-fribidi.patch		\
   %D%/packages/patches/binutils-boot-2.20.1a.patch		\
   %D%/packages/patches/binutils-loongson-workaround.patch	\
-  %D%/packages/patches/binutils-mingw-w64-timestamp.patch	\
   %D%/packages/patches/binutils-mingw-w64-deterministic.patch	\
+  %D%/packages/patches/binutils-mingw-w64-timestamp.patch	\
   %D%/packages/patches/blender-2.79-gcc8.patch			\
   %D%/packages/patches/blender-2.79-gcc9.patch			\
   %D%/packages/patches/blender-2.79-newer-ffmpeg.patch		\
@@ -865,38 +854,51 @@ dist_patch_DATA =						\
   %D%/packages/patches/blender-2.79-python-3.7-fix.patch	\
   %D%/packages/patches/blender-2.79-python-3.8-fix.patch	\
   %D%/packages/patches/bpftrace-disable-bfd-disasm.patch	\
+  %D%/packages/patches/bsd-games-2.17-64bit.patch		\
+  %D%/packages/patches/bsd-games-add-configure-config.patch	\
+  %D%/packages/patches/bsd-games-add-wrapper.patch		\
+  %D%/packages/patches/bsd-games-bad-ntohl-cast.patch		\
+  %D%/packages/patches/bsd-games-dont-install-empty-files.patch	\
+  %D%/packages/patches/bsd-games-gamescreen.h.patch		\
+  %D%/packages/patches/bsd-games-getline.patch			\
+  %D%/packages/patches/bsd-games-null-check.patch		\
+  %D%/packages/patches/bsd-games-number.c-and-test.patch	\
+  %D%/packages/patches/bsd-games-prevent-name-collisions.patch	\
+  %D%/packages/patches/bsd-games-stdio.h.patch			\
   %D%/packages/patches/byobu-writable-status.patch		\
+  %D%/packages/patches/c++-gsl-find-system-gtest.patch		\
   %D%/packages/patches/calibre-no-updates-dialog.patch		\
   %D%/packages/patches/calibre-remove-test-sqlite.patch		\
   %D%/packages/patches/calibre-remove-test-unrar.patch		\
   %D%/packages/patches/casync-renameat2-declaration.patch	\
   %D%/packages/patches/catdoc-CVE-2017-11110.patch		\
-  %D%/packages/patches/circos-remove-findbin.patch		\
   %D%/packages/patches/cdparanoia-fpic.patch			\
   %D%/packages/patches/cdrtools-3.01-mkisofs-isoinfo.patch 	\
   %D%/packages/patches/ceph-disable-cpu-optimizations.patch	\
   %D%/packages/patches/chmlib-inttypes.patch			\
+  %D%/packages/patches/circos-remove-findbin.patch		\
   %D%/packages/patches/cl-asdf-config-directories.patch		\
   %D%/packages/patches/clamav-config-llvm-libs.patch		\
   %D%/packages/patches/clamav-system-tomsfastmath.patch		\
+  %D%/packages/patches/clang-10.0-libc-search-path.patch	\
+  %D%/packages/patches/clang-11.0-libc-search-path.patch	\
   %D%/packages/patches/clang-3.5-libc-search-path.patch		\
   %D%/packages/patches/clang-3.5-libsanitizer-ustat-fix.patch	\
   %D%/packages/patches/clang-3.8-libc-search-path.patch		\
   %D%/packages/patches/clang-6.0-libc-search-path.patch		\
   %D%/packages/patches/clang-7.0-libc-search-path.patch		\
   %D%/packages/patches/clang-9.0-libc-search-path.patch		\
-  %D%/packages/patches/clang-10.0-libc-search-path.patch	\
-  %D%/packages/patches/clang-11.0-libc-search-path.patch	\
-  %D%/packages/patches/clang-runtime-asan-build-fixes.patch	\
-  %D%/packages/patches/clang-runtime-esan-build-fixes.patch	\
-  %D%/packages/patches/clang-runtime-9-libsanitizer-mode-field.patch	\
   %D%/packages/patches/clang-runtime-3.5-libsanitizer-mode-field.patch	\
-  %D%/packages/patches/clang-runtime-3.9-libsanitizer-mode-field.patch	\
   %D%/packages/patches/clang-runtime-3.8-libsanitizer-mode-field.patch	\
+  %D%/packages/patches/clang-runtime-3.9-libsanitizer-mode-field.patch	\
+  %D%/packages/patches/clang-runtime-9-libsanitizer-mode-field.patch	\
+  %D%/packages/patches/clang-runtime-asan-build-fixes.patch	\
+  %D%/packages/patches/clang-runtime-esan-build-fixes.patch	\
   %D%/packages/patches/classpath-aarch64-support.patch		\
   %D%/packages/patches/clementine-fix-sqlite.patch		\
   %D%/packages/patches/clementine-remove-crypto++-dependency.patch	\
   %D%/packages/patches/clementine-use-openssl.patch		\
+  %D%/packages/patches/clucene-contribs-lib.patch               \
   %D%/packages/patches/clucene-pkgconfig.patch			\
   %D%/packages/patches/cmake-curl-certificates.patch		\
   %D%/packages/patches/coda-use-system-libs.patch		\
@@ -908,20 +910,18 @@ dist_patch_DATA =						\
   %D%/packages/patches/cpufrequtils-fix-aclocal.patch		\
   %D%/packages/patches/crawl-upgrade-saves.patch		\
   %D%/packages/patches/crda-optional-gcrypt.patch		\
-  %D%/packages/patches/clucene-contribs-lib.patch               \
   %D%/packages/patches/cube-nocheck.patch			\
   %D%/packages/patches/curl-use-ssl-cert-env.patch		\
   %D%/packages/patches/cursynth-wave-rand.patch			\
   %D%/packages/patches/cvs-CVE-2017-12836.patch		\
   %D%/packages/patches/cyrus-sasl-ac-try-run-fix.patch		\
-  %D%/packages/patches/c++-gsl-find-system-gtest.patch		\
   %D%/packages/patches/date-output-pkg-config-files.patch	\
   %D%/packages/patches/datefudge-gettimeofday.patch		\
   %D%/packages/patches/dbacl-include-locale.h.patch		\
-  %D%/packages/patches/dbus-helper-search-path.patch		\
   %D%/packages/patches/dbus-CVE-2020-12049.patch		\
   %D%/packages/patches/dbus-c++-gcc-compat.patch		\
   %D%/packages/patches/dbus-c++-threading-mutex.patch		\
+  %D%/packages/patches/dbus-helper-search-path.patch		\
   %D%/packages/patches/dbxfs-remove-sentry-sdk.patch		\
   %D%/packages/patches/debops-constants-for-external-program-names.patch \
   %D%/packages/patches/debops-debops-defaults-fall-back-to-less.patch \
@@ -931,13 +931,13 @@ dist_patch_DATA =						\
   %D%/packages/patches/dfu-programmer-fix-libusb.patch		\
   %D%/packages/patches/diffutils-gets-undeclared.patch		\
   %D%/packages/patches/dkimproxy-add-ipv6-support.patch		\
-  %D%/packages/patches/docbook-xsl-nonrecursive-string-subst.patch	\
   %D%/packages/patches/doc++-include-directives.patch		\
   %D%/packages/patches/doc++-segfault-fix.patch			\
+  %D%/packages/patches/docbook-xsl-nonrecursive-string-subst.patch	\
   %D%/packages/patches/docker-fix-tests.patch			\
   %D%/packages/patches/dovecot-trees-support-dovecot-2.3.patch	\
-  %D%/packages/patches/doxygen-test.patch			\
   %D%/packages/patches/doxygen-1.8.17-runtests.patch		\
+  %D%/packages/patches/doxygen-test.patch			\
   %D%/packages/patches/dstat-fix-crash-when-specifying-delay.patch	\
   %D%/packages/patches/dstat-skip-devices-without-io.patch	\
   %D%/packages/patches/dune-istl-2.7-fix-non-mpi-tests.patch	\
@@ -955,10 +955,10 @@ dist_patch_DATA =						\
   %D%/packages/patches/emacs-exec-path.patch			\
   %D%/packages/patches/emacs-exwm-fix-fullscreen-states.patch	\
   %D%/packages/patches/emacs-fix-scheme-indent-function.patch	\
-  %D%/packages/patches/emacs-ignore-empty-xim-styles.patch	\
-  %D%/packages/patches/emacs-json-reformat-fix-tests.patch	\
   %D%/packages/patches/emacs-highlight-stages-add-gexp.patch	\
   %D%/packages/patches/emacs-hyperbole-toggle-messaging.patch	\
+  %D%/packages/patches/emacs-ignore-empty-xim-styles.patch	\
+  %D%/packages/patches/emacs-json-reformat-fix-tests.patch	\
   %D%/packages/patches/emacs-libgit-use-system-libgit2.patch    \
   %D%/packages/patches/emacs-source-date-epoch.patch		\
   %D%/packages/patches/emacs-telega-patch-server-functions.patch	\
@@ -970,11 +970,11 @@ dist_patch_DATA =						\
   %D%/packages/patches/erlang-man-path.patch			\
   %D%/packages/patches/eudev-rules-directory.patch		\
   %D%/packages/patches/evilwm-lost-focus-bug.patch		\
-  %D%/packages/patches/evolution-data-server-locales.patch	\
   %D%/packages/patches/evolution-data-server-libical-compat.patch	\
+  %D%/packages/patches/evolution-data-server-locales.patch	\
   %D%/packages/patches/exercism-disable-self-update.patch	\
-  %D%/packages/patches/exiv2-CVE-2017-14860.patch		\
   %D%/packages/patches/exiv2-CVE-2017-14859-14862-14864.patch	\
+  %D%/packages/patches/exiv2-CVE-2017-14860.patch		\
   %D%/packages/patches/extempore-unbundle-external-dependencies.patch	\
   %D%/packages/patches/extundelete-e2fsprogs-1.44.patch		\
   %D%/packages/patches/farstream-make.patch                          \
@@ -982,9 +982,9 @@ dist_patch_DATA =						\
   %D%/packages/patches/fastcap-mulSetup.patch			\
   %D%/packages/patches/fasthenry-spAllocate.patch		\
   %D%/packages/patches/fasthenry-spBuild.patch			\
-  %D%/packages/patches/fasthenry-spUtils.patch			\
-  %D%/packages/patches/fasthenry-spSolve.patch			\
   %D%/packages/patches/fasthenry-spFactor.patch			\
+  %D%/packages/patches/fasthenry-spSolve.patch			\
+  %D%/packages/patches/fasthenry-spUtils.patch			\
   %D%/packages/patches/fbreader-curl-7.62.patch		\
   %D%/packages/patches/fifengine-swig-compat.patch		\
   %D%/packages/patches/fifo-map-fix-flags-for-gcc.patch		\
@@ -992,14 +992,14 @@ dist_patch_DATA =						\
   %D%/packages/patches/findutils-localstatedir.patch		\
   %D%/packages/patches/findutils-test-rwlock-threads.patch	\
   %D%/packages/patches/flann-cmake-3.11.patch			\
+  %D%/packages/patches/fontconfig-hurd-path-max.patch		\
   %D%/packages/patches/foobillard++-pkg-config.patch		\
   %D%/packages/patches/foomatic-filters-CVE-2015-8327.patch	\
   %D%/packages/patches/foomatic-filters-CVE-2015-8560.patch	\
-  %D%/packages/patches/fontconfig-hurd-path-max.patch		\
   %D%/packages/patches/fpc-reproducibility.patch		\
   %D%/packages/patches/fplll-std-fenv.patch     		\
-  %D%/packages/patches/freedink-engine-fix-sdl-hints.patch	\
   %D%/packages/patches/freebayes-devendor-deps.patch		\
+  %D%/packages/patches/freedink-engine-fix-sdl-hints.patch	\
   %D%/packages/patches/freeimage-unbundle.patch		\
   %D%/packages/patches/fuse-overlapping-headers.patch				\
   %D%/packages/patches/gajim-honour-GAJIM_PLUGIN_PATH.patch	\
@@ -1013,50 +1013,49 @@ dist_patch_DATA =						\
   %D%/packages/patches/ganeti-shepherd-support.patch		\
   %D%/packages/patches/gash-utils-ls-test.patch			\
   %D%/packages/patches/gawk-shell.patch				\
-  %D%/packages/patches/gcc-arm-bug-71399.patch			\
-  %D%/packages/patches/gcc-arm-link-spec-fix.patch		\
-  %D%/packages/patches/gcc-asan-missing-include.patch		\
-  %D%/packages/patches/gcc-boot-2.95.3.patch			\
-  %D%/packages/patches/gcc-boot-4.6.4.patch			\
-  %D%/packages/patches/gcc-cross-environment-variables.patch	\
-  %D%/packages/patches/gcc-fix-texi2pod.patch			\
+  %D%/packages/patches/gcc-4-compile-with-gcc-5.patch		 \
+  %D%/packages/patches/gcc-4.6-gnu-inline.patch			\
   %D%/packages/patches/gcc-4.8-libsanitizer-fix.patch		\
   %D%/packages/patches/gcc-4.9-libsanitizer-fix.patch		\
-  %D%/packages/patches/gcc-4.9-libsanitizer-ustat.patch		\
-  %D%/packages/patches/gcc-libsanitizer-ustat.patch		\
   %D%/packages/patches/gcc-4.9-libsanitizer-mode-size.patch	\
-  %D%/packages/patches/gcc-6-fix-isl-includes.patch	\
-  %D%/packages/patches/gcc-6-fix-buffer-size.patch	\
-  %D%/packages/patches/gcc-6-libsanitizer-mode-size.patch	\
-  %D%/packages/patches/gcc-7-libsanitizer-mode-size.patch	\
-  %D%/packages/patches/gcc-libvtv-runpath.patch			\
-  %D%/packages/patches/gcc-strmov-store-file-names.patch	\
-  %D%/packages/patches/gcc-4-compile-with-gcc-5.patch		 \
-  %D%/packages/patches/gcc-4.6-gnu-inline.patch			\
+  %D%/packages/patches/gcc-4.9-libsanitizer-ustat.patch		\
   %D%/packages/patches/gcc-4.9.3-mingw-gthr-default.patch	\
   %D%/packages/patches/gcc-5-hurd.patch				\
-  %D%/packages/patches/gcc-5.0-libvtv-runpath.patch		\
   %D%/packages/patches/gcc-5-source-date-epoch-1.patch		\
   %D%/packages/patches/gcc-5-source-date-epoch-2.patch		\
+  %D%/packages/patches/gcc-5.0-libvtv-runpath.patch		\
   %D%/packages/patches/gcc-6-arm-none-eabi-multilib.patch	\
   %D%/packages/patches/gcc-6-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-6-fix-buffer-size.patch	\
+  %D%/packages/patches/gcc-6-fix-isl-includes.patch	\
+  %D%/packages/patches/gcc-6-libsanitizer-mode-size.patch	\
   %D%/packages/patches/gcc-6-source-date-epoch-1.patch		\
   %D%/packages/patches/gcc-6-source-date-epoch-2.patch		\
-  %D%/packages/patches/gcc-7-cross-mingw.patch			\
   %D%/packages/patches/gcc-7-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-7-cross-mingw.patch			\
   %D%/packages/patches/gcc-7-cross-toolexeclibdir.patch		\
+  %D%/packages/patches/gcc-7-libsanitizer-mode-size.patch	\
   %D%/packages/patches/gcc-8-cross-environment-variables.patch	\
   %D%/packages/patches/gcc-8-strmov-store-file-names.patch	\
   %D%/packages/patches/gcc-9-asan-fix-limits-include.patch	\
   %D%/packages/patches/gcc-9-strmov-store-file-names.patch	\
-  %D%/packages/patches/gdb-hurd.patch				\
-  %D%/packages/patches/gd-fix-tests-on-i686.patch		\
+  %D%/packages/patches/gcc-arm-bug-71399.patch			\
+  %D%/packages/patches/gcc-arm-link-spec-fix.patch		\
+  %D%/packages/patches/gcc-asan-missing-include.patch		\
+  %D%/packages/patches/gcc-boot-2.95.3.patch			\
+  %D%/packages/patches/gcc-boot-4.6.4.patch			\
+  %D%/packages/patches/gcc-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-fix-texi2pod.patch			\
+  %D%/packages/patches/gcc-libsanitizer-ustat.patch		\
+  %D%/packages/patches/gcc-libvtv-runpath.patch			\
+  %D%/packages/patches/gcc-strmov-store-file-names.patch	\
   %D%/packages/patches/gd-brect-bounds.patch			\
+  %D%/packages/patches/gd-fix-tests-on-i686.patch		\
+  %D%/packages/patches/gdb-hurd.patch				\
   %D%/packages/patches/gdm-default-session.patch		\
   %D%/packages/patches/genimage-signedness.patch		\
   %D%/packages/patches/geoclue-config.patch			\
   %D%/packages/patches/ghc-8.0-fall-back-to-madv_dontneed.patch	\
-  %D%/packages/patches/ghc-testsuite-dlopen-pie.patch		\
   %D%/packages/patches/ghc-diff-swap-cover-args.patch		\
   %D%/packages/patches/ghc-haddock-api-fix-haddock.patch	\
   %D%/packages/patches/ghc-hpack-fix-tests.patch		\
@@ -1064,23 +1063,30 @@ dist_patch_DATA =						\
   %D%/packages/patches/ghc-monad-par-fix-tests.patch		\
   %D%/packages/patches/ghc-pandoc-fix-html-tests.patch		\
   %D%/packages/patches/ghc-pandoc-fix-latex-test.patch		\
+  %D%/packages/patches/ghc-testsuite-dlopen-pie.patch		\
   %D%/packages/patches/ghostscript-CVE-2020-15900.patch		\
   %D%/packages/patches/ghostscript-freetype-compat.patch	\
+  %D%/packages/patches/ghostscript-no-header-creationdate.patch \
   %D%/packages/patches/ghostscript-no-header-id.patch		\
   %D%/packages/patches/ghostscript-no-header-uuid.patch		\
-  %D%/packages/patches/ghostscript-no-header-creationdate.patch \
   %D%/packages/patches/glib-appinfo-watch.patch			\
   %D%/packages/patches/glib-tests-timer.patch			\
+  %D%/packages/patches/glibc-2.27-git-fixes.patch		\
+  %D%/packages/patches/glibc-2.27-supported-locales.patch     	\
+  %D%/packages/patches/glibc-2.28-git-fixes.patch		\
+  %D%/packages/patches/glibc-2.28-supported-locales.patch     	\
+  %D%/packages/patches/glibc-2.29-git-updates.patch     	\
+  %D%/packages/patches/glibc-2.29-supported-locales.patch     	\
   %D%/packages/patches/glibc-CVE-2018-11236.patch		\
   %D%/packages/patches/glibc-CVE-2018-11237.patch		\
+  %D%/packages/patches/glibc-CVE-2019-19126.patch		\
   %D%/packages/patches/glibc-CVE-2019-7309.patch		\
   %D%/packages/patches/glibc-CVE-2019-9169.patch		\
-  %D%/packages/patches/glibc-CVE-2019-19126.patch		\
   %D%/packages/patches/glibc-allow-kernel-2.6.32.patch		\
   %D%/packages/patches/glibc-boot-2.16.0.patch			\
   %D%/packages/patches/glibc-boot-2.2.5.patch			\
-  %D%/packages/patches/glibc-bootstrap-system-2.2.5.patch 	\
   %D%/packages/patches/glibc-bootstrap-system-2.16.0.patch 	\
+  %D%/packages/patches/glibc-bootstrap-system-2.2.5.patch 	\
   %D%/packages/patches/glibc-bootstrap-system.patch		\
   %D%/packages/patches/glibc-hidden-visibility-ldconfig.patch	\
   %D%/packages/patches/glibc-hurd-clock_gettime_monotonic.patch	\
@@ -1090,32 +1096,26 @@ dist_patch_DATA =						\
   %D%/packages/patches/glibc-hurd-magic-pid.patch		\
   %D%/packages/patches/glibc-hurd-signal-sa-siginfo.patch	\
   %D%/packages/patches/glibc-ldd-x86_64.patch			\
-  %D%/packages/patches/glibc-locales.patch			\
   %D%/packages/patches/glibc-locales-2.28.patch			\
+  %D%/packages/patches/glibc-locales.patch			\
   %D%/packages/patches/glibc-reinstate-prlimit64-fallback.patch	\
-  %D%/packages/patches/glibc-versioned-locpath.patch		\
-  %D%/packages/patches/glibc-2.27-git-fixes.patch		\
-  %D%/packages/patches/glibc-2.28-git-fixes.patch		\
-  %D%/packages/patches/glibc-2.29-git-updates.patch     	\
-  %D%/packages/patches/glibc-2.27-supported-locales.patch     	\
-  %D%/packages/patches/glibc-2.28-supported-locales.patch     	\
-  %D%/packages/patches/glibc-2.29-supported-locales.patch     	\
   %D%/packages/patches/glibc-supported-locales.patch     	\
+  %D%/packages/patches/glibc-versioned-locpath.patch		\
   %D%/packages/patches/gmp-arm-asm-nothumb.patch		\
   %D%/packages/patches/gmp-faulty-test.patch			\
   %D%/packages/patches/gnash-fix-giflib-version.patch	        \
-  %D%/packages/patches/gnome-shell-theme.patch			\
-  %D%/packages/patches/gnome-shell-disable-test.patch		\
   %D%/packages/patches/gnome-settings-daemon-gc.patch		\
+  %D%/packages/patches/gnome-shell-disable-test.patch		\
+  %D%/packages/patches/gnome-shell-theme.patch			\
   %D%/packages/patches/gnome-todo-delete-esource-duplicate.patch \
   %D%/packages/patches/gnome-tweaks-search-paths.patch		\
   %D%/packages/patches/gnupg-default-pinentry.patch		\
-  %D%/packages/patches/gnutls-skip-trust-store-test.patch	\
   %D%/packages/patches/gnutls-cross.patch			\
+  %D%/packages/patches/gnutls-skip-trust-store-test.patch	\
+  %D%/packages/patches/go-skip-gc-test.patch			\
   %D%/packages/patches/gobject-introspection-absolute-shlib-path.patch \
   %D%/packages/patches/gobject-introspection-cc.patch		\
   %D%/packages/patches/gobject-introspection-girepository.patch	\
-  %D%/packages/patches/go-skip-gc-test.patch			\
   %D%/packages/patches/gpm-glibc-2.26.patch			\
   %D%/packages/patches/gpodder-disable-updater.patch		\
   %D%/packages/patches/gpsbabel-fix-i686-test.patch		\
@@ -1130,51 +1130,51 @@ dist_patch_DATA =						\
   %D%/packages/patches/grub-verifiers-Blocklist-fallout-cleanup.patch \
   %D%/packages/patches/gspell-dash-test.patch			\
   %D%/packages/patches/gst-plugins-good-fix-test.patch		\
+  %D%/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch \
+  %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch	\
+  %D%/packages/patches/gtk2-theme-paths.patch			\
+  %D%/packages/patches/gtk3-respect-GUIX_GTK3_IM_MODULE_FILE.patch \
+  %D%/packages/patches/gtk3-respect-GUIX_GTK3_PATH.patch	\
+  %D%/packages/patches/gtkglext-disable-disable-deprecated.patch \
+  %D%/packages/patches/gtksourceview-2-add-default-directory.patch \
   %D%/packages/patches/guile-1.8-cpp-4.5.patch			\
+  %D%/packages/patches/guile-2.2-default-utf8.patch		\
   %D%/packages/patches/guile-2.2-skip-oom-test.patch            \
   %D%/packages/patches/guile-2.2-skip-so-test.patch             \
-  %D%/packages/patches/guile-default-utf8.patch			\
-  %D%/packages/patches/guile-2.2-default-utf8.patch		\
-  %D%/packages/patches/guile-relocatable.patch			\
-  %D%/packages/patches/guile-3.0-relocatable.patch		\
-  %D%/packages/patches/guile-linux-syscalls.patch		\
   %D%/packages/patches/guile-3.0-linux-syscalls.patch		\
+  %D%/packages/patches/guile-3.0-relocatable.patch		\
+  %D%/packages/patches/guile-default-utf8.patch			\
+  %D%/packages/patches/guile-emacs-fix-configure.patch		\
   %D%/packages/patches/guile-fibers-destroy-peer-schedulers.patch \
   %D%/packages/patches/guile-gdbm-ffi-support-gdbm-1.14.patch	\
+  %D%/packages/patches/guile-linux-syscalls.patch		\
   %D%/packages/patches/guile-present-coding.patch		\
+  %D%/packages/patches/guile-relocatable.patch			\
   %D%/packages/patches/guile-rsvg-pkgconfig.patch		\
-  %D%/packages/patches/guile-emacs-fix-configure.patch		\
-  %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch	\
-  %D%/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch \
-  %D%/packages/patches/gtk2-theme-paths.patch			\
-  %D%/packages/patches/gtk3-respect-GUIX_GTK3_PATH.patch	\
-  %D%/packages/patches/gtk3-respect-GUIX_GTK3_IM_MODULE_FILE.patch \
-  %D%/packages/patches/gtkglext-disable-disable-deprecated.patch \
-  %D%/packages/patches/gtksourceview-2-add-default-directory.patch \
   %D%/packages/patches/gvfs-add-support-for-libplist-2.2.patch	\
-  %D%/packages/patches/gzdoom-search-in-installed-share.patch	\
   %D%/packages/patches/gzdoom-find-system-libgme.patch	\
-  %D%/packages/patches/hdf4-architectures.patch 		\
-  %D%/packages/patches/hdf4-reproducibility.patch 		\
-  %D%/packages/patches/hdf4-shared-fortran.patch 		\
-  %D%/packages/patches/hdf4-tirpc.patch 			\
-  %D%/packages/patches/hdf5-config-date.patch			\
-  %D%/packages/patches/hdf5-1.8-mpi-deprecations.patch		\
+  %D%/packages/patches/gzdoom-search-in-installed-share.patch	\
   %D%/packages/patches/hdf-eos2-build-shared.patch 		\
-  %D%/packages/patches/hdf-eos2-remove-gctp.patch		\
   %D%/packages/patches/hdf-eos2-fortrantests.patch		\
+  %D%/packages/patches/hdf-eos2-remove-gctp.patch		\
   %D%/packages/patches/hdf-eos5-build-shared.patch 		\
-  %D%/packages/patches/hdf-eos5-remove-gctp.patch		\
   %D%/packages/patches/hdf-eos5-fix-szip.patch			\
   %D%/packages/patches/hdf-eos5-fortrantests.patch		\
+  %D%/packages/patches/hdf-eos5-remove-gctp.patch		\
+  %D%/packages/patches/hdf4-architectures.patch 		\
+  %D%/packages/patches/hdf4-reproducibility.patch 		\
+  %D%/packages/patches/hdf4-shared-fortran.patch 		\
+  %D%/packages/patches/hdf4-tirpc.patch 			\
+  %D%/packages/patches/hdf5-1.8-mpi-deprecations.patch		\
+  %D%/packages/patches/hdf5-config-date.patch			\
+  %D%/packages/patches/hplip-remove-imageprocessor.patch	\
   %D%/packages/patches/http-parser-fix-assertion-on-armhf.patch	\
   %D%/packages/patches/hubbub-sort-entities.patch		\
   %D%/packages/patches/hurd-cross.patch				\
   %D%/packages/patches/hurd-xattr.patch				\
-  %D%/packages/patches/hplip-remove-imageprocessor.patch	\
   %D%/packages/patches/hydra-disable-darcs-test.patch		\
-  %D%/packages/patches/icecat-makeicecat.patch			\
   %D%/packages/patches/icecat-avoid-bundled-libraries.patch	\
+  %D%/packages/patches/icecat-makeicecat.patch			\
   %D%/packages/patches/icecat-use-older-reveal-hidden-html.patch	\
   %D%/packages/patches/icecat-use-system-graphite2+harfbuzz.patch	\
   %D%/packages/patches/icecat-use-system-media-libs.patch	\
@@ -1193,9 +1193,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/ipxe-reproducible-geniso.patch	        \
   %D%/packages/patches/irrlicht-use-system-libs.patch		\
   %D%/packages/patches/isl-0.11.1-aarch64-support.patch	\
-  %D%/packages/patches/json-c-CVE-2020-12762.patch		\
-  %D%/packages/patches/json-c-0.13-CVE-2020-12762.patch	\
-  %D%/packages/patches/json-c-0.12-CVE-2020-12762.patch	\
   %D%/packages/patches/jacal-fix-texinfo.patch			\
   %D%/packages/patches/jamvm-1.5.1-aarch64-support.patch	\
   %D%/packages/patches/jamvm-1.5.1-armv7-support.patch	\
@@ -1204,7 +1201,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/jamvm-2.0.0-opcode-guard.patch		\
   %D%/packages/patches/java-antlr4-Add-standalone-generator.patch	\
   %D%/packages/patches/java-antlr4-fix-code-too-large.java	\
-  %D%/packages/patches/java-tunnelvisionlabs-antlr-code-too-large.patch	\
   %D%/packages/patches/java-apache-ivy-port-to-latest-bouncycastle.patch	\
   %D%/packages/patches/java-commons-collections-fix-java8.patch \
   %D%/packages/patches/java-jeromq-fix-tests.patch		\
@@ -1212,19 +1208,18 @@ dist_patch_DATA =						\
   %D%/packages/patches/java-powermock-fix-java-files.patch		\
   %D%/packages/patches/java-simple-xml-fix-tests.patch		\
   %D%/packages/patches/java-svg-salamander-Fix-non-det.patch	\
+  %D%/packages/patches/java-tunnelvisionlabs-antlr-code-too-large.patch	\
   %D%/packages/patches/java-xerces-bootclasspath.patch	\
   %D%/packages/patches/java-xerces-build_dont_unzip.patch	\
   %D%/packages/patches/java-xerces-xjavac_taskdef.patch	\
   %D%/packages/patches/jfsutils-add-sysmacros.patch		\
   %D%/packages/patches/jfsutils-include-systypes.patch		\
+  %D%/packages/patches/json-c-0.12-CVE-2020-12762.patch	\
+  %D%/packages/patches/json-c-0.13-CVE-2020-12762.patch	\
+  %D%/packages/patches/json-c-CVE-2020-12762.patch		\
   %D%/packages/patches/jsoncpp-fix-inverted-case.patch		\
   %D%/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch	\
   %D%/packages/patches/kdbusaddons-kinit-file-name.patch	\
-  %D%/packages/patches/libffi-3.3-powerpc-fixes.patch		\
-  %D%/packages/patches/libffi-float128-powerpc64le.patch	\
-  %D%/packages/patches/libvirt-create-machine-cgroup.patch	\
-  %D%/packages/patches/libziparchive-add-includes.patch		\
-  %D%/packages/patches/localed-xorg-keyboard.patch		\
   %D%/packages/patches/kdiagram-Fix-missing-link-libraries.patch \
   %D%/packages/patches/kiki-level-selection-crash.patch		\
   %D%/packages/patches/kiki-makefile.patch			\
@@ -1235,20 +1230,20 @@ dist_patch_DATA =						\
   %D%/packages/patches/kio-search-smbd-on-PATH.patch		\
   %D%/packages/patches/kmail-Fix-missing-link-libraries.patch \
   %D%/packages/patches/kmod-module-directory.patch		\
-  %D%/packages/patches/kmscon-runtime-keymap-switch.patch	\
-  %D%/packages/patches/kpackage-allow-external-paths.patch	\
-  %D%/packages/patches/kpackage-fix-KF5PackageMacros.cmake.patch \
   %D%/packages/patches/kmplayer-aarch64.patch			\
   %D%/packages/patches/kmplayer-upstream_Fix-build-with-Qt-5.9.patch	\
-  %D%/packages/patches/kobodeluxe-paths.patch			\
-  %D%/packages/patches/kobodeluxe-enemies-pipe-decl.patch	\
+  %D%/packages/patches/kmscon-runtime-keymap-switch.patch	\
   %D%/packages/patches/kobodeluxe-const-charp-conversion.patch	\
+  %D%/packages/patches/kobodeluxe-enemies-pipe-decl.patch	\
+  %D%/packages/patches/kobodeluxe-graphics-window-signed-char.patch	\
   %D%/packages/patches/kobodeluxe-manpage-minus-not-hyphen.patch	\
   %D%/packages/patches/kobodeluxe-midicon-segmentation-fault.patch	\
-  %D%/packages/patches/kobodeluxe-graphics-window-signed-char.patch	\
+  %D%/packages/patches/kobodeluxe-paths.patch			\
   %D%/packages/patches/kodi-increase-test-timeout.patch		\
   %D%/packages/patches/kodi-set-libcurl-ssl-parameters.patch		\
   %D%/packages/patches/kodi-skip-test-449.patch		\
+  %D%/packages/patches/kpackage-allow-external-paths.patch	\
+  %D%/packages/patches/kpackage-fix-KF5PackageMacros.cmake.patch \
   %D%/packages/patches/laby-make-install.patch			\
   %D%/packages/patches/lcalc-default-parameters-1.patch		\
   %D%/packages/patches/lcalc-default-parameters-2.patch		\
@@ -1272,27 +1267,31 @@ dist_patch_DATA =						\
   %D%/packages/patches/libcanberra-wayland-crash.patch \
   %D%/packages/patches/libcyaml-libyaml-compat.patch		\
   %D%/packages/patches/libexpected-nofetch.patch                \
+  %D%/packages/patches/libffi-3.3-powerpc-fixes.patch		\
+  %D%/packages/patches/libffi-float128-powerpc64le.patch	\
   %D%/packages/patches/libgeotiff-adapt-test-script-for-proj-6.2.patch		\
   %D%/packages/patches/libgit2-mtime-0.patch			\
   %D%/packages/patches/libgnome-encoding.patch			\
   %D%/packages/patches/libgnomeui-utf8.patch			\
   %D%/packages/patches/libjxr-fix-function-signature.patch	\
   %D%/packages/patches/libjxr-fix-typos.patch			\
-  %D%/packages/patches/libofa-ftbfs-1.diff		\
-  %D%/packages/patches/libofa-curl.diff		\
-  %D%/packages/patches/libofa-ftbfs-2.diff		\
-  %D%/packages/patches/libotr-test-auth-fix.patch		\
   %D%/packages/patches/libksieve-Fix-missing-link-libraries.patch \
   %D%/packages/patches/libmad-armv7-thumb-pt1.patch		\
   %D%/packages/patches/libmad-armv7-thumb-pt2.patch		\
   %D%/packages/patches/libmad-length-check.patch		\
   %D%/packages/patches/libmad-md_size.patch			\
   %D%/packages/patches/libmad-mips-newgcc.patch			\
+  %D%/packages/patches/libmemcached-build-with-gcc7.patch	\
+  %D%/packages/patches/libmhash-hmac-fix-uaf.patch		\
   %D%/packages/patches/libmp4v2-c++11.patch			\
   %D%/packages/patches/libmpeg2-arm-private-symbols.patch	\
   %D%/packages/patches/libmpeg2-global-symbol-test.patch	\
   %D%/packages/patches/libmygpo-qt-fix-qt-5.11.patch		\
   %D%/packages/patches/libmygpo-qt-missing-qt5-modules.patch	\
+  %D%/packages/patches/libofa-curl.diff		\
+  %D%/packages/patches/libofa-ftbfs-1.diff		\
+  %D%/packages/patches/libofa-ftbfs-2.diff		\
+  %D%/packages/patches/libotr-test-auth-fix.patch		\
   %D%/packages/patches/libqalculate-3.8.0-libcurl-ssl-fix.patch	\
   %D%/packages/patches/libquicktime-ffmpeg.patch 		\
   %D%/packages/patches/libssh2-CVE-2019-17498.patch 		\
@@ -1300,8 +1299,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/libtgvoip-disable-sse2.patch 		\
   %D%/packages/patches/libtgvoip-disable-webrtc.patch 		\
   %D%/packages/patches/libtheora-config-guess.patch		\
-  %D%/packages/patches/libtirpc-hurd.patch			\
   %D%/packages/patches/libtirpc-hurd-client.patch		\
+  %D%/packages/patches/libtirpc-hurd.patch			\
   %D%/packages/patches/libtommath-fix-linkage.patch		\
   %D%/packages/patches/libtool-skip-tests2.patch		\
   %D%/packages/patches/libusb-0.1-disable-tests.patch		\
@@ -1309,9 +1308,11 @@ dist_patch_DATA =						\
   %D%/packages/patches/libutils-add-includes.patch		\
   %D%/packages/patches/libutils-remove-damaging-includes.patch	\
   %D%/packages/patches/libvdpau-va-gl-unbundle.patch		\
+  %D%/packages/patches/libvirt-create-machine-cgroup.patch	\
   %D%/packages/patches/libvpx-CVE-2016-2818.patch		\
   %D%/packages/patches/libxslt-generated-ids.patch		\
   %D%/packages/patches/libxt-guix-search-paths.patch		\
+  %D%/packages/patches/libziparchive-add-includes.patch		\
   %D%/packages/patches/lierolibre-check-unaligned-access.patch	\
   %D%/packages/patches/lierolibre-is-free-software.patch	\
   %D%/packages/patches/lierolibre-newer-libconfig.patch		\
@@ -1329,31 +1330,31 @@ dist_patch_DATA =						\
   %D%/packages/patches/llvm-9-fix-lpad-miscompilation.patch	\
   %D%/packages/patches/llvm-9-fix-scev-miscompilation.patch	\
   %D%/packages/patches/lm-sensors-hwmon-attrs.patch		\
+  %D%/packages/patches/localed-xorg-keyboard.patch		\
   %D%/packages/patches/lrcalc-includes.patch    		\
   %D%/packages/patches/lrzip-CVE-2017-8842.patch		\
   %D%/packages/patches/lsh-fix-x11-forwarding.patch		\
   %D%/packages/patches/lsof-fatal-test-failures.patch		\
   %D%/packages/patches/lua-CVE-2014-5461.patch                      \
+  %D%/packages/patches/lua-liblua-so.patch                      \
   %D%/packages/patches/lua-pkgconfig.patch                      \
   %D%/packages/patches/lua51-liblua-so.patch                    \
   %D%/packages/patches/lua51-pkgconfig.patch                    \
-  %D%/packages/patches/lua-liblua-so.patch                      \
   %D%/packages/patches/luajit-no_ldconfig.patch			\
   %D%/packages/patches/luit-posix.patch				\
   %D%/packages/patches/lvm2-static-link.patch			\
+  %D%/packages/patches/m4-gnulib-libio.patch			\
   %D%/packages/patches/mailutils-fix-uninitialized-variable.patch	\
   %D%/packages/patches/make-impure-dirs.patch			\
   %D%/packages/patches/mars-install.patch			\
   %D%/packages/patches/mars-sfml-2.3.patch			\
-  %D%/packages/patches/maxima-defsystem-mkdir.patch		\
   %D%/packages/patches/maven-enforcer-api-fix-old-dependencies.patch	\
   %D%/packages/patches/maven-generate-component-xml.patch		\
   %D%/packages/patches/maven-generate-javax-inject-named.patch		\
+  %D%/packages/patches/maxima-defsystem-mkdir.patch		\
   %D%/packages/patches/mcrypt-CVE-2012-4409.patch			\
   %D%/packages/patches/mcrypt-CVE-2012-4426.patch			\
   %D%/packages/patches/mcrypt-CVE-2012-4527.patch			\
-  %D%/packages/patches/libmemcached-build-with-gcc7.patch	\
-  %D%/packages/patches/libmhash-hmac-fix-uaf.patch		\
   %D%/packages/patches/mediastreamer2-srtp2.patch		\
   %D%/packages/patches/mesa-skip-tests.patch			\
   %D%/packages/patches/mescc-tools-boot.patch			\
@@ -1368,7 +1369,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/minisat-install.patch			\
   %D%/packages/patches/mit-krb5-hurd.patch			\
   %D%/packages/patches/mit-krb5-qualify-short-hostnames.patch	\
-  %D%/packages/patches/mpc123-initialize-ao.patch		\
   %D%/packages/patches/module-init-tools-moduledir.patch	\
   %D%/packages/patches/monero-use-system-miniupnpc.patch			\
   %D%/packages/patches/mongodb-support-unknown-linux-distributions.patch	\
@@ -1379,6 +1379,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/mozjs38-shell-version.patch		\
   %D%/packages/patches/mozjs38-tracelogger.patch		\
   %D%/packages/patches/mozjs38-version-detection.patch		\
+  %D%/packages/patches/mpc123-initialize-ao.patch		\
   %D%/packages/patches/mrrescue-support-love-11.patch		\
   %D%/packages/patches/mtools-mformat-uninitialized.patch	\
   %D%/packages/patches/mumps-build-parallelism.patch		\
@@ -1390,38 +1391,38 @@ dist_patch_DATA =						\
   %D%/packages/patches/mupen64plus-video-z64-glew-correct-path.patch    \
   %D%/packages/patches/musl-cross-locale.patch			\
   %D%/packages/patches/mutt-store-references.patch		\
-  %D%/packages/patches/m4-gnulib-libio.patch			\
   %D%/packages/patches/ncompress-fix-softlinks.patch		\
   %D%/packages/patches/netcdf-date-time.patch			\
   %D%/packages/patches/netpbm-CVE-2017-2586.patch		\
   %D%/packages/patches/netpbm-CVE-2017-2587.patch		\
+  %D%/packages/patches/netsurf-longer-test-timeout.patch	\
   %D%/packages/patches/netsurf-message-timestamp.patch		\
   %D%/packages/patches/netsurf-system-utf8proc.patch		\
   %D%/packages/patches/netsurf-y2038-tests.patch		\
-  %D%/packages/patches/netsurf-longer-test-timeout.patch	\
-  %D%/packages/patches/nfs4-acl-tools-0.3.7-fixpaths.patch	\
-  %D%/packages/patches/ngircd-handle-zombies.patch		\
   %D%/packages/patches/network-manager-plugin-path.patch	\
+  %D%/packages/patches/nfs4-acl-tools-0.3.7-fixpaths.patch	\
   %D%/packages/patches/nginx-socket-cloexec.patch		\
+  %D%/packages/patches/ngircd-handle-zombies.patch		\
   %D%/packages/patches/nsis-env-passthru.patch			\
-  %D%/packages/patches/nss-increase-test-timeout.patch		\
   %D%/packages/patches/nss-3.56-pkgconfig.patch			\
+  %D%/packages/patches/nss-increase-test-timeout.patch		\
   %D%/packages/patches/ntfs-3g-CVE-2019-9755.patch		\
   %D%/packages/patches/nvi-assume-preserve-path.patch		\
-  %D%/packages/patches/nvi-dbpagesize-binpower.patch		\
   %D%/packages/patches/nvi-db4.patch				\
+  %D%/packages/patches/nvi-dbpagesize-binpower.patch		\
   %D%/packages/patches/nyacc-binary-literals.patch		\
   %D%/packages/patches/obs-modules-location.patch		\
+  %D%/packages/patches/ocaml-Add-a-.file-directive.patch	\
+  %D%/packages/patches/ocaml-CVE-2015-8869.patch		\
   %D%/packages/patches/ocaml-bitstring-fix-configure.patch \
   %D%/packages/patches/ocaml-cairo2-caml_ba_array-fix.patch     \
-  %D%/packages/patches/ocaml-CVE-2015-8869.patch		\
-  %D%/packages/patches/ocaml-Add-a-.file-directive.patch	\
-  %D%/packages/patches/ocaml-enable-ocamldoc-reproducibility.patch	\
-  %D%/packages/patches/ocaml-dose3-add-unix-dependency.patch	\
   %D%/packages/patches/ocaml-dose3-Fix-for-ocaml-4.06.patch	\
-  %D%/packages/patches/ocaml-dose3-dont-make-printconf.patch	\
   %D%/packages/patches/ocaml-dose3-Install-mli-cmx-etc.patch	\
+  %D%/packages/patches/ocaml-dose3-add-unix-dependency.patch	\
+  %D%/packages/patches/ocaml-dose3-dont-make-printconf.patch	\
+  %D%/packages/patches/ocaml-enable-ocamldoc-reproducibility.patch	\
   %D%/packages/patches/omake-fix-non-determinism.patch	\
+  %D%/packages/patches/open-zwave-hidapi.patch			\
   %D%/packages/patches/openbabel-fix-crash-on-nwchem-output.patch	\
   %D%/packages/patches/opencascade-oce-glibc-2.26.patch		\
   %D%/packages/patches/opencv-fix-build-of-grfmt_jpeg2000.cpp.patch	\
@@ -1430,16 +1431,15 @@ dist_patch_DATA =						\
   %D%/packages/patches/openfoam-4.1-cleanup.patch			\
   %D%/packages/patches/openjdk-10-idlj-reproducibility.patch	\
   %D%/packages/patches/openmpi-mtl-priorities.patch		\
-  %D%/packages/patches/openssh-fix-ssh-copy-id.patch		\
-  %D%/packages/patches/openssh-hurd.patch			\
   %D%/packages/patches/openresolv-restartcmd-guix.patch	\
   %D%/packages/patches/openscad-parser-boost-1.72.patch	\
   %D%/packages/patches/opensles-add-license-file.patch			\
-  %D%/packages/patches/openssl-runpath.patch			\
+  %D%/packages/patches/openssh-fix-ssh-copy-id.patch		\
+  %D%/packages/patches/openssh-hurd.patch			\
   %D%/packages/patches/openssl-1.1-c-rehash-in.patch		\
-  %D%/packages/patches/openssl-c-rehash-in.patch		\
   %D%/packages/patches/openssl-CVE-2019-1559.patch		\
-  %D%/packages/patches/open-zwave-hidapi.patch			\
+  %D%/packages/patches/openssl-c-rehash-in.patch		\
+  %D%/packages/patches/openssl-runpath.patch			\
   %D%/packages/patches/orpheus-cast-errors-and-includes.patch	\
   %D%/packages/patches/osip-CVE-2017-7853.patch			\
   %D%/packages/patches/ots-no-include-missing-file.patch	\
@@ -1449,34 +1449,21 @@ dist_patch_DATA =						\
   %D%/packages/patches/p7zip-remove-unused-code.patch		\
   %D%/packages/patches/pam-krb5-CVE-2020-10595.patch		\
   %D%/packages/patches/pango-skip-libthai-test.patch		\
+  %D%/packages/patches/patch-hurd-path-max.patch		\
+  %D%/packages/patches/patchutils-test-perms.patch		\
   %D%/packages/patches/pciutils-hurd-configure.patch		\
   %D%/packages/patches/pciutils-hurd-fix.patch			\
-  %D%/packages/patches/plasma-framework-fix-KF5PlasmaMacros.cmake.patch \
-  %D%/packages/patches/ppsspp-disable-upgrade-and-gold.patch		\
-  %D%/packages/patches/samba-fix-fcntl-hint-detection.patch		\
-  %D%/packages/patches/sdcc-disable-non-free-code.patch		\
-  %D%/packages/patches/sdl-pango-api_additions.patch		\
-  %D%/packages/patches/sdl-pango-blit_overflow.patch		\
-  %D%/packages/patches/sdl-pango-fillrect_crash.patch		\
-  %D%/packages/patches/sdl-pango-header-guard.patch		\
-  %D%/packages/patches/sdl-pango-matrix_declarations.patch	\
-  %D%/packages/patches/sdl-pango-sans-serif.patch		\
-  %D%/packages/patches/smalltalk-multiplication-overflow.patch	\
-  %D%/packages/patches/sqlite-hurd.patch			\
-  %D%/packages/patches/sunxi-tools-remove-sys-io.patch	\
-  %D%/packages/patches/patchutils-test-perms.patch		\
-  %D%/packages/patches/patch-hurd-path-max.patch		\
   %D%/packages/patches/perl-autosplit-default-time.patch	\
   %D%/packages/patches/perl-cross.patch				\
   %D%/packages/patches/perl-deterministic-ordering.patch	\
   %D%/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch \
   %D%/packages/patches/perl-io-socket-ssl-openssl-1.0.2f-fix.patch \
+  %D%/packages/patches/perl-module-pluggable-search.patch	\
   %D%/packages/patches/perl-net-amazon-s3-moose-warning.patch	\
   %D%/packages/patches/perl-net-dns-resolver-programmable-fix.patch	\
   %D%/packages/patches/perl-no-sys-dirs.patch			\
-  %D%/packages/patches/perl-text-markdown-discount-unbundle.patch	\
-  %D%/packages/patches/perl-module-pluggable-search.patch	\
   %D%/packages/patches/perl-reproducible-build-date.patch	\
+  %D%/packages/patches/perl-text-markdown-discount-unbundle.patch	\
   %D%/packages/patches/perl-www-curl-fix-struct-void.patch	\
   %D%/packages/patches/perl-www-curl-remove-symbol.patch	\
   %D%/packages/patches/picard-fix-id3-rename-test.patch		\
@@ -1493,17 +1480,19 @@ dist_patch_DATA =						\
   %D%/packages/patches/pixman-CVE-2016-5296.patch		\
   %D%/packages/patches/pjproject-correct-the-cflags-field.patch \
   %D%/packages/patches/pjproject-fix-pkg-config-ldflags.patch	\
-  %D%/packages/patches/plink-1.07-unclobber-i.patch		\
-  %D%/packages/patches/plink-endian-detection.patch		\
+  %D%/packages/patches/plasma-framework-fix-KF5PlasmaMacros.cmake.patch \
   %D%/packages/patches/plib-CVE-2011-4620.patch		\
   %D%/packages/patches/plib-CVE-2012-4552.patch		\
+  %D%/packages/patches/plink-1.07-unclobber-i.patch		\
+  %D%/packages/patches/plink-endian-detection.patch		\
   %D%/packages/patches/plotutils-spline-test.patch		\
   %D%/packages/patches/portaudio-audacity-compat.patch		\
   %D%/packages/patches/portmidi-modular-build.patch		\
   %D%/packages/patches/postgresql-disable-resolve_symlinks.patch	\
-  %D%/packages/patches/procmail-ambiguous-getline-debian.patch  \
+  %D%/packages/patches/ppsspp-disable-upgrade-and-gold.patch		\
   %D%/packages/patches/procmail-CVE-2014-3618.patch		\
   %D%/packages/patches/procmail-CVE-2017-16844.patch		\
+  %D%/packages/patches/procmail-ambiguous-getline-debian.patch  \
   %D%/packages/patches/proot-test-fhs.patch			\
   %D%/packages/patches/psm-arch.patch				\
   %D%/packages/patches/psm-disable-memory-stats.patch		\
@@ -1516,6 +1505,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/pybugz-encode-error.patch		\
   %D%/packages/patches/pybugz-stty.patch			\
   %D%/packages/patches/pygpgme-disable-problematic-tests.patch  \
+  %D%/packages/patches/pypy3-7.3.1-fix-tests.patch		\
   %D%/packages/patches/pyqt-configure.patch			\
   %D%/packages/patches/pyqt-public-sip.patch			\
   %D%/packages/patches/python-2-deterministic-build-info.patch	\
@@ -1525,8 +1515,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-2.7-source-date-epoch.patch	\
   %D%/packages/patches/python-3-arm-alignment.patch		\
   %D%/packages/patches/python-3-deterministic-build-info.patch	\
-  %D%/packages/patches/python-3-search-paths.patch		\
   %D%/packages/patches/python-3-fix-tests.patch			\
+  %D%/packages/patches/python-3-search-paths.patch		\
   %D%/packages/patches/python-3.8-fix-tests.patch		\
   %D%/packages/patches/python-3.9-fix-tests.patch		\
   %D%/packages/patches/python-CVE-2018-14647.patch		\
@@ -1534,35 +1524,34 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-aionotify-0.2.0-py3.8.patch	\
   %D%/packages/patches/python-argcomplete-1.11.1-fish31.patch	\
   %D%/packages/patches/python-axolotl-AES-fix.patch		\
-  %D%/packages/patches/python-cross-compile.patch		\
-  %D%/packages/patches/python2-larch-coverage-4.0a6-compatibility.patch \
   %D%/packages/patches/python-configobj-setuptools.patch	\
+  %D%/packages/patches/python-cross-compile.patch		\
   %D%/packages/patches/python-flask-restful-werkzeug-compat.patch	\
-  %D%/packages/patches/python-keras-integration-test.patch	\
-  %D%/packages/patches/python-pep8-stdlib-tokenize-compat.patch \
-  %D%/packages/patches/python-pyfakefs-remove-bad-test.patch	\
   %D%/packages/patches/python-flint-includes.patch		\
+  %D%/packages/patches/python-keras-integration-test.patch	\
   %D%/packages/patches/python-libxml2-utf8.patch		\
   %D%/packages/patches/python-mediafile-wavpack.patch		\
   %D%/packages/patches/python-memcached-syntax-warnings.patch	\
   %D%/packages/patches/python-mox3-python3.6-compat.patch	\
-  %D%/packages/patches/python-testtools.patch			\
   %D%/packages/patches/python-onnx-use-system-googletest.patch	\
   %D%/packages/patches/python-packaging-test-arch.patch		\
-  %D%/packages/patches/python2-parameterized-docstring-test.patch	\
   %D%/packages/patches/python-paste-remove-timing-test.patch	\
+  %D%/packages/patches/python-pep8-stdlib-tokenize-compat.patch \
   %D%/packages/patches/python-pycrypto-CVE-2013-7459.patch	\
   %D%/packages/patches/python-pycrypto-time-clock.patch		\
   %D%/packages/patches/python-pydot-regression-test.patch	\
-  %D%/packages/patches/python2-pygobject-2-deprecation.patch	\
+  %D%/packages/patches/python-pyfakefs-remove-bad-test.patch	\
   %D%/packages/patches/python-pygpgme-fix-pinentry-tests.patch	\
   %D%/packages/patches/python-robotframework-source-date-epoch.patch \
   %D%/packages/patches/python-shouldbe-0.1.2-cpy3.8.patch	\
-  %D%/packages/patches/python2-subprocess32-disable-input-test.patch	\
+  %D%/packages/patches/python-testtools.patch			\
   %D%/packages/patches/python-unittest2-python3-compat.patch	\
   %D%/packages/patches/python-unittest2-remove-argparse.patch	\
   %D%/packages/patches/python-waitress-fix-tests.patch		\
-  %D%/packages/patches/pypy3-7.3.1-fix-tests.patch		\
+  %D%/packages/patches/python2-larch-coverage-4.0a6-compatibility.patch \
+  %D%/packages/patches/python2-parameterized-docstring-test.patch	\
+  %D%/packages/patches/python2-pygobject-2-deprecation.patch	\
+  %D%/packages/patches/python2-subprocess32-disable-input-test.patch	\
   %D%/packages/patches/qemu-build-info-manual.patch		\
   %D%/packages/patches/qemu-glibc-2.27.patch 			\
   %D%/packages/patches/qrcodegen-cpp-make-install.patch		\
@@ -1571,10 +1560,12 @@ dist_patch_DATA =						\
   %D%/packages/patches/qtbase-moc-ignore-gcc-macro.patch	\
   %D%/packages/patches/qtbase-use-TZDIR.patch			\
   %D%/packages/patches/qtscript-disable-tests.patch		\
+  %D%/packages/patches/qtwebkit-pbutils-include.patch		\
   %D%/packages/patches/quagga-reproducible-build.patch          \
   %D%/packages/patches/quassel-qt-514-compat.patch		\
   %D%/packages/patches/quickswitch-fix-dmenu-check.patch	\
-  %D%/packages/patches/qtwebkit-pbutils-include.patch		\
+  %D%/packages/patches/r-httpuv-1.5.5-unvendor-libuv.patch	\
+  %D%/packages/patches/racket-store-checksum-override.patch	\
   %D%/packages/patches/randomjungle-disable-static-build.patch	\
   %D%/packages/patches/rapicorn-isnan.patch			\
   %D%/packages/patches/rapidjson-gcc-compat.patch		\
@@ -1583,21 +1574,19 @@ dist_patch_DATA =						\
   %D%/packages/patches/ratpoison-shell.patch			\
   %D%/packages/patches/rcs-5.10.0-no-stdin.patch		\
   %D%/packages/patches/rct-add-missing-headers.patch		\
-  %D%/packages/patches/readline-link-ncurses.patch		\
   %D%/packages/patches/readline-6.2-CVE-2014-2524.patch		\
+  %D%/packages/patches/readline-link-ncurses.patch		\
+  %D%/packages/patches/remake-impure-dirs.patch			\
   %D%/packages/patches/renpy-use-system-fribidi.patch		\
   %D%/packages/patches/reposurgeon-add-missing-docbook-files.patch	\
-  %D%/packages/patches/r-httpuv-1.5.5-unvendor-libuv.patch	\
+  %D%/packages/patches/retroarch-disable-online-updater.patch	\
   %D%/packages/patches/ri-li-modernize_cpp.patch		\
   %D%/packages/patches/ripperx-missing-file.patch		\
-  %D%/packages/patches/rpcbind-CVE-2017-8779.patch		\
-  %D%/packages/patches/rtags-separate-rct.patch			\
-  %D%/packages/patches/racket-store-checksum-override.patch	\
-  %D%/packages/patches/remake-impure-dirs.patch			\
-  %D%/packages/patches/retroarch-disable-online-updater.patch	\
   %D%/packages/patches/rnp-add-version.cmake.patch		\
   %D%/packages/patches/rnp-disable-ruby-rnp-tests.patch		\
   %D%/packages/patches/rnp-unbundle-googletest.patch		\
+  %D%/packages/patches/rpcbind-CVE-2017-8779.patch		\
+  %D%/packages/patches/rtags-separate-rct.patch			\
   %D%/packages/patches/ruby-rack-ignore-failing-test.patch	\
   %D%/packages/patches/ruby-rubocop-break-dependency-cycle.patch\
   %D%/packages/patches/ruby-sanitize-system-libxml.patch	\
@@ -1612,9 +1601,10 @@ dist_patch_DATA =						\
   %D%/packages/patches/rust-ndarray-remove-blas-src-dep.patch	\
   %D%/packages/patches/rust-nettle-disable-vendor.patch		 \
   %D%/packages/patches/rust-nettle-sys-disable-vendor.patch	 \
-  %D%/packages/patches/rust-reproducible-builds.patch		 \
   %D%/packages/patches/rust-openssl-sys-no-vendor.patch	\
+  %D%/packages/patches/rust-reproducible-builds.patch		 \
   %D%/packages/patches/rxvt-unicode-escape-sequences.patch	\
+  %D%/packages/patches/samba-fix-fcntl-hint-detection.patch		\
   %D%/packages/patches/sbc-fix-build-non-x86.patch		\
   %D%/packages/patches/sbcl-clml-fix-types.patch		\
   %D%/packages/patches/scalapack-blacs-mpi-deprecations.patch	\
@@ -1622,31 +1612,41 @@ dist_patch_DATA =						\
   %D%/packages/patches/scotch-build-parallelism.patch		\
   %D%/packages/patches/scotch-integer-declarations.patch	\
   %D%/packages/patches/screen-hurd-path-max.patch		\
+  %D%/packages/patches/sdcc-disable-non-free-code.patch		\
   %D%/packages/patches/sdl-libx11-1.6.patch			\
+  %D%/packages/patches/sdl-pango-api_additions.patch		\
+  %D%/packages/patches/sdl-pango-blit_overflow.patch		\
+  %D%/packages/patches/sdl-pango-fillrect_crash.patch		\
+  %D%/packages/patches/sdl-pango-header-guard.patch		\
+  %D%/packages/patches/sdl-pango-matrix_declarations.patch	\
+  %D%/packages/patches/sdl-pango-sans-serif.patch		\
   %D%/packages/patches/seed-webkit.patch			\
   %D%/packages/patches/seq24-rename-mutex.patch			\
   %D%/packages/patches/serf-python3.patch			\
+  %D%/packages/patches/shadow-hurd-pctrl.patch			\
   %D%/packages/patches/shakespeare-spl-fix-grammar.patch		\
   %D%/packages/patches/sharutils-CVE-2018-1000097.patch		\
-  %D%/packages/patches/shadow-hurd-pctrl.patch			\
   %D%/packages/patches/shishi-fix-libgcrypt-detection.patch	\
-  %D%/packages/patches/slim-session.patch			\
   %D%/packages/patches/slim-config.patch			\
-  %D%/packages/patches/slim-sigusr1.patch			\
-  %D%/packages/patches/slim-reset.patch				\
-  %D%/packages/patches/slim-login.patch				\
   %D%/packages/patches/slim-display.patch			\
+  %D%/packages/patches/slim-login.patch				\
+  %D%/packages/patches/slim-reset.patch				\
+  %D%/packages/patches/slim-session.patch			\
+  %D%/packages/patches/slim-sigusr1.patch			\
+  %D%/packages/patches/smalltalk-multiplication-overflow.patch	\
   %D%/packages/patches/snappy-add-O2-flag-in-CmakeLists.txt.patch	\
   %D%/packages/patches/sphinxbase-fix-doxygen.patch		\
+  %D%/packages/patches/sqlite-hurd.patch			\
   %D%/packages/patches/sssd-fix-samba.patch			\
   %D%/packages/patches/sssd-system-directories.patch		\
   %D%/packages/patches/steghide-fixes.patch			\
   %D%/packages/patches/suitesparse-mongoose-cmake.patch		\
+  %D%/packages/patches/sunxi-tools-remove-sys-io.patch	\
   %D%/packages/patches/superlu-dist-awpm-grid.patch		\
   %D%/packages/patches/superlu-dist-scotchmetis.patch		\
   %D%/packages/patches/supertux-unbundle-squirrel.patch		\
-  %D%/packages/patches/swish-e-search.patch			\
   %D%/packages/patches/swish-e-format-security.patch		\
+  %D%/packages/patches/swish-e-search.patch			\
   %D%/packages/patches/symmetrica-bruch.patch			\
   %D%/packages/patches/symmetrica-int32.patch			\
   %D%/packages/patches/symmetrica-return_values.patch 		\
@@ -1660,24 +1660,24 @@ dist_patch_DATA =						\
   %D%/packages/patches/tar-remove-wholesparse-check.patch	\
   %D%/packages/patches/tar-skip-unreliable-tests.patch		\
   %D%/packages/patches/tcc-boot-0.9.27.patch			\
-  %D%/packages/patches/tclxml-3.2-install.patch			\
   %D%/packages/patches/tcl-fix-cross-compilation.patch		\
+  %D%/packages/patches/tclxml-3.2-install.patch			\
   %D%/packages/patches/tcsh-fix-autotest.patch			\
   %D%/packages/patches/teensy-loader-cli-help.patch		\
-  %D%/packages/patches/texinfo-5-perl-compat.patch		\
-  %D%/packages/patches/texlive-bin-poppler-0.83.patch		\
-  %D%/packages/patches/texlive-bin-poppler-0.86.patch		\
   %D%/packages/patches/telegram-purple-adjust-test.patch	\
   %D%/packages/patches/telepathy-glib-channel-memory-leak.patch	\
   %D%/packages/patches/texi2html-document-encoding.patch	\
   %D%/packages/patches/texi2html-i18n.patch			\
+  %D%/packages/patches/texinfo-5-perl-compat.patch		\
+  %D%/packages/patches/texlive-bin-poppler-0.83.patch		\
+  %D%/packages/patches/texlive-bin-poppler-0.86.patch		\
   %D%/packages/patches/thefuck-test-environ.patch		\
   %D%/packages/patches/tidy-CVE-2015-5522+5523.patch		\
   %D%/packages/patches/tinyxml-use-stl.patch			\
   %D%/packages/patches/tipp10-disable-downloader.patch		\
   %D%/packages/patches/tipp10-fix-compiling.patch		\
-  %D%/packages/patches/tipp10-remove-license-code.patch		\
   %D%/packages/patches/tipp10-qt5.patch			\
+  %D%/packages/patches/tipp10-remove-license-code.patch		\
   %D%/packages/patches/tk-find-library.patch			\
   %D%/packages/patches/transcode-ffmpeg.patch	\
   %D%/packages/patches/transmission-honor-localedir.patch	\
@@ -1700,14 +1700,14 @@ dist_patch_DATA =						\
   %D%/packages/patches/unzip-CVE-2015-7697.patch		\
   %D%/packages/patches/unzip-allow-greater-hostver-values.patch	\
   %D%/packages/patches/unzip-attribs-overflow.patch		\
-  %D%/packages/patches/unzip-overflow-on-invalid-input.patch	\
   %D%/packages/patches/unzip-format-secure.patch		\
   %D%/packages/patches/unzip-initialize-symlink-flag.patch	\
   %D%/packages/patches/unzip-overflow-long-fsize.patch		\
+  %D%/packages/patches/unzip-overflow-on-invalid-input.patch	\
   %D%/packages/patches/unzip-remove-build-date.patch		\
+  %D%/packages/patches/upower-builddir.patch			\
   %D%/packages/patches/ustr-fix-build-with-gcc-5.patch		\
   %D%/packages/patches/util-linux-tests.patch			\
-  %D%/packages/patches/upower-builddir.patch			\
   %D%/packages/patches/valgrind-enable-arm.patch		\
   %D%/packages/patches/vboot-utils-fix-format-load-address.patch	\
   %D%/packages/patches/vboot-utils-fix-tests-show-contents.patch	\
@@ -1723,8 +1723,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/vte-CVE-2012-2738-pt1.patch			\
   %D%/packages/patches/vte-CVE-2012-2738-pt2.patch			\
   %D%/packages/patches/warsow-qfusion-fix-bool-return-type.patch	\
-  %D%/packages/patches/webkitgtk-share-store.patch		\
   %D%/packages/patches/webkitgtk-bind-all-fonts.patch		\
+  %D%/packages/patches/webkitgtk-share-store.patch		\
   %D%/packages/patches/websocketpp-fix-for-cmake-3.15.patch	\
   %D%/packages/patches/wgetpaste-update-bpaste.patch		\
   %D%/packages/patches/wicd-bitrate-none-fix.patch		\
-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 4 Feb 2021 03:00:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 03 22:00:02 2021
Received: from localhost ([127.0.0.1]:39346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7Us7-0006wO-Gr
	for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 22:00:02 -0500
Received: from mail.zaclys.net ([178.33.93.72]:51201)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7Us4-0006vw-FT
 for 46277 <at> debbugs.gnu.org; Wed, 03 Feb 2021 21:59:54 -0500
Received: from localhost.localdomain
 (lam21-1_migr-78-196-200-185.fbx.proxad.net [78.196.200.185] (may be forged))
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 1142xaCY035813
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Thu, 4 Feb 2021 03:59:46 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 1142xaCY035813
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612407586;
 bh=ozP4UEH72gql9B7XojAHFLkxrZgoNDwiW7UYEivSBcA=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=AcxC53dNFMI3W2yo2B0TNKdlUpwRg105uX2llaDpZ1Ky7v8u98H12SvG1S8zQXraV
 CdBS79lhW2qHXLt/78U3fsTpK35B4EWlD3uD23n0yTPZgjqFUiz3GS2TpXWb4TOqxo
 /mpbkd15vXft7EPpmtexejc2VL0mR2uoLCZfmwRM=
From: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
To: 46277 <at> debbugs.gnu.org
Subject: [PATCH v3 2/2] gnu: Add fwupd.
Date: Thu,  4 Feb 2021 03:59:33 +0100
Message-Id: <20210204025933.4611-3-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210204025933.4611-1-lle-bout@HIDDEN>
References: <20210204025933.4611-1-lle-bout@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
Cc: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/firmware.scm (fwupd): New variable.
* gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch,
gnu/packages/patches/fwupd-do-not-write-to-var.patch,
gnu/packages/patches/fwupd-installed-tests-path.patch,
gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch: New patches.
* gnu/local.mk (dist_patch_DATA): Register them.
---
 gnu/local.mk                                  |   5 +
 gnu/packages/firmware.scm                     | 117 ++++++++++++-
 ...d-option-for-installation-sysconfdir.patch | 161 ++++++++++++++++++
 .../patches/fwupd-do-not-write-to-var.patch   |   8 +
 .../patches/fwupd-installed-tests-path.patch  |  48 ++++++
 .../fwupd-remove-nonfree-lvfs-repo.patch      | 147 ++++++++++++++++
 6 files changed, 485 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
 create mode 100644 gnu/packages/patches/fwupd-do-not-write-to-var.patch
 create mode 100644 gnu/packages/patches/fwupd-installed-tests-path.patch
 create mode 100644 gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 5ef82650c7..3c0e313d2a 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1002,6 +1002,10 @@ dist_patch_DATA =						\
   %D%/packages/patches/freedink-engine-fix-sdl-hints.patch	\
   %D%/packages/patches/freeimage-unbundle.patch		\
   %D%/packages/patches/fuse-overlapping-headers.patch				\
+  %D%/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch	\
+  %D%/packages/patches/fwupd-do-not-write-to-var.patch	\
+  %D%/packages/patches/fwupd-installed-tests-path.patch	\
+  %D%/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch	\
   %D%/packages/patches/gajim-honour-GAJIM_PLUGIN_PATH.patch	\
   %D%/packages/patches/ganeti-deterministic-manual.patch	\
   %D%/packages/patches/ganeti-disable-version-symlinks.patch	\
@@ -1760,5 +1764,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/yggdrasil-extra-config.patch	\
   %D%/packages/patches/zziplib-CVE-2018-16548.patch
 
+
 MISC_DISTRO_FILES =				\
   %D%/packages/ld-wrapper.in
diff --git a/gnu/packages/firmware.scm b/gnu/packages/firmware.scm
index fcdb5a801e..8d15e9a8aa 100644
--- a/gnu/packages/firmware.scm
+++ b/gnu/packages/firmware.scm
@@ -30,18 +30,43 @@
   #:use-module (guix utils)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system meson)
   #:use-module (gnu packages)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages assembly)
+  #:use-module (gnu packages autotools)
+  #:use-module (gnu packages backup)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bison)
+  #:use-module (gnu packages check)
   #:use-module (gnu packages cmake)
+  #:use-module (gnu packages compression)
   #:use-module (gnu packages cross-base)
+  #:use-module (gnu packages curl)
+  #:use-module (gnu packages efi)
+  #:use-module (gnu packages elf)
   #:use-module (gnu packages flex)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages gettext)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
+  #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages gtk)
+  #:use-module (gnu packages hardware)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages man)
+  #:use-module (gnu packages mingw)
+  #:use-module (gnu packages package-management)
   #:use-module (gnu packages perl)
-  #:use-module (gnu packages python))
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages polkit)
+  #:use-module (gnu packages python)
+  #:use-module (gnu packages python-xyz)
+  #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages tls)
+  #:use-module (gnu packages version-control)
+  #:use-module (gnu packages web)
+  #:use-module (gnu packages xml))
 
 (define-public ath9k-htc-firmware
   (package
@@ -621,3 +646,93 @@ switching support).\n")
              #t)))))
     (native-inputs `(("cross-gcc" ,(cross-gcc "arm-none-eabi" #:xgcc gcc-7))
                      ("cross-binutils" ,(cross-binutils "arm-none-eabi"))))))
+
+(define-public fwupd
+  (package
+    (name "fwupd")
+    (version "1.5.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/fwupd/fwupd")
+         (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0hrxp3hl1sm0gb1200qwyb330pknxicf5p0x5vgdv8ha4jf9zygc"))
+       (patches (search-patches
+                 "fwupd-do-not-write-to-var.patch"
+                 "fwupd-add-option-for-installation-sysconfdir.patch"
+                 "fwupd-installed-tests-path.patch"
+                 "fwupd-remove-nonfree-lvfs-repo.patch"))))
+    (build-system meson-build-system)
+    (outputs (list "out" "installed-tests"))
+    (arguments
+     `(#:configure-flags
+       (list "--wrap-mode=nofallback"
+             "-Dsystemd=false"
+             (string-append
+              "-Defi-libdir=" (assoc-ref %build-inputs "gnu-efi") "/lib")
+             (string-append
+              "-Defi-ldsdir=" (assoc-ref %build-inputs "gnu-efi") "/lib")
+             (string-append
+              "-Defi-includedir=" (assoc-ref %build-inputs "gnu-efi")
+              "/include/efi")
+             (string-append
+              "-Dudevdir=" (assoc-ref %outputs "out") "/lib/udev")
+             "--localstatedir=/var"
+             "--sysconfdir=/etc"
+             (string-append
+              "-Dsysconfdir_install=" (assoc-ref %outputs "out") "/etc")
+             (string-append
+              "--libexecdir=" (assoc-ref %outputs "out") "/libexec")
+             "-Dsupported_build=true"
+             (string-append
+              "-Dinstalled_test_prefix="
+              (assoc-ref %outputs "installed-tests")))
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'install 'no-polkit-magic
+           ;; Meson ‘magically’ invokes pkexec, which fails (not setuid).
+           (lambda _
+             (setenv "PKEXEC_UID" "something")
+             #t)))))
+    (native-inputs
+     `(("gobject-introspection" ,gobject-introspection)
+       ("python-pygobject" ,python-pygobject)
+       ("python-pillow" ,python-pillow)
+       ("python-pycairo" ,python-pycairo)
+       ("pkg-config" ,pkg-config)
+       ("vala" ,vala)
+       ("umockdev" ,umockdev)
+       ("glib:bin" ,glib "bin")
+       ("help2man" ,help2man)
+       ("gettext" ,gettext-minimal)))
+    (inputs
+     `(("glib" ,glib)
+       ("libgudev" ,libgudev)
+       ("libxmlb" ,libxmlb)
+       ("gusb" ,gusb)
+       ("sqlite" ,sqlite)
+       ("libarchive" ,libarchive)
+       ("libjcat" ,libjcat)
+       ("json-glib" ,json-glib)
+       ("curl" ,curl)
+       ("polkit" ,polkit)
+       ("eudev" ,eudev)
+       ("gcab" ,gcab)
+       ("gnutls" ,gnutls)
+       ("libelf" ,libelf)
+       ("tpm2-tss" ,tpm2-tss)
+       ("cairo" ,cairo)
+       ("efivar" ,efivar)
+       ("pango" ,pango)
+       ("mingw-w64-tools", mingw-w64-tools)
+       ("libsmbios" ,libsmbios)
+       ("gnu-efi" ,gnu-efi)))
+    (home-page "https://fwupd.org/")
+    (synopsis "A simple daemon to allow session software to update firmware")
+    (description "This package aims to make updating firmware on Linux
+automatic, safe and reliable.")
+    (license license:lgpl2.1+)))
diff --git a/gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch b/gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
new file mode 100644
index 0000000000..0cb397ca47
--- /dev/null
+++ b/gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
@@ -0,0 +1,161 @@
+diff --git a/data/meson.build b/data/meson.build
+index 50154569..f8058a8e 100644
+--- a/data/meson.build
++++ b/data/meson.build
+@@ -17,7 +17,7 @@ endif
+ 
+ if build_standalone
+   install_data(['daemon.conf'],
+-    install_dir : join_paths(sysconfdir, 'fwupd')
++    install_dir : join_paths(sysconfdir_install, 'fwupd')
+   )
+ endif
+ 
+diff --git a/data/pki/meson.build b/data/pki/meson.build
+index 94bb0b6f..1ea6a9ac 100644
+--- a/data/pki/meson.build
++++ b/data/pki/meson.build
+@@ -3,24 +3,23 @@ install_data([
+     'GPG-KEY-Linux-Foundation-Firmware',
+     'GPG-KEY-Linux-Vendor-Firmware-Service',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd')
+ )
+ 
+ install_data([
+     'GPG-KEY-Linux-Foundation-Metadata',
+     'GPG-KEY-Linux-Vendor-Firmware-Service',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd-metadata')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd-metadata')
+ )
+ 
+ install_data([
+     'LVFS-CA.pem',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd')
+ )
+ install_data([
+     'LVFS-CA.pem',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd-metadata')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd-metadata')
+ )
+-
+diff --git a/data/remotes.d/meson.build b/data/remotes.d/meson.build
+index 826a3c1d..b78db663 100644
+--- a/data/remotes.d/meson.build
++++ b/data/remotes.d/meson.build
+@@ -3,7 +3,7 @@ if build_daemon and get_option('lvfs')
+       'lvfs.conf',
+       'lvfs-testing.conf',
+     ],
+-    install_dir : join_paths(sysconfdir, 'fwupd', 'remotes.d')
++    install_dir : join_paths(sysconfdir_install, 'fwupd', 'remotes.d')
+   )
+   i18n.merge_file(
+     input: 'lvfs.metainfo.xml',
+@@ -37,12 +37,12 @@ configure_file(
+   output : 'vendor.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(sysconfdir_install, 'fwupd', 'remotes.d'),
+ )
+ configure_file(
+   input : 'vendor-directory.conf',
+   output : 'vendor-directory.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(sysconfdir_install, 'fwupd', 'remotes.d'),
+ )
+diff --git a/meson.build b/meson.build
+index 1ab6519b..0f2fcea6 100644
+--- a/meson.build
++++ b/meson.build
+@@ -196,6 +196,12 @@ endif
+ mandir = join_paths(prefix, get_option('mandir'))
+ localedir = join_paths(prefix, get_option('localedir'))
+ 
++if get_option('sysconfdir_install') != ''
++  sysconfdir_install = join_paths(prefix, get_option('sysconfdir_install'))
++else
++  sysconfdir_install = sysconfdir
++endif
++
+ diffcmd = find_program('diff')
+ gio = dependency('gio-2.0', version : '>= 2.45.8')
+ giounix = dependency('gio-unix-2.0', version : '>= 2.45.8', required: false)
+diff --git a/meson_options.txt b/meson_options.txt
+index 87e76870..16cb876c 100644
+--- a/meson_options.txt
++++ b/meson_options.txt
+@@ -1,3 +1,4 @@
++option('sysconfdir_install', type: 'string', value: '', description: 'sysconfdir to use during installation')
+ option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
+ option('agent', type : 'boolean', value : true, description : 'enable the fwupd agent')
+ option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
+diff --git a/plugins/dell-esrt/meson.build b/plugins/dell-esrt/meson.build
+index ed4eee70..76dbdb1d 100644
+--- a/plugins/dell-esrt/meson.build
++++ b/plugins/dell-esrt/meson.build
+@@ -37,5 +37,5 @@ configure_file(
+   output : 'dell-esrt.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(sysconfdir_install, 'fwupd', 'remotes.d'),
+ )
+diff --git a/plugins/redfish/meson.build b/plugins/redfish/meson.build
+index 205d1394..3223f404 100644
+--- a/plugins/redfish/meson.build
++++ b/plugins/redfish/meson.build
+@@ -27,7 +27,7 @@ shared_module('fu_plugin_redfish',
+ )
+ 
+ install_data(['redfish.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
+ 
+ if get_option('tests')
+diff --git a/plugins/thunderbolt/meson.build b/plugins/thunderbolt/meson.build
+index 6b2368fb..2bd06fed 100644
+--- a/plugins/thunderbolt/meson.build
++++ b/plugins/thunderbolt/meson.build
+@@ -31,7 +31,7 @@ fu_plugin_thunderbolt = shared_module('fu_plugin_thunderbolt',
+ )
+ 
+ install_data(['thunderbolt.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
+ # we use functions from 2.52 in the tests
+ if get_option('tests') and umockdev.found() and gio.version().version_compare('>= 2.52')
+diff --git a/plugins/uefi-capsule/meson.build b/plugins/uefi-capsule/meson.build
+index 675de181..a02c7754 100644
+--- a/plugins/uefi-capsule/meson.build
++++ b/plugins/uefi-capsule/meson.build
+@@ -94,7 +94,7 @@ if get_option('man')
+ endif
+ 
+ install_data(['uefi_capsule.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
+ 
+ # add all the .po files as inputs to watch
+diff --git a/plugins/upower/meson.build b/plugins/upower/meson.build
+index 290a3eb6..9ab2f452 100644
+--- a/plugins/upower/meson.build
++++ b/plugins/upower/meson.build
+@@ -23,5 +23,5 @@ shared_module('fu_plugin_upower',
+ )
+ 
+ install_data(['upower.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
diff --git a/gnu/packages/patches/fwupd-do-not-write-to-var.patch b/gnu/packages/patches/fwupd-do-not-write-to-var.patch
new file mode 100644
index 0000000000..474b250097
--- /dev/null
+++ b/gnu/packages/patches/fwupd-do-not-write-to-var.patch
@@ -0,0 +1,8 @@
+diff --git a/data/builder/meson.build b/data/builder/meson.build
+index c7a430c0..e69de29b 100644
+--- a/data/builder/meson.build
++++ b/data/builder/meson.build
+@@ -1,3 +0,0 @@
+-install_data('README.md',
+-  install_dir : join_paths(localstatedir, 'lib', 'fwupd', 'builder')
+-)
diff --git a/gnu/packages/patches/fwupd-installed-tests-path.patch b/gnu/packages/patches/fwupd-installed-tests-path.patch
new file mode 100644
index 0000000000..d8f1a533b8
--- /dev/null
+++ b/gnu/packages/patches/fwupd-installed-tests-path.patch
@@ -0,0 +1,48 @@
+diff --git a/data/device-tests/hardware.py b/data/device-tests/hardware.py
+index 7f1e1907..10fee1b8 100755
+--- a/data/device-tests/hardware.py
++++ b/data/device-tests/hardware.py
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python3
++#!@installedTestsPython@/bin/python3
+ # pylint: disable=wrong-import-position,too-many-locals,unused-argument,wrong-import-order
+ #
+ # Copyright (C) 2017 Richard Hughes <richard@HIDDEN>
+diff --git a/data/installed-tests/meson.build b/data/installed-tests/meson.build
+index adadbcdd..1b51bb9c 100644
+--- a/data/installed-tests/meson.build
++++ b/data/installed-tests/meson.build
+@@ -65,5 +65,5 @@ configure_file(
+   output : 'fwupd-tests.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(get_option('installed_test_prefix'), 'etc', 'fwupd', 'remotes.d'),
+ )
+diff --git a/meson.build b/meson.build
+index 772b7bbe..f59302cd 100644
+--- a/meson.build
++++ b/meson.build
+@@ -177,8 +177,8 @@ else
+   datadir = join_paths(prefix, get_option('datadir'))
+   sysconfdir = join_paths(prefix, get_option('sysconfdir'))
+   localstatedir = join_paths(prefix, get_option('localstatedir'))
+-  installed_test_bindir = join_paths(libexecdir, 'installed-tests', meson.project_name())
+-  installed_test_datadir = join_paths(datadir, 'installed-tests', meson.project_name())
++  installed_test_bindir = join_paths(get_option('installed_test_prefix'), 'libexec', 'installed-tests', meson.project_name())
++  installed_test_datadir = join_paths(get_option('installed_test_prefix'), 'share', 'installed-tests', meson.project_name())
+ endif
+ mandir = join_paths(prefix, get_option('mandir'))
+ localedir = join_paths(prefix, get_option('localedir'))
+diff --git a/meson_options.txt b/meson_options.txt
+index 0a0e2853..5f68d78b 100644
+--- a/meson_options.txt
++++ b/meson_options.txt
+@@ -25,6 +26,7 @@ option('plugin_coreboot', type : 'boolean', value : true, description : 'enable
+ option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
+ option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
+ option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
++option('installed_test_prefix', type: 'string', description: 'Prefix for installed tests')
+ option('tests', type : 'boolean', value : true, description : 'enable tests')
+ option('tpm', type : 'boolean', value : true, description : 'enable TPM support')
+ option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
diff --git a/gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch b/gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch
new file mode 100644
index 0000000000..3efe523703
--- /dev/null
+++ b/gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch
@@ -0,0 +1,147 @@
+diff --git a/data/remotes.d/lvfs-testing.conf b/data/remotes.d/lvfs-testing.conf
+deleted file mode 100644
+index 740a793e..00000000
+--- a/data/remotes.d/lvfs-testing.conf
++++ /dev/null
+@@ -1,12 +0,0 @@
+-[fwupd Remote]
+-
+-# this remote provides metadata and firmware marked as 'testing' from the LVFS
+-Enabled=false
+-Title=Linux Vendor Firmware Service (testing)
+-MetadataURI=https://cdn.fwupd.org/downloads/firmware-testing.xml.gz
+-ReportURI=https://fwupd.org/lvfs/firmware/report
+-Username=
+-Password=
+-OrderBefore=lvfs,fwupd
+-AutomaticReports=false
+-ApprovalRequired=false
+diff --git a/data/remotes.d/lvfs-testing.metainfo.xml b/data/remotes.d/lvfs-testing.metainfo.xml
+deleted file mode 100644
+index 3e36aab7..00000000
+--- a/data/remotes.d/lvfs-testing.metainfo.xml
++++ /dev/null
+@@ -1,35 +0,0 @@
+-<?xml version="1.0" encoding="UTF-8"?>
+-<!-- Copyright 2018 Richard Hughes <richard@HIDDEN> -->
+-
+-<component type="source">
+-  <id>org.freedesktop.fwupd.remotes.lvfs-testing</id>
+-  <name>Linux Vendor Firmware Service (testing firmware)</name>
+-  <metadata_license>CC0-1.0</metadata_license>
+-  <agreement version_id="1.0">
+-    <agreement_section>
+-      <description>
+-        <!-- TRANSLATORS: do not translate the variables marked using $ -->
+-        <p>
+-          The LVFS is a free service that operates as an independent legal
+-          entity and has no connection with $OS_RELEASE:NAME$.
+-          Your distributor may not have verified any of the firmware updates for
+-          compatibility with your system or connected devices.
+-          All firmware is provided only by the original equipment manufacturer.
+-        </p>
+-        <p>
+-          This remote contains firmware which is not embargoed, but is still being
+-          tested by the hardware vendor.
+-          You should ensure you have a way to manually downgrade the firmware if
+-          the firmware update fails.
+-        </p>
+-        <p>
+-          Enabling this functionality is done at your own risk, which means you
+-          have to contact your original equipment manufacturer regarding any
+-          problems caused by these updates.
+-          Only problems with the update process itself should be filed at
+-          $OS_RELEASE:BUG_REPORT_URL$.
+-        </p>
+-      </description>
+-    </agreement_section>
+-  </agreement>
+-</component>
+diff --git a/data/remotes.d/lvfs.conf b/data/remotes.d/lvfs.conf
+deleted file mode 100644
+index f956bc97..00000000
+--- a/data/remotes.d/lvfs.conf
++++ /dev/null
+@@ -1,12 +0,0 @@
+-[fwupd Remote]
+-
+-# this remote provides metadata and firmware marked as 'stable' from the LVFS
+-Enabled=true
+-Title=Linux Vendor Firmware Service
+-MetadataURI=https://cdn.fwupd.org/downloads/firmware.xml.gz
+-ReportURI=https://fwupd.org/lvfs/firmware/report
+-SecurityReportURI=https://fwupd.org/lvfs/hsireports/upload
+-OrderBefore=fwupd
+-AutomaticReports=false
+-AutomaticSecurityReports=false
+-ApprovalRequired=false
+diff --git a/data/remotes.d/lvfs.metainfo.xml b/data/remotes.d/lvfs.metainfo.xml
+deleted file mode 100644
+index d9565ddd..00000000
+--- a/data/remotes.d/lvfs.metainfo.xml
++++ /dev/null
+@@ -1,29 +0,0 @@
+-<?xml version="1.0" encoding="UTF-8"?>
+-<!-- Copyright 2018 Richard Hughes <richard@HIDDEN> -->
+-
+-<component type="source">
+-  <id>org.freedesktop.fwupd.remotes.lvfs</id>
+-  <name>Linux Vendor Firmware Service (stable firmware)</name>
+-  <metadata_license>CC0-1.0</metadata_license>
+-  <agreement version_id="1.0">
+-    <agreement_section>
+-      <description>
+-        <!-- TRANSLATORS: do not translate the variables marked using $ -->
+-        <p>
+-          The LVFS is a free service that operates as an independent legal
+-          entity and has no connection with $OS_RELEASE:NAME$.
+-          Your distributor may not have verified any of the firmware updates for
+-          compatibility with your system or connected devices.
+-          All firmware is provided only by the original equipment manufacturer.
+-        </p>
+-        <p>
+-          Enabling this functionality is done at your own risk, which means you
+-          have to contact your original equipment manufacturer regarding any
+-          problems caused by these updates.
+-          Only problems with the update process itself should be filed at
+-          $OS_RELEASE:BUG_REPORT_URL$.
+-        </p>
+-      </description>
+-    </agreement_section>
+-  </agreement>
+-</component>
+diff --git a/data/remotes.d/meson.build b/data/remotes.d/meson.build
+index 826a3c1d..1f585c09 100644
+--- a/data/remotes.d/meson.build
++++ b/data/remotes.d/meson.build
+@@ -1,30 +1,3 @@
+-if build_daemon and get_option('lvfs')
+-  install_data([
+-      'lvfs.conf',
+-      'lvfs-testing.conf',
+-    ],
+-    install_dir : join_paths(sysconfdir, 'fwupd', 'remotes.d')
+-  )
+-  i18n.merge_file(
+-    input: 'lvfs.metainfo.xml',
+-    output: 'org.freedesktop.fwupd.remotes.lvfs.metainfo.xml',
+-    type: 'xml',
+-    po_dir: join_paths(meson.source_root(), 'po'),
+-    data_dirs: join_paths(meson.source_root(), 'po'),
+-    install: true,
+-    install_dir: join_paths(get_option('datadir'), 'fwupd', 'metainfo')
+-  )
+-  i18n.merge_file(
+-    input: 'lvfs-testing.metainfo.xml',
+-    output: 'org.freedesktop.fwupd.remotes.lvfs-testing.metainfo.xml',
+-    type: 'xml',
+-    po_dir: join_paths(meson.source_root(), 'po'),
+-    data_dirs: join_paths(meson.source_root(), 'po'),
+-    install: true,
+-    install_dir: join_paths(get_option('datadir'), 'fwupd', 'metainfo')
+-  )
+-endif
+-
+ install_data('README.md',
+   install_dir : join_paths(datadir, 'fwupd', 'remotes.d', 'vendor', 'firmware')
+ )
-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 4 Feb 2021 02:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 03 21:59:54 2021
Received: from localhost ([127.0.0.1]:39344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7Us6-0006wG-8d
	for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 21:59:54 -0500
Received: from mail.zaclys.net ([178.33.93.72]:38383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7Us4-0006vv-FB
 for 46277 <at> debbugs.gnu.org; Wed, 03 Feb 2021 21:59:53 -0500
Received: from localhost.localdomain
 (lam21-1_migr-78-196-200-185.fbx.proxad.net [78.196.200.185] (may be forged))
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 1142xaCW035813
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Thu, 4 Feb 2021 03:59:45 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 1142xaCW035813
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612407585;
 bh=zS0hIblIBYXIcPtffKRkf/mNlPiA6/KAjZ0AbRNfH2k=;
 h=From:To:Cc:Subject:Date:From;
 b=WffstJYlnNCqiHwKZy2y/p7JUONjEqeSfvTZ5LPhAstXuVEiYrJhIkuMw1vui4LH3
 cDhxN8wL0OcDsmmPEaM7ATVIRyjcML+wDUd7l+/59YauHxRsswYqrvwYK9hr4fctvU
 m2qkYJ4sW+8KKDm4I3NtuxNcAXwNXbbFB6ZoR39w=
From: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
To: 46277 <at> debbugs.gnu.org
Subject: [PATCH v3 0/2] gnu: Add fwupd and sort patch list.
Date: Thu,  4 Feb 2021 03:59:31 +0100
Message-Id: <20210204025933.4611-1-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
Cc: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Oopsie again, did not "git add" correctly.

Léo Le Bouter (2):
  gnu: Sort patch list alphabetically.
  gnu: Add fwupd.

 gnu/local.mk                                  | 405 +++++++++---------
 gnu/packages/firmware.scm                     | 117 ++++-
 ...d-option-for-installation-sysconfdir.patch | 161 +++++++
 .../patches/fwupd-do-not-write-to-var.patch   |   8 +
 .../patches/fwupd-installed-tests-path.patch  |  48 +++
 .../fwupd-remove-nonfree-lvfs-repo.patch      | 147 +++++++
 6 files changed, 685 insertions(+), 201 deletions(-)
 create mode 100644 gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
 create mode 100644 gnu/packages/patches/fwupd-do-not-write-to-var.patch
 create mode 100644 gnu/packages/patches/fwupd-installed-tests-path.patch
 create mode 100644 gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch

-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 3 Feb 2021 23:31:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 03 18:31:08 2021
Received: from localhost ([127.0.0.1]:39168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7Rc1-0000Re-LI
	for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:31:08 -0500
Received: from mail.zaclys.net ([178.33.93.72]:44609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7Rbp-0000DF-IH
 for 46277 <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:30:59 -0500
Received: from localhost.localdomain
 (lam21-1_migr-78-196-200-185.fbx.proxad.net [78.196.200.185] (may be forged))
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 113NUaeC000499
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Thu, 4 Feb 2021 00:30:47 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 113NUaeC000499
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612395047;
 bh=cKVEYooKILDscu2bUYiIJ0p4dcVqGQej8pEIuV0dvHg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=p880yWLMbbyw5pt+A//LhhT8ntNCVyFoPVsl/FRM8qSRv+rj+I8v9XHoUQPYM14JQ
 r0739wC/kBs0Xx444TukIYREwObqowuB5s4lTQcDQY5kWhp7cP5zZrJ1FALEBdajU9
 VMy1UV8Q/z8r7VCzU6cAF8Tj5mPaOuOuAwEwvTTk=
From: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
To: 46277 <at> debbugs.gnu.org
Subject: [PATCH v2 1/2] gnu: Sort patch list alphabetically.
Date: Thu,  4 Feb 2021 00:30:31 +0100
Message-Id: <20210203233032.27932-2-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210203233032.27932-1-lle-bout@HIDDEN>
References: <20210203233032.27932-1-lle-bout@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
Cc: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/local.mk (dist_patch_DATA): Sort alphabetically.
---
 gnu/local.mk | 400 +++++++++++++++++++++++++--------------------------
 1 file changed, 200 insertions(+), 200 deletions(-)

diff --git a/gnu/local.mk b/gnu/local.mk
index b9b4b664e4..5ef82650c7 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -781,20 +781,20 @@ dist_patch_DATA =						\
   %D%/packages/patches/a2ps-CVE-2014-0466.patch	\
   %D%/packages/patches/a2ps-CVE-2015-8107.patch	\
   %D%/packages/patches/abcl-fix-build-xml.patch	\
-  %D%/packages/patches/ableton-link-system-libraries-debian.patch	\
   %D%/packages/patches/abiword-explictly-cast-bools.patch	\
+  %D%/packages/patches/ableton-link-system-libraries-debian.patch	\
   %D%/packages/patches/adb-add-libraries.patch			\
   %D%/packages/patches/aegis-constness-error.patch         	\
   %D%/packages/patches/aegis-perl-tempdir1.patch           	\
   %D%/packages/patches/aegis-perl-tempdir2.patch           	\
   %D%/packages/patches/aegis-test-fixup-1.patch            	\
   %D%/packages/patches/aegis-test-fixup-2.patch            	\
-  %D%/packages/patches/aegisub-icu59-include-unistr.patch	\
   %D%/packages/patches/aegisub-boost68.patch			\
+  %D%/packages/patches/aegisub-icu59-include-unistr.patch	\
   %D%/packages/patches/aegisub-make43.patch			\
   %D%/packages/patches/agg-am_c_prototype.patch			\
-  %D%/packages/patches/akonadi-paths.patch		\
   %D%/packages/patches/akonadi-not-relocatable.patch		\
+  %D%/packages/patches/akonadi-paths.patch		\
   %D%/packages/patches/akonadi-timestamps.patch		\
   %D%/packages/patches/allegro-mesa-18.2.5-and-later.patch	\
   %D%/packages/patches/amule-crypto-6.patch			\
@@ -807,21 +807,21 @@ dist_patch_DATA =						\
   %D%/packages/patches/ath9k-htc-firmware-binutils.patch	\
   %D%/packages/patches/ath9k-htc-firmware-gcc.patch		\
   %D%/packages/patches/ath9k-htc-firmware-objcopy.patch		\
-  %D%/packages/patches/audacity-build-with-system-portaudio.patch \
   %D%/packages/patches/audacity-add-include.patch 		\
-  %D%/packages/patches/audiofile-fix-datatypes-in-tests.patch	\
-  %D%/packages/patches/audiofile-fix-sign-conversion.patch	\
+  %D%/packages/patches/audacity-build-with-system-portaudio.patch \
   %D%/packages/patches/audiofile-CVE-2015-7747.patch		\
   %D%/packages/patches/audiofile-CVE-2018-13440.patch		\
   %D%/packages/patches/audiofile-CVE-2018-17095.patch		\
-  %D%/packages/patches/audiofile-check-number-of-coefficients.patch \
   %D%/packages/patches/audiofile-Fail-on-error-in-parseFormat.patch \
   %D%/packages/patches/audiofile-Fix-index-overflow-in-IMA.cpp.patch \
-  %D%/packages/patches/audiofile-multiply-overflow.patch	\
-  %D%/packages/patches/audiofile-overflow-in-MSADPCM.patch	\
+  %D%/packages/patches/audiofile-check-number-of-coefficients.patch \
   %D%/packages/patches/audiofile-division-by-zero.patch 	\
-  %D%/packages/patches/audiofile-hurd.patch 			\
+  %D%/packages/patches/audiofile-fix-datatypes-in-tests.patch	\
+  %D%/packages/patches/audiofile-fix-sign-conversion.patch	\
   %D%/packages/patches/audiofile-function-signature.patch	\
+  %D%/packages/patches/audiofile-hurd.patch 			\
+  %D%/packages/patches/audiofile-multiply-overflow.patch	\
+  %D%/packages/patches/audiofile-overflow-in-MSADPCM.patch	\
   %D%/packages/patches/automake-skip-amhello-tests.patch	\
   %D%/packages/patches/avahi-localstatedir.patch		\
   %D%/packages/patches/avidemux-install-to-lib.patch		\
@@ -829,25 +829,14 @@ dist_patch_DATA =						\
   %D%/packages/patches/aws-c-event-stream-cmake-prefix.patch  \
   %D%/packages/patches/aws-checksums-cmake-prefix.patch		\
   %D%/packages/patches/azr3.patch				\
-  %D%/packages/patches/bash-reproducible-linux-pgrp-pipe.patch	\
   %D%/packages/patches/bash-completion-directories.patch	\
   %D%/packages/patches/bash-linux-pgrp-pipe.patch		\
+  %D%/packages/patches/bash-reproducible-linux-pgrp-pipe.patch	\
   %D%/packages/patches/bastet-change-source-of-unordered_set.patch	\
   %D%/packages/patches/bazaar-CVE-2017-14176.patch		\
   %D%/packages/patches/bc-fix-cross-compilation.patch		\
-  %D%/packages/patches/bear-disable-preinstall-tests.patch	\
-  %D%/packages/patches/bsd-games-2.17-64bit.patch		\
-  %D%/packages/patches/bsd-games-add-configure-config.patch	\
-  %D%/packages/patches/bsd-games-add-wrapper.patch		\
-  %D%/packages/patches/bsd-games-bad-ntohl-cast.patch		\
-  %D%/packages/patches/bsd-games-dont-install-empty-files.patch	\
-  %D%/packages/patches/bsd-games-gamescreen.h.patch		\
-  %D%/packages/patches/bsd-games-getline.patch			\
-  %D%/packages/patches/bsd-games-null-check.patch		\
-  %D%/packages/patches/bsd-games-number.c-and-test.patch	\
-  %D%/packages/patches/bsd-games-prevent-name-collisions.patch	\
-  %D%/packages/patches/bsd-games-stdio.h.patch			\
   %D%/packages/patches/beancount-disable-googleapis-fonts.patch	\
+  %D%/packages/patches/bear-disable-preinstall-tests.patch	\
   %D%/packages/patches/beets-werkzeug-compat.patch		\
   %D%/packages/patches/behave-skip-a-couple-of-tests.patch	\
   %D%/packages/patches/beignet-correct-file-names.patch		\
@@ -856,8 +845,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/bidiv-update-fribidi.patch		\
   %D%/packages/patches/binutils-boot-2.20.1a.patch		\
   %D%/packages/patches/binutils-loongson-workaround.patch	\
-  %D%/packages/patches/binutils-mingw-w64-timestamp.patch	\
   %D%/packages/patches/binutils-mingw-w64-deterministic.patch	\
+  %D%/packages/patches/binutils-mingw-w64-timestamp.patch	\
   %D%/packages/patches/blender-2.79-gcc8.patch			\
   %D%/packages/patches/blender-2.79-gcc9.patch			\
   %D%/packages/patches/blender-2.79-newer-ffmpeg.patch		\
@@ -865,38 +854,51 @@ dist_patch_DATA =						\
   %D%/packages/patches/blender-2.79-python-3.7-fix.patch	\
   %D%/packages/patches/blender-2.79-python-3.8-fix.patch	\
   %D%/packages/patches/bpftrace-disable-bfd-disasm.patch	\
+  %D%/packages/patches/bsd-games-2.17-64bit.patch		\
+  %D%/packages/patches/bsd-games-add-configure-config.patch	\
+  %D%/packages/patches/bsd-games-add-wrapper.patch		\
+  %D%/packages/patches/bsd-games-bad-ntohl-cast.patch		\
+  %D%/packages/patches/bsd-games-dont-install-empty-files.patch	\
+  %D%/packages/patches/bsd-games-gamescreen.h.patch		\
+  %D%/packages/patches/bsd-games-getline.patch			\
+  %D%/packages/patches/bsd-games-null-check.patch		\
+  %D%/packages/patches/bsd-games-number.c-and-test.patch	\
+  %D%/packages/patches/bsd-games-prevent-name-collisions.patch	\
+  %D%/packages/patches/bsd-games-stdio.h.patch			\
   %D%/packages/patches/byobu-writable-status.patch		\
+  %D%/packages/patches/c++-gsl-find-system-gtest.patch		\
   %D%/packages/patches/calibre-no-updates-dialog.patch		\
   %D%/packages/patches/calibre-remove-test-sqlite.patch		\
   %D%/packages/patches/calibre-remove-test-unrar.patch		\
   %D%/packages/patches/casync-renameat2-declaration.patch	\
   %D%/packages/patches/catdoc-CVE-2017-11110.patch		\
-  %D%/packages/patches/circos-remove-findbin.patch		\
   %D%/packages/patches/cdparanoia-fpic.patch			\
   %D%/packages/patches/cdrtools-3.01-mkisofs-isoinfo.patch 	\
   %D%/packages/patches/ceph-disable-cpu-optimizations.patch	\
   %D%/packages/patches/chmlib-inttypes.patch			\
+  %D%/packages/patches/circos-remove-findbin.patch		\
   %D%/packages/patches/cl-asdf-config-directories.patch		\
   %D%/packages/patches/clamav-config-llvm-libs.patch		\
   %D%/packages/patches/clamav-system-tomsfastmath.patch		\
+  %D%/packages/patches/clang-10.0-libc-search-path.patch	\
+  %D%/packages/patches/clang-11.0-libc-search-path.patch	\
   %D%/packages/patches/clang-3.5-libc-search-path.patch		\
   %D%/packages/patches/clang-3.5-libsanitizer-ustat-fix.patch	\
   %D%/packages/patches/clang-3.8-libc-search-path.patch		\
   %D%/packages/patches/clang-6.0-libc-search-path.patch		\
   %D%/packages/patches/clang-7.0-libc-search-path.patch		\
   %D%/packages/patches/clang-9.0-libc-search-path.patch		\
-  %D%/packages/patches/clang-10.0-libc-search-path.patch	\
-  %D%/packages/patches/clang-11.0-libc-search-path.patch	\
-  %D%/packages/patches/clang-runtime-asan-build-fixes.patch	\
-  %D%/packages/patches/clang-runtime-esan-build-fixes.patch	\
-  %D%/packages/patches/clang-runtime-9-libsanitizer-mode-field.patch	\
   %D%/packages/patches/clang-runtime-3.5-libsanitizer-mode-field.patch	\
-  %D%/packages/patches/clang-runtime-3.9-libsanitizer-mode-field.patch	\
   %D%/packages/patches/clang-runtime-3.8-libsanitizer-mode-field.patch	\
+  %D%/packages/patches/clang-runtime-3.9-libsanitizer-mode-field.patch	\
+  %D%/packages/patches/clang-runtime-9-libsanitizer-mode-field.patch	\
+  %D%/packages/patches/clang-runtime-asan-build-fixes.patch	\
+  %D%/packages/patches/clang-runtime-esan-build-fixes.patch	\
   %D%/packages/patches/classpath-aarch64-support.patch		\
   %D%/packages/patches/clementine-fix-sqlite.patch		\
   %D%/packages/patches/clementine-remove-crypto++-dependency.patch	\
   %D%/packages/patches/clementine-use-openssl.patch		\
+  %D%/packages/patches/clucene-contribs-lib.patch               \
   %D%/packages/patches/clucene-pkgconfig.patch			\
   %D%/packages/patches/cmake-curl-certificates.patch		\
   %D%/packages/patches/coda-use-system-libs.patch		\
@@ -908,20 +910,18 @@ dist_patch_DATA =						\
   %D%/packages/patches/cpufrequtils-fix-aclocal.patch		\
   %D%/packages/patches/crawl-upgrade-saves.patch		\
   %D%/packages/patches/crda-optional-gcrypt.patch		\
-  %D%/packages/patches/clucene-contribs-lib.patch               \
   %D%/packages/patches/cube-nocheck.patch			\
   %D%/packages/patches/curl-use-ssl-cert-env.patch		\
   %D%/packages/patches/cursynth-wave-rand.patch			\
   %D%/packages/patches/cvs-CVE-2017-12836.patch		\
   %D%/packages/patches/cyrus-sasl-ac-try-run-fix.patch		\
-  %D%/packages/patches/c++-gsl-find-system-gtest.patch		\
   %D%/packages/patches/date-output-pkg-config-files.patch	\
   %D%/packages/patches/datefudge-gettimeofday.patch		\
   %D%/packages/patches/dbacl-include-locale.h.patch		\
-  %D%/packages/patches/dbus-helper-search-path.patch		\
   %D%/packages/patches/dbus-CVE-2020-12049.patch		\
   %D%/packages/patches/dbus-c++-gcc-compat.patch		\
   %D%/packages/patches/dbus-c++-threading-mutex.patch		\
+  %D%/packages/patches/dbus-helper-search-path.patch		\
   %D%/packages/patches/dbxfs-remove-sentry-sdk.patch		\
   %D%/packages/patches/debops-constants-for-external-program-names.patch \
   %D%/packages/patches/debops-debops-defaults-fall-back-to-less.patch \
@@ -931,13 +931,13 @@ dist_patch_DATA =						\
   %D%/packages/patches/dfu-programmer-fix-libusb.patch		\
   %D%/packages/patches/diffutils-gets-undeclared.patch		\
   %D%/packages/patches/dkimproxy-add-ipv6-support.patch		\
-  %D%/packages/patches/docbook-xsl-nonrecursive-string-subst.patch	\
   %D%/packages/patches/doc++-include-directives.patch		\
   %D%/packages/patches/doc++-segfault-fix.patch			\
+  %D%/packages/patches/docbook-xsl-nonrecursive-string-subst.patch	\
   %D%/packages/patches/docker-fix-tests.patch			\
   %D%/packages/patches/dovecot-trees-support-dovecot-2.3.patch	\
-  %D%/packages/patches/doxygen-test.patch			\
   %D%/packages/patches/doxygen-1.8.17-runtests.patch		\
+  %D%/packages/patches/doxygen-test.patch			\
   %D%/packages/patches/dstat-fix-crash-when-specifying-delay.patch	\
   %D%/packages/patches/dstat-skip-devices-without-io.patch	\
   %D%/packages/patches/dune-istl-2.7-fix-non-mpi-tests.patch	\
@@ -955,10 +955,10 @@ dist_patch_DATA =						\
   %D%/packages/patches/emacs-exec-path.patch			\
   %D%/packages/patches/emacs-exwm-fix-fullscreen-states.patch	\
   %D%/packages/patches/emacs-fix-scheme-indent-function.patch	\
-  %D%/packages/patches/emacs-ignore-empty-xim-styles.patch	\
-  %D%/packages/patches/emacs-json-reformat-fix-tests.patch	\
   %D%/packages/patches/emacs-highlight-stages-add-gexp.patch	\
   %D%/packages/patches/emacs-hyperbole-toggle-messaging.patch	\
+  %D%/packages/patches/emacs-ignore-empty-xim-styles.patch	\
+  %D%/packages/patches/emacs-json-reformat-fix-tests.patch	\
   %D%/packages/patches/emacs-libgit-use-system-libgit2.patch    \
   %D%/packages/patches/emacs-source-date-epoch.patch		\
   %D%/packages/patches/emacs-telega-patch-server-functions.patch	\
@@ -970,11 +970,11 @@ dist_patch_DATA =						\
   %D%/packages/patches/erlang-man-path.patch			\
   %D%/packages/patches/eudev-rules-directory.patch		\
   %D%/packages/patches/evilwm-lost-focus-bug.patch		\
-  %D%/packages/patches/evolution-data-server-locales.patch	\
   %D%/packages/patches/evolution-data-server-libical-compat.patch	\
+  %D%/packages/patches/evolution-data-server-locales.patch	\
   %D%/packages/patches/exercism-disable-self-update.patch	\
-  %D%/packages/patches/exiv2-CVE-2017-14860.patch		\
   %D%/packages/patches/exiv2-CVE-2017-14859-14862-14864.patch	\
+  %D%/packages/patches/exiv2-CVE-2017-14860.patch		\
   %D%/packages/patches/extempore-unbundle-external-dependencies.patch	\
   %D%/packages/patches/extundelete-e2fsprogs-1.44.patch		\
   %D%/packages/patches/farstream-make.patch                          \
@@ -982,9 +982,9 @@ dist_patch_DATA =						\
   %D%/packages/patches/fastcap-mulSetup.patch			\
   %D%/packages/patches/fasthenry-spAllocate.patch		\
   %D%/packages/patches/fasthenry-spBuild.patch			\
-  %D%/packages/patches/fasthenry-spUtils.patch			\
-  %D%/packages/patches/fasthenry-spSolve.patch			\
   %D%/packages/patches/fasthenry-spFactor.patch			\
+  %D%/packages/patches/fasthenry-spSolve.patch			\
+  %D%/packages/patches/fasthenry-spUtils.patch			\
   %D%/packages/patches/fbreader-curl-7.62.patch		\
   %D%/packages/patches/fifengine-swig-compat.patch		\
   %D%/packages/patches/fifo-map-fix-flags-for-gcc.patch		\
@@ -992,14 +992,14 @@ dist_patch_DATA =						\
   %D%/packages/patches/findutils-localstatedir.patch		\
   %D%/packages/patches/findutils-test-rwlock-threads.patch	\
   %D%/packages/patches/flann-cmake-3.11.patch			\
+  %D%/packages/patches/fontconfig-hurd-path-max.patch		\
   %D%/packages/patches/foobillard++-pkg-config.patch		\
   %D%/packages/patches/foomatic-filters-CVE-2015-8327.patch	\
   %D%/packages/patches/foomatic-filters-CVE-2015-8560.patch	\
-  %D%/packages/patches/fontconfig-hurd-path-max.patch		\
   %D%/packages/patches/fpc-reproducibility.patch		\
   %D%/packages/patches/fplll-std-fenv.patch     		\
-  %D%/packages/patches/freedink-engine-fix-sdl-hints.patch	\
   %D%/packages/patches/freebayes-devendor-deps.patch		\
+  %D%/packages/patches/freedink-engine-fix-sdl-hints.patch	\
   %D%/packages/patches/freeimage-unbundle.patch		\
   %D%/packages/patches/fuse-overlapping-headers.patch				\
   %D%/packages/patches/gajim-honour-GAJIM_PLUGIN_PATH.patch	\
@@ -1013,50 +1013,49 @@ dist_patch_DATA =						\
   %D%/packages/patches/ganeti-shepherd-support.patch		\
   %D%/packages/patches/gash-utils-ls-test.patch			\
   %D%/packages/patches/gawk-shell.patch				\
-  %D%/packages/patches/gcc-arm-bug-71399.patch			\
-  %D%/packages/patches/gcc-arm-link-spec-fix.patch		\
-  %D%/packages/patches/gcc-asan-missing-include.patch		\
-  %D%/packages/patches/gcc-boot-2.95.3.patch			\
-  %D%/packages/patches/gcc-boot-4.6.4.patch			\
-  %D%/packages/patches/gcc-cross-environment-variables.patch	\
-  %D%/packages/patches/gcc-fix-texi2pod.patch			\
+  %D%/packages/patches/gcc-4-compile-with-gcc-5.patch		 \
+  %D%/packages/patches/gcc-4.6-gnu-inline.patch			\
   %D%/packages/patches/gcc-4.8-libsanitizer-fix.patch		\
   %D%/packages/patches/gcc-4.9-libsanitizer-fix.patch		\
-  %D%/packages/patches/gcc-4.9-libsanitizer-ustat.patch		\
-  %D%/packages/patches/gcc-libsanitizer-ustat.patch		\
   %D%/packages/patches/gcc-4.9-libsanitizer-mode-size.patch	\
-  %D%/packages/patches/gcc-6-fix-isl-includes.patch	\
-  %D%/packages/patches/gcc-6-fix-buffer-size.patch	\
-  %D%/packages/patches/gcc-6-libsanitizer-mode-size.patch	\
-  %D%/packages/patches/gcc-7-libsanitizer-mode-size.patch	\
-  %D%/packages/patches/gcc-libvtv-runpath.patch			\
-  %D%/packages/patches/gcc-strmov-store-file-names.patch	\
-  %D%/packages/patches/gcc-4-compile-with-gcc-5.patch		 \
-  %D%/packages/patches/gcc-4.6-gnu-inline.patch			\
+  %D%/packages/patches/gcc-4.9-libsanitizer-ustat.patch		\
   %D%/packages/patches/gcc-4.9.3-mingw-gthr-default.patch	\
   %D%/packages/patches/gcc-5-hurd.patch				\
-  %D%/packages/patches/gcc-5.0-libvtv-runpath.patch		\
   %D%/packages/patches/gcc-5-source-date-epoch-1.patch		\
   %D%/packages/patches/gcc-5-source-date-epoch-2.patch		\
+  %D%/packages/patches/gcc-5.0-libvtv-runpath.patch		\
   %D%/packages/patches/gcc-6-arm-none-eabi-multilib.patch	\
   %D%/packages/patches/gcc-6-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-6-fix-buffer-size.patch	\
+  %D%/packages/patches/gcc-6-fix-isl-includes.patch	\
+  %D%/packages/patches/gcc-6-libsanitizer-mode-size.patch	\
   %D%/packages/patches/gcc-6-source-date-epoch-1.patch		\
   %D%/packages/patches/gcc-6-source-date-epoch-2.patch		\
-  %D%/packages/patches/gcc-7-cross-mingw.patch			\
   %D%/packages/patches/gcc-7-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-7-cross-mingw.patch			\
   %D%/packages/patches/gcc-7-cross-toolexeclibdir.patch		\
+  %D%/packages/patches/gcc-7-libsanitizer-mode-size.patch	\
   %D%/packages/patches/gcc-8-cross-environment-variables.patch	\
   %D%/packages/patches/gcc-8-strmov-store-file-names.patch	\
   %D%/packages/patches/gcc-9-asan-fix-limits-include.patch	\
   %D%/packages/patches/gcc-9-strmov-store-file-names.patch	\
-  %D%/packages/patches/gdb-hurd.patch				\
-  %D%/packages/patches/gd-fix-tests-on-i686.patch		\
+  %D%/packages/patches/gcc-arm-bug-71399.patch			\
+  %D%/packages/patches/gcc-arm-link-spec-fix.patch		\
+  %D%/packages/patches/gcc-asan-missing-include.patch		\
+  %D%/packages/patches/gcc-boot-2.95.3.patch			\
+  %D%/packages/patches/gcc-boot-4.6.4.patch			\
+  %D%/packages/patches/gcc-cross-environment-variables.patch	\
+  %D%/packages/patches/gcc-fix-texi2pod.patch			\
+  %D%/packages/patches/gcc-libsanitizer-ustat.patch		\
+  %D%/packages/patches/gcc-libvtv-runpath.patch			\
+  %D%/packages/patches/gcc-strmov-store-file-names.patch	\
   %D%/packages/patches/gd-brect-bounds.patch			\
+  %D%/packages/patches/gd-fix-tests-on-i686.patch		\
+  %D%/packages/patches/gdb-hurd.patch				\
   %D%/packages/patches/gdm-default-session.patch		\
   %D%/packages/patches/genimage-signedness.patch		\
   %D%/packages/patches/geoclue-config.patch			\
   %D%/packages/patches/ghc-8.0-fall-back-to-madv_dontneed.patch	\
-  %D%/packages/patches/ghc-testsuite-dlopen-pie.patch		\
   %D%/packages/patches/ghc-diff-swap-cover-args.patch		\
   %D%/packages/patches/ghc-haddock-api-fix-haddock.patch	\
   %D%/packages/patches/ghc-hpack-fix-tests.patch		\
@@ -1064,23 +1063,30 @@ dist_patch_DATA =						\
   %D%/packages/patches/ghc-monad-par-fix-tests.patch		\
   %D%/packages/patches/ghc-pandoc-fix-html-tests.patch		\
   %D%/packages/patches/ghc-pandoc-fix-latex-test.patch		\
+  %D%/packages/patches/ghc-testsuite-dlopen-pie.patch		\
   %D%/packages/patches/ghostscript-CVE-2020-15900.patch		\
   %D%/packages/patches/ghostscript-freetype-compat.patch	\
+  %D%/packages/patches/ghostscript-no-header-creationdate.patch \
   %D%/packages/patches/ghostscript-no-header-id.patch		\
   %D%/packages/patches/ghostscript-no-header-uuid.patch		\
-  %D%/packages/patches/ghostscript-no-header-creationdate.patch \
   %D%/packages/patches/glib-appinfo-watch.patch			\
   %D%/packages/patches/glib-tests-timer.patch			\
+  %D%/packages/patches/glibc-2.27-git-fixes.patch		\
+  %D%/packages/patches/glibc-2.27-supported-locales.patch     	\
+  %D%/packages/patches/glibc-2.28-git-fixes.patch		\
+  %D%/packages/patches/glibc-2.28-supported-locales.patch     	\
+  %D%/packages/patches/glibc-2.29-git-updates.patch     	\
+  %D%/packages/patches/glibc-2.29-supported-locales.patch     	\
   %D%/packages/patches/glibc-CVE-2018-11236.patch		\
   %D%/packages/patches/glibc-CVE-2018-11237.patch		\
+  %D%/packages/patches/glibc-CVE-2019-19126.patch		\
   %D%/packages/patches/glibc-CVE-2019-7309.patch		\
   %D%/packages/patches/glibc-CVE-2019-9169.patch		\
-  %D%/packages/patches/glibc-CVE-2019-19126.patch		\
   %D%/packages/patches/glibc-allow-kernel-2.6.32.patch		\
   %D%/packages/patches/glibc-boot-2.16.0.patch			\
   %D%/packages/patches/glibc-boot-2.2.5.patch			\
-  %D%/packages/patches/glibc-bootstrap-system-2.2.5.patch 	\
   %D%/packages/patches/glibc-bootstrap-system-2.16.0.patch 	\
+  %D%/packages/patches/glibc-bootstrap-system-2.2.5.patch 	\
   %D%/packages/patches/glibc-bootstrap-system.patch		\
   %D%/packages/patches/glibc-hidden-visibility-ldconfig.patch	\
   %D%/packages/patches/glibc-hurd-clock_gettime_monotonic.patch	\
@@ -1090,32 +1096,26 @@ dist_patch_DATA =						\
   %D%/packages/patches/glibc-hurd-magic-pid.patch		\
   %D%/packages/patches/glibc-hurd-signal-sa-siginfo.patch	\
   %D%/packages/patches/glibc-ldd-x86_64.patch			\
-  %D%/packages/patches/glibc-locales.patch			\
   %D%/packages/patches/glibc-locales-2.28.patch			\
+  %D%/packages/patches/glibc-locales.patch			\
   %D%/packages/patches/glibc-reinstate-prlimit64-fallback.patch	\
-  %D%/packages/patches/glibc-versioned-locpath.patch		\
-  %D%/packages/patches/glibc-2.27-git-fixes.patch		\
-  %D%/packages/patches/glibc-2.28-git-fixes.patch		\
-  %D%/packages/patches/glibc-2.29-git-updates.patch     	\
-  %D%/packages/patches/glibc-2.27-supported-locales.patch     	\
-  %D%/packages/patches/glibc-2.28-supported-locales.patch     	\
-  %D%/packages/patches/glibc-2.29-supported-locales.patch     	\
   %D%/packages/patches/glibc-supported-locales.patch     	\
+  %D%/packages/patches/glibc-versioned-locpath.patch		\
   %D%/packages/patches/gmp-arm-asm-nothumb.patch		\
   %D%/packages/patches/gmp-faulty-test.patch			\
   %D%/packages/patches/gnash-fix-giflib-version.patch	        \
-  %D%/packages/patches/gnome-shell-theme.patch			\
-  %D%/packages/patches/gnome-shell-disable-test.patch		\
   %D%/packages/patches/gnome-settings-daemon-gc.patch		\
+  %D%/packages/patches/gnome-shell-disable-test.patch		\
+  %D%/packages/patches/gnome-shell-theme.patch			\
   %D%/packages/patches/gnome-todo-delete-esource-duplicate.patch \
   %D%/packages/patches/gnome-tweaks-search-paths.patch		\
   %D%/packages/patches/gnupg-default-pinentry.patch		\
-  %D%/packages/patches/gnutls-skip-trust-store-test.patch	\
   %D%/packages/patches/gnutls-cross.patch			\
+  %D%/packages/patches/gnutls-skip-trust-store-test.patch	\
+  %D%/packages/patches/go-skip-gc-test.patch			\
   %D%/packages/patches/gobject-introspection-absolute-shlib-path.patch \
   %D%/packages/patches/gobject-introspection-cc.patch		\
   %D%/packages/patches/gobject-introspection-girepository.patch	\
-  %D%/packages/patches/go-skip-gc-test.patch			\
   %D%/packages/patches/gpm-glibc-2.26.patch			\
   %D%/packages/patches/gpodder-disable-updater.patch		\
   %D%/packages/patches/gpsbabel-fix-i686-test.patch		\
@@ -1130,51 +1130,51 @@ dist_patch_DATA =						\
   %D%/packages/patches/grub-verifiers-Blocklist-fallout-cleanup.patch \
   %D%/packages/patches/gspell-dash-test.patch			\
   %D%/packages/patches/gst-plugins-good-fix-test.patch		\
+  %D%/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch \
+  %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch	\
+  %D%/packages/patches/gtk2-theme-paths.patch			\
+  %D%/packages/patches/gtk3-respect-GUIX_GTK3_IM_MODULE_FILE.patch \
+  %D%/packages/patches/gtk3-respect-GUIX_GTK3_PATH.patch	\
+  %D%/packages/patches/gtkglext-disable-disable-deprecated.patch \
+  %D%/packages/patches/gtksourceview-2-add-default-directory.patch \
   %D%/packages/patches/guile-1.8-cpp-4.5.patch			\
+  %D%/packages/patches/guile-2.2-default-utf8.patch		\
   %D%/packages/patches/guile-2.2-skip-oom-test.patch            \
   %D%/packages/patches/guile-2.2-skip-so-test.patch             \
-  %D%/packages/patches/guile-default-utf8.patch			\
-  %D%/packages/patches/guile-2.2-default-utf8.patch		\
-  %D%/packages/patches/guile-relocatable.patch			\
-  %D%/packages/patches/guile-3.0-relocatable.patch		\
-  %D%/packages/patches/guile-linux-syscalls.patch		\
   %D%/packages/patches/guile-3.0-linux-syscalls.patch		\
+  %D%/packages/patches/guile-3.0-relocatable.patch		\
+  %D%/packages/patches/guile-default-utf8.patch			\
+  %D%/packages/patches/guile-emacs-fix-configure.patch		\
   %D%/packages/patches/guile-fibers-destroy-peer-schedulers.patch \
   %D%/packages/patches/guile-gdbm-ffi-support-gdbm-1.14.patch	\
+  %D%/packages/patches/guile-linux-syscalls.patch		\
   %D%/packages/patches/guile-present-coding.patch		\
+  %D%/packages/patches/guile-relocatable.patch			\
   %D%/packages/patches/guile-rsvg-pkgconfig.patch		\
-  %D%/packages/patches/guile-emacs-fix-configure.patch		\
-  %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch	\
-  %D%/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch \
-  %D%/packages/patches/gtk2-theme-paths.patch			\
-  %D%/packages/patches/gtk3-respect-GUIX_GTK3_PATH.patch	\
-  %D%/packages/patches/gtk3-respect-GUIX_GTK3_IM_MODULE_FILE.patch \
-  %D%/packages/patches/gtkglext-disable-disable-deprecated.patch \
-  %D%/packages/patches/gtksourceview-2-add-default-directory.patch \
   %D%/packages/patches/gvfs-add-support-for-libplist-2.2.patch	\
-  %D%/packages/patches/gzdoom-search-in-installed-share.patch	\
   %D%/packages/patches/gzdoom-find-system-libgme.patch	\
-  %D%/packages/patches/hdf4-architectures.patch 		\
-  %D%/packages/patches/hdf4-reproducibility.patch 		\
-  %D%/packages/patches/hdf4-shared-fortran.patch 		\
-  %D%/packages/patches/hdf4-tirpc.patch 			\
-  %D%/packages/patches/hdf5-config-date.patch			\
-  %D%/packages/patches/hdf5-1.8-mpi-deprecations.patch		\
+  %D%/packages/patches/gzdoom-search-in-installed-share.patch	\
   %D%/packages/patches/hdf-eos2-build-shared.patch 		\
-  %D%/packages/patches/hdf-eos2-remove-gctp.patch		\
   %D%/packages/patches/hdf-eos2-fortrantests.patch		\
+  %D%/packages/patches/hdf-eos2-remove-gctp.patch		\
   %D%/packages/patches/hdf-eos5-build-shared.patch 		\
-  %D%/packages/patches/hdf-eos5-remove-gctp.patch		\
   %D%/packages/patches/hdf-eos5-fix-szip.patch			\
   %D%/packages/patches/hdf-eos5-fortrantests.patch		\
+  %D%/packages/patches/hdf-eos5-remove-gctp.patch		\
+  %D%/packages/patches/hdf4-architectures.patch 		\
+  %D%/packages/patches/hdf4-reproducibility.patch 		\
+  %D%/packages/patches/hdf4-shared-fortran.patch 		\
+  %D%/packages/patches/hdf4-tirpc.patch 			\
+  %D%/packages/patches/hdf5-1.8-mpi-deprecations.patch		\
+  %D%/packages/patches/hdf5-config-date.patch			\
+  %D%/packages/patches/hplip-remove-imageprocessor.patch	\
   %D%/packages/patches/http-parser-fix-assertion-on-armhf.patch	\
   %D%/packages/patches/hubbub-sort-entities.patch		\
   %D%/packages/patches/hurd-cross.patch				\
   %D%/packages/patches/hurd-xattr.patch				\
-  %D%/packages/patches/hplip-remove-imageprocessor.patch	\
   %D%/packages/patches/hydra-disable-darcs-test.patch		\
-  %D%/packages/patches/icecat-makeicecat.patch			\
   %D%/packages/patches/icecat-avoid-bundled-libraries.patch	\
+  %D%/packages/patches/icecat-makeicecat.patch			\
   %D%/packages/patches/icecat-use-older-reveal-hidden-html.patch	\
   %D%/packages/patches/icecat-use-system-graphite2+harfbuzz.patch	\
   %D%/packages/patches/icecat-use-system-media-libs.patch	\
@@ -1193,9 +1193,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/ipxe-reproducible-geniso.patch	        \
   %D%/packages/patches/irrlicht-use-system-libs.patch		\
   %D%/packages/patches/isl-0.11.1-aarch64-support.patch	\
-  %D%/packages/patches/json-c-CVE-2020-12762.patch		\
-  %D%/packages/patches/json-c-0.13-CVE-2020-12762.patch	\
-  %D%/packages/patches/json-c-0.12-CVE-2020-12762.patch	\
   %D%/packages/patches/jacal-fix-texinfo.patch			\
   %D%/packages/patches/jamvm-1.5.1-aarch64-support.patch	\
   %D%/packages/patches/jamvm-1.5.1-armv7-support.patch	\
@@ -1204,7 +1201,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/jamvm-2.0.0-opcode-guard.patch		\
   %D%/packages/patches/java-antlr4-Add-standalone-generator.patch	\
   %D%/packages/patches/java-antlr4-fix-code-too-large.java	\
-  %D%/packages/patches/java-tunnelvisionlabs-antlr-code-too-large.patch	\
   %D%/packages/patches/java-apache-ivy-port-to-latest-bouncycastle.patch	\
   %D%/packages/patches/java-commons-collections-fix-java8.patch \
   %D%/packages/patches/java-jeromq-fix-tests.patch		\
@@ -1212,19 +1208,18 @@ dist_patch_DATA =						\
   %D%/packages/patches/java-powermock-fix-java-files.patch		\
   %D%/packages/patches/java-simple-xml-fix-tests.patch		\
   %D%/packages/patches/java-svg-salamander-Fix-non-det.patch	\
+  %D%/packages/patches/java-tunnelvisionlabs-antlr-code-too-large.patch	\
   %D%/packages/patches/java-xerces-bootclasspath.patch	\
   %D%/packages/patches/java-xerces-build_dont_unzip.patch	\
   %D%/packages/patches/java-xerces-xjavac_taskdef.patch	\
   %D%/packages/patches/jfsutils-add-sysmacros.patch		\
   %D%/packages/patches/jfsutils-include-systypes.patch		\
+  %D%/packages/patches/json-c-0.12-CVE-2020-12762.patch	\
+  %D%/packages/patches/json-c-0.13-CVE-2020-12762.patch	\
+  %D%/packages/patches/json-c-CVE-2020-12762.patch		\
   %D%/packages/patches/jsoncpp-fix-inverted-case.patch		\
   %D%/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch	\
   %D%/packages/patches/kdbusaddons-kinit-file-name.patch	\
-  %D%/packages/patches/libffi-3.3-powerpc-fixes.patch		\
-  %D%/packages/patches/libffi-float128-powerpc64le.patch	\
-  %D%/packages/patches/libvirt-create-machine-cgroup.patch	\
-  %D%/packages/patches/libziparchive-add-includes.patch		\
-  %D%/packages/patches/localed-xorg-keyboard.patch		\
   %D%/packages/patches/kdiagram-Fix-missing-link-libraries.patch \
   %D%/packages/patches/kiki-level-selection-crash.patch		\
   %D%/packages/patches/kiki-makefile.patch			\
@@ -1235,20 +1230,20 @@ dist_patch_DATA =						\
   %D%/packages/patches/kio-search-smbd-on-PATH.patch		\
   %D%/packages/patches/kmail-Fix-missing-link-libraries.patch \
   %D%/packages/patches/kmod-module-directory.patch		\
-  %D%/packages/patches/kmscon-runtime-keymap-switch.patch	\
-  %D%/packages/patches/kpackage-allow-external-paths.patch	\
-  %D%/packages/patches/kpackage-fix-KF5PackageMacros.cmake.patch \
   %D%/packages/patches/kmplayer-aarch64.patch			\
   %D%/packages/patches/kmplayer-upstream_Fix-build-with-Qt-5.9.patch	\
-  %D%/packages/patches/kobodeluxe-paths.patch			\
-  %D%/packages/patches/kobodeluxe-enemies-pipe-decl.patch	\
+  %D%/packages/patches/kmscon-runtime-keymap-switch.patch	\
   %D%/packages/patches/kobodeluxe-const-charp-conversion.patch	\
+  %D%/packages/patches/kobodeluxe-enemies-pipe-decl.patch	\
+  %D%/packages/patches/kobodeluxe-graphics-window-signed-char.patch	\
   %D%/packages/patches/kobodeluxe-manpage-minus-not-hyphen.patch	\
   %D%/packages/patches/kobodeluxe-midicon-segmentation-fault.patch	\
-  %D%/packages/patches/kobodeluxe-graphics-window-signed-char.patch	\
+  %D%/packages/patches/kobodeluxe-paths.patch			\
   %D%/packages/patches/kodi-increase-test-timeout.patch		\
   %D%/packages/patches/kodi-set-libcurl-ssl-parameters.patch		\
   %D%/packages/patches/kodi-skip-test-449.patch		\
+  %D%/packages/patches/kpackage-allow-external-paths.patch	\
+  %D%/packages/patches/kpackage-fix-KF5PackageMacros.cmake.patch \
   %D%/packages/patches/laby-make-install.patch			\
   %D%/packages/patches/lcalc-default-parameters-1.patch		\
   %D%/packages/patches/lcalc-default-parameters-2.patch		\
@@ -1272,27 +1267,31 @@ dist_patch_DATA =						\
   %D%/packages/patches/libcanberra-wayland-crash.patch \
   %D%/packages/patches/libcyaml-libyaml-compat.patch		\
   %D%/packages/patches/libexpected-nofetch.patch                \
+  %D%/packages/patches/libffi-3.3-powerpc-fixes.patch		\
+  %D%/packages/patches/libffi-float128-powerpc64le.patch	\
   %D%/packages/patches/libgeotiff-adapt-test-script-for-proj-6.2.patch		\
   %D%/packages/patches/libgit2-mtime-0.patch			\
   %D%/packages/patches/libgnome-encoding.patch			\
   %D%/packages/patches/libgnomeui-utf8.patch			\
   %D%/packages/patches/libjxr-fix-function-signature.patch	\
   %D%/packages/patches/libjxr-fix-typos.patch			\
-  %D%/packages/patches/libofa-ftbfs-1.diff		\
-  %D%/packages/patches/libofa-curl.diff		\
-  %D%/packages/patches/libofa-ftbfs-2.diff		\
-  %D%/packages/patches/libotr-test-auth-fix.patch		\
   %D%/packages/patches/libksieve-Fix-missing-link-libraries.patch \
   %D%/packages/patches/libmad-armv7-thumb-pt1.patch		\
   %D%/packages/patches/libmad-armv7-thumb-pt2.patch		\
   %D%/packages/patches/libmad-length-check.patch		\
   %D%/packages/patches/libmad-md_size.patch			\
   %D%/packages/patches/libmad-mips-newgcc.patch			\
+  %D%/packages/patches/libmemcached-build-with-gcc7.patch	\
+  %D%/packages/patches/libmhash-hmac-fix-uaf.patch		\
   %D%/packages/patches/libmp4v2-c++11.patch			\
   %D%/packages/patches/libmpeg2-arm-private-symbols.patch	\
   %D%/packages/patches/libmpeg2-global-symbol-test.patch	\
   %D%/packages/patches/libmygpo-qt-fix-qt-5.11.patch		\
   %D%/packages/patches/libmygpo-qt-missing-qt5-modules.patch	\
+  %D%/packages/patches/libofa-curl.diff		\
+  %D%/packages/patches/libofa-ftbfs-1.diff		\
+  %D%/packages/patches/libofa-ftbfs-2.diff		\
+  %D%/packages/patches/libotr-test-auth-fix.patch		\
   %D%/packages/patches/libqalculate-3.8.0-libcurl-ssl-fix.patch	\
   %D%/packages/patches/libquicktime-ffmpeg.patch 		\
   %D%/packages/patches/libssh2-CVE-2019-17498.patch 		\
@@ -1300,8 +1299,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/libtgvoip-disable-sse2.patch 		\
   %D%/packages/patches/libtgvoip-disable-webrtc.patch 		\
   %D%/packages/patches/libtheora-config-guess.patch		\
-  %D%/packages/patches/libtirpc-hurd.patch			\
   %D%/packages/patches/libtirpc-hurd-client.patch		\
+  %D%/packages/patches/libtirpc-hurd.patch			\
   %D%/packages/patches/libtommath-fix-linkage.patch		\
   %D%/packages/patches/libtool-skip-tests2.patch		\
   %D%/packages/patches/libusb-0.1-disable-tests.patch		\
@@ -1309,9 +1308,11 @@ dist_patch_DATA =						\
   %D%/packages/patches/libutils-add-includes.patch		\
   %D%/packages/patches/libutils-remove-damaging-includes.patch	\
   %D%/packages/patches/libvdpau-va-gl-unbundle.patch		\
+  %D%/packages/patches/libvirt-create-machine-cgroup.patch	\
   %D%/packages/patches/libvpx-CVE-2016-2818.patch		\
   %D%/packages/patches/libxslt-generated-ids.patch		\
   %D%/packages/patches/libxt-guix-search-paths.patch		\
+  %D%/packages/patches/libziparchive-add-includes.patch		\
   %D%/packages/patches/lierolibre-check-unaligned-access.patch	\
   %D%/packages/patches/lierolibre-is-free-software.patch	\
   %D%/packages/patches/lierolibre-newer-libconfig.patch		\
@@ -1329,31 +1330,31 @@ dist_patch_DATA =						\
   %D%/packages/patches/llvm-9-fix-lpad-miscompilation.patch	\
   %D%/packages/patches/llvm-9-fix-scev-miscompilation.patch	\
   %D%/packages/patches/lm-sensors-hwmon-attrs.patch		\
+  %D%/packages/patches/localed-xorg-keyboard.patch		\
   %D%/packages/patches/lrcalc-includes.patch    		\
   %D%/packages/patches/lrzip-CVE-2017-8842.patch		\
   %D%/packages/patches/lsh-fix-x11-forwarding.patch		\
   %D%/packages/patches/lsof-fatal-test-failures.patch		\
   %D%/packages/patches/lua-CVE-2014-5461.patch                      \
+  %D%/packages/patches/lua-liblua-so.patch                      \
   %D%/packages/patches/lua-pkgconfig.patch                      \
   %D%/packages/patches/lua51-liblua-so.patch                    \
   %D%/packages/patches/lua51-pkgconfig.patch                    \
-  %D%/packages/patches/lua-liblua-so.patch                      \
   %D%/packages/patches/luajit-no_ldconfig.patch			\
   %D%/packages/patches/luit-posix.patch				\
   %D%/packages/patches/lvm2-static-link.patch			\
+  %D%/packages/patches/m4-gnulib-libio.patch			\
   %D%/packages/patches/mailutils-fix-uninitialized-variable.patch	\
   %D%/packages/patches/make-impure-dirs.patch			\
   %D%/packages/patches/mars-install.patch			\
   %D%/packages/patches/mars-sfml-2.3.patch			\
-  %D%/packages/patches/maxima-defsystem-mkdir.patch		\
   %D%/packages/patches/maven-enforcer-api-fix-old-dependencies.patch	\
   %D%/packages/patches/maven-generate-component-xml.patch		\
   %D%/packages/patches/maven-generate-javax-inject-named.patch		\
+  %D%/packages/patches/maxima-defsystem-mkdir.patch		\
   %D%/packages/patches/mcrypt-CVE-2012-4409.patch			\
   %D%/packages/patches/mcrypt-CVE-2012-4426.patch			\
   %D%/packages/patches/mcrypt-CVE-2012-4527.patch			\
-  %D%/packages/patches/libmemcached-build-with-gcc7.patch	\
-  %D%/packages/patches/libmhash-hmac-fix-uaf.patch		\
   %D%/packages/patches/mediastreamer2-srtp2.patch		\
   %D%/packages/patches/mesa-skip-tests.patch			\
   %D%/packages/patches/mescc-tools-boot.patch			\
@@ -1368,7 +1369,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/minisat-install.patch			\
   %D%/packages/patches/mit-krb5-hurd.patch			\
   %D%/packages/patches/mit-krb5-qualify-short-hostnames.patch	\
-  %D%/packages/patches/mpc123-initialize-ao.patch		\
   %D%/packages/patches/module-init-tools-moduledir.patch	\
   %D%/packages/patches/monero-use-system-miniupnpc.patch			\
   %D%/packages/patches/mongodb-support-unknown-linux-distributions.patch	\
@@ -1379,6 +1379,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/mozjs38-shell-version.patch		\
   %D%/packages/patches/mozjs38-tracelogger.patch		\
   %D%/packages/patches/mozjs38-version-detection.patch		\
+  %D%/packages/patches/mpc123-initialize-ao.patch		\
   %D%/packages/patches/mrrescue-support-love-11.patch		\
   %D%/packages/patches/mtools-mformat-uninitialized.patch	\
   %D%/packages/patches/mumps-build-parallelism.patch		\
@@ -1390,38 +1391,38 @@ dist_patch_DATA =						\
   %D%/packages/patches/mupen64plus-video-z64-glew-correct-path.patch    \
   %D%/packages/patches/musl-cross-locale.patch			\
   %D%/packages/patches/mutt-store-references.patch		\
-  %D%/packages/patches/m4-gnulib-libio.patch			\
   %D%/packages/patches/ncompress-fix-softlinks.patch		\
   %D%/packages/patches/netcdf-date-time.patch			\
   %D%/packages/patches/netpbm-CVE-2017-2586.patch		\
   %D%/packages/patches/netpbm-CVE-2017-2587.patch		\
+  %D%/packages/patches/netsurf-longer-test-timeout.patch	\
   %D%/packages/patches/netsurf-message-timestamp.patch		\
   %D%/packages/patches/netsurf-system-utf8proc.patch		\
   %D%/packages/patches/netsurf-y2038-tests.patch		\
-  %D%/packages/patches/netsurf-longer-test-timeout.patch	\
-  %D%/packages/patches/nfs4-acl-tools-0.3.7-fixpaths.patch	\
-  %D%/packages/patches/ngircd-handle-zombies.patch		\
   %D%/packages/patches/network-manager-plugin-path.patch	\
+  %D%/packages/patches/nfs4-acl-tools-0.3.7-fixpaths.patch	\
   %D%/packages/patches/nginx-socket-cloexec.patch		\
+  %D%/packages/patches/ngircd-handle-zombies.patch		\
   %D%/packages/patches/nsis-env-passthru.patch			\
-  %D%/packages/patches/nss-increase-test-timeout.patch		\
   %D%/packages/patches/nss-3.56-pkgconfig.patch			\
+  %D%/packages/patches/nss-increase-test-timeout.patch		\
   %D%/packages/patches/ntfs-3g-CVE-2019-9755.patch		\
   %D%/packages/patches/nvi-assume-preserve-path.patch		\
-  %D%/packages/patches/nvi-dbpagesize-binpower.patch		\
   %D%/packages/patches/nvi-db4.patch				\
+  %D%/packages/patches/nvi-dbpagesize-binpower.patch		\
   %D%/packages/patches/nyacc-binary-literals.patch		\
   %D%/packages/patches/obs-modules-location.patch		\
+  %D%/packages/patches/ocaml-Add-a-.file-directive.patch	\
+  %D%/packages/patches/ocaml-CVE-2015-8869.patch		\
   %D%/packages/patches/ocaml-bitstring-fix-configure.patch \
   %D%/packages/patches/ocaml-cairo2-caml_ba_array-fix.patch     \
-  %D%/packages/patches/ocaml-CVE-2015-8869.patch		\
-  %D%/packages/patches/ocaml-Add-a-.file-directive.patch	\
-  %D%/packages/patches/ocaml-enable-ocamldoc-reproducibility.patch	\
-  %D%/packages/patches/ocaml-dose3-add-unix-dependency.patch	\
   %D%/packages/patches/ocaml-dose3-Fix-for-ocaml-4.06.patch	\
-  %D%/packages/patches/ocaml-dose3-dont-make-printconf.patch	\
   %D%/packages/patches/ocaml-dose3-Install-mli-cmx-etc.patch	\
+  %D%/packages/patches/ocaml-dose3-add-unix-dependency.patch	\
+  %D%/packages/patches/ocaml-dose3-dont-make-printconf.patch	\
+  %D%/packages/patches/ocaml-enable-ocamldoc-reproducibility.patch	\
   %D%/packages/patches/omake-fix-non-determinism.patch	\
+  %D%/packages/patches/open-zwave-hidapi.patch			\
   %D%/packages/patches/openbabel-fix-crash-on-nwchem-output.patch	\
   %D%/packages/patches/opencascade-oce-glibc-2.26.patch		\
   %D%/packages/patches/opencv-fix-build-of-grfmt_jpeg2000.cpp.patch	\
@@ -1430,16 +1431,15 @@ dist_patch_DATA =						\
   %D%/packages/patches/openfoam-4.1-cleanup.patch			\
   %D%/packages/patches/openjdk-10-idlj-reproducibility.patch	\
   %D%/packages/patches/openmpi-mtl-priorities.patch		\
-  %D%/packages/patches/openssh-fix-ssh-copy-id.patch		\
-  %D%/packages/patches/openssh-hurd.patch			\
   %D%/packages/patches/openresolv-restartcmd-guix.patch	\
   %D%/packages/patches/openscad-parser-boost-1.72.patch	\
   %D%/packages/patches/opensles-add-license-file.patch			\
-  %D%/packages/patches/openssl-runpath.patch			\
+  %D%/packages/patches/openssh-fix-ssh-copy-id.patch		\
+  %D%/packages/patches/openssh-hurd.patch			\
   %D%/packages/patches/openssl-1.1-c-rehash-in.patch		\
-  %D%/packages/patches/openssl-c-rehash-in.patch		\
   %D%/packages/patches/openssl-CVE-2019-1559.patch		\
-  %D%/packages/patches/open-zwave-hidapi.patch			\
+  %D%/packages/patches/openssl-c-rehash-in.patch		\
+  %D%/packages/patches/openssl-runpath.patch			\
   %D%/packages/patches/orpheus-cast-errors-and-includes.patch	\
   %D%/packages/patches/osip-CVE-2017-7853.patch			\
   %D%/packages/patches/ots-no-include-missing-file.patch	\
@@ -1449,34 +1449,21 @@ dist_patch_DATA =						\
   %D%/packages/patches/p7zip-remove-unused-code.patch		\
   %D%/packages/patches/pam-krb5-CVE-2020-10595.patch		\
   %D%/packages/patches/pango-skip-libthai-test.patch		\
+  %D%/packages/patches/patch-hurd-path-max.patch		\
+  %D%/packages/patches/patchutils-test-perms.patch		\
   %D%/packages/patches/pciutils-hurd-configure.patch		\
   %D%/packages/patches/pciutils-hurd-fix.patch			\
-  %D%/packages/patches/plasma-framework-fix-KF5PlasmaMacros.cmake.patch \
-  %D%/packages/patches/ppsspp-disable-upgrade-and-gold.patch		\
-  %D%/packages/patches/samba-fix-fcntl-hint-detection.patch		\
-  %D%/packages/patches/sdcc-disable-non-free-code.patch		\
-  %D%/packages/patches/sdl-pango-api_additions.patch		\
-  %D%/packages/patches/sdl-pango-blit_overflow.patch		\
-  %D%/packages/patches/sdl-pango-fillrect_crash.patch		\
-  %D%/packages/patches/sdl-pango-header-guard.patch		\
-  %D%/packages/patches/sdl-pango-matrix_declarations.patch	\
-  %D%/packages/patches/sdl-pango-sans-serif.patch		\
-  %D%/packages/patches/smalltalk-multiplication-overflow.patch	\
-  %D%/packages/patches/sqlite-hurd.patch			\
-  %D%/packages/patches/sunxi-tools-remove-sys-io.patch	\
-  %D%/packages/patches/patchutils-test-perms.patch		\
-  %D%/packages/patches/patch-hurd-path-max.patch		\
   %D%/packages/patches/perl-autosplit-default-time.patch	\
   %D%/packages/patches/perl-cross.patch				\
   %D%/packages/patches/perl-deterministic-ordering.patch	\
   %D%/packages/patches/perl-finance-quote-unuse-mozilla-ca.patch \
   %D%/packages/patches/perl-io-socket-ssl-openssl-1.0.2f-fix.patch \
+  %D%/packages/patches/perl-module-pluggable-search.patch	\
   %D%/packages/patches/perl-net-amazon-s3-moose-warning.patch	\
   %D%/packages/patches/perl-net-dns-resolver-programmable-fix.patch	\
   %D%/packages/patches/perl-no-sys-dirs.patch			\
-  %D%/packages/patches/perl-text-markdown-discount-unbundle.patch	\
-  %D%/packages/patches/perl-module-pluggable-search.patch	\
   %D%/packages/patches/perl-reproducible-build-date.patch	\
+  %D%/packages/patches/perl-text-markdown-discount-unbundle.patch	\
   %D%/packages/patches/perl-www-curl-fix-struct-void.patch	\
   %D%/packages/patches/perl-www-curl-remove-symbol.patch	\
   %D%/packages/patches/picard-fix-id3-rename-test.patch		\
@@ -1493,17 +1480,19 @@ dist_patch_DATA =						\
   %D%/packages/patches/pixman-CVE-2016-5296.patch		\
   %D%/packages/patches/pjproject-correct-the-cflags-field.patch \
   %D%/packages/patches/pjproject-fix-pkg-config-ldflags.patch	\
-  %D%/packages/patches/plink-1.07-unclobber-i.patch		\
-  %D%/packages/patches/plink-endian-detection.patch		\
+  %D%/packages/patches/plasma-framework-fix-KF5PlasmaMacros.cmake.patch \
   %D%/packages/patches/plib-CVE-2011-4620.patch		\
   %D%/packages/patches/plib-CVE-2012-4552.patch		\
+  %D%/packages/patches/plink-1.07-unclobber-i.patch		\
+  %D%/packages/patches/plink-endian-detection.patch		\
   %D%/packages/patches/plotutils-spline-test.patch		\
   %D%/packages/patches/portaudio-audacity-compat.patch		\
   %D%/packages/patches/portmidi-modular-build.patch		\
   %D%/packages/patches/postgresql-disable-resolve_symlinks.patch	\
-  %D%/packages/patches/procmail-ambiguous-getline-debian.patch  \
+  %D%/packages/patches/ppsspp-disable-upgrade-and-gold.patch		\
   %D%/packages/patches/procmail-CVE-2014-3618.patch		\
   %D%/packages/patches/procmail-CVE-2017-16844.patch		\
+  %D%/packages/patches/procmail-ambiguous-getline-debian.patch  \
   %D%/packages/patches/proot-test-fhs.patch			\
   %D%/packages/patches/psm-arch.patch				\
   %D%/packages/patches/psm-disable-memory-stats.patch		\
@@ -1516,6 +1505,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/pybugz-encode-error.patch		\
   %D%/packages/patches/pybugz-stty.patch			\
   %D%/packages/patches/pygpgme-disable-problematic-tests.patch  \
+  %D%/packages/patches/pypy3-7.3.1-fix-tests.patch		\
   %D%/packages/patches/pyqt-configure.patch			\
   %D%/packages/patches/pyqt-public-sip.patch			\
   %D%/packages/patches/python-2-deterministic-build-info.patch	\
@@ -1525,8 +1515,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-2.7-source-date-epoch.patch	\
   %D%/packages/patches/python-3-arm-alignment.patch		\
   %D%/packages/patches/python-3-deterministic-build-info.patch	\
-  %D%/packages/patches/python-3-search-paths.patch		\
   %D%/packages/patches/python-3-fix-tests.patch			\
+  %D%/packages/patches/python-3-search-paths.patch		\
   %D%/packages/patches/python-3.8-fix-tests.patch		\
   %D%/packages/patches/python-3.9-fix-tests.patch		\
   %D%/packages/patches/python-CVE-2018-14647.patch		\
@@ -1534,35 +1524,34 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-aionotify-0.2.0-py3.8.patch	\
   %D%/packages/patches/python-argcomplete-1.11.1-fish31.patch	\
   %D%/packages/patches/python-axolotl-AES-fix.patch		\
-  %D%/packages/patches/python-cross-compile.patch		\
-  %D%/packages/patches/python2-larch-coverage-4.0a6-compatibility.patch \
   %D%/packages/patches/python-configobj-setuptools.patch	\
+  %D%/packages/patches/python-cross-compile.patch		\
   %D%/packages/patches/python-flask-restful-werkzeug-compat.patch	\
-  %D%/packages/patches/python-keras-integration-test.patch	\
-  %D%/packages/patches/python-pep8-stdlib-tokenize-compat.patch \
-  %D%/packages/patches/python-pyfakefs-remove-bad-test.patch	\
   %D%/packages/patches/python-flint-includes.patch		\
+  %D%/packages/patches/python-keras-integration-test.patch	\
   %D%/packages/patches/python-libxml2-utf8.patch		\
   %D%/packages/patches/python-mediafile-wavpack.patch		\
   %D%/packages/patches/python-memcached-syntax-warnings.patch	\
   %D%/packages/patches/python-mox3-python3.6-compat.patch	\
-  %D%/packages/patches/python-testtools.patch			\
   %D%/packages/patches/python-onnx-use-system-googletest.patch	\
   %D%/packages/patches/python-packaging-test-arch.patch		\
-  %D%/packages/patches/python2-parameterized-docstring-test.patch	\
   %D%/packages/patches/python-paste-remove-timing-test.patch	\
+  %D%/packages/patches/python-pep8-stdlib-tokenize-compat.patch \
   %D%/packages/patches/python-pycrypto-CVE-2013-7459.patch	\
   %D%/packages/patches/python-pycrypto-time-clock.patch		\
   %D%/packages/patches/python-pydot-regression-test.patch	\
-  %D%/packages/patches/python2-pygobject-2-deprecation.patch	\
+  %D%/packages/patches/python-pyfakefs-remove-bad-test.patch	\
   %D%/packages/patches/python-pygpgme-fix-pinentry-tests.patch	\
   %D%/packages/patches/python-robotframework-source-date-epoch.patch \
   %D%/packages/patches/python-shouldbe-0.1.2-cpy3.8.patch	\
-  %D%/packages/patches/python2-subprocess32-disable-input-test.patch	\
+  %D%/packages/patches/python-testtools.patch			\
   %D%/packages/patches/python-unittest2-python3-compat.patch	\
   %D%/packages/patches/python-unittest2-remove-argparse.patch	\
   %D%/packages/patches/python-waitress-fix-tests.patch		\
-  %D%/packages/patches/pypy3-7.3.1-fix-tests.patch		\
+  %D%/packages/patches/python2-larch-coverage-4.0a6-compatibility.patch \
+  %D%/packages/patches/python2-parameterized-docstring-test.patch	\
+  %D%/packages/patches/python2-pygobject-2-deprecation.patch	\
+  %D%/packages/patches/python2-subprocess32-disable-input-test.patch	\
   %D%/packages/patches/qemu-build-info-manual.patch		\
   %D%/packages/patches/qemu-glibc-2.27.patch 			\
   %D%/packages/patches/qrcodegen-cpp-make-install.patch		\
@@ -1571,10 +1560,12 @@ dist_patch_DATA =						\
   %D%/packages/patches/qtbase-moc-ignore-gcc-macro.patch	\
   %D%/packages/patches/qtbase-use-TZDIR.patch			\
   %D%/packages/patches/qtscript-disable-tests.patch		\
+  %D%/packages/patches/qtwebkit-pbutils-include.patch		\
   %D%/packages/patches/quagga-reproducible-build.patch          \
   %D%/packages/patches/quassel-qt-514-compat.patch		\
   %D%/packages/patches/quickswitch-fix-dmenu-check.patch	\
-  %D%/packages/patches/qtwebkit-pbutils-include.patch		\
+  %D%/packages/patches/r-httpuv-1.5.5-unvendor-libuv.patch	\
+  %D%/packages/patches/racket-store-checksum-override.patch	\
   %D%/packages/patches/randomjungle-disable-static-build.patch	\
   %D%/packages/patches/rapicorn-isnan.patch			\
   %D%/packages/patches/rapidjson-gcc-compat.patch		\
@@ -1583,21 +1574,19 @@ dist_patch_DATA =						\
   %D%/packages/patches/ratpoison-shell.patch			\
   %D%/packages/patches/rcs-5.10.0-no-stdin.patch		\
   %D%/packages/patches/rct-add-missing-headers.patch		\
-  %D%/packages/patches/readline-link-ncurses.patch		\
   %D%/packages/patches/readline-6.2-CVE-2014-2524.patch		\
+  %D%/packages/patches/readline-link-ncurses.patch		\
+  %D%/packages/patches/remake-impure-dirs.patch			\
   %D%/packages/patches/renpy-use-system-fribidi.patch		\
   %D%/packages/patches/reposurgeon-add-missing-docbook-files.patch	\
-  %D%/packages/patches/r-httpuv-1.5.5-unvendor-libuv.patch	\
+  %D%/packages/patches/retroarch-disable-online-updater.patch	\
   %D%/packages/patches/ri-li-modernize_cpp.patch		\
   %D%/packages/patches/ripperx-missing-file.patch		\
-  %D%/packages/patches/rpcbind-CVE-2017-8779.patch		\
-  %D%/packages/patches/rtags-separate-rct.patch			\
-  %D%/packages/patches/racket-store-checksum-override.patch	\
-  %D%/packages/patches/remake-impure-dirs.patch			\
-  %D%/packages/patches/retroarch-disable-online-updater.patch	\
   %D%/packages/patches/rnp-add-version.cmake.patch		\
   %D%/packages/patches/rnp-disable-ruby-rnp-tests.patch		\
   %D%/packages/patches/rnp-unbundle-googletest.patch		\
+  %D%/packages/patches/rpcbind-CVE-2017-8779.patch		\
+  %D%/packages/patches/rtags-separate-rct.patch			\
   %D%/packages/patches/ruby-rack-ignore-failing-test.patch	\
   %D%/packages/patches/ruby-rubocop-break-dependency-cycle.patch\
   %D%/packages/patches/ruby-sanitize-system-libxml.patch	\
@@ -1612,9 +1601,10 @@ dist_patch_DATA =						\
   %D%/packages/patches/rust-ndarray-remove-blas-src-dep.patch	\
   %D%/packages/patches/rust-nettle-disable-vendor.patch		 \
   %D%/packages/patches/rust-nettle-sys-disable-vendor.patch	 \
-  %D%/packages/patches/rust-reproducible-builds.patch		 \
   %D%/packages/patches/rust-openssl-sys-no-vendor.patch	\
+  %D%/packages/patches/rust-reproducible-builds.patch		 \
   %D%/packages/patches/rxvt-unicode-escape-sequences.patch	\
+  %D%/packages/patches/samba-fix-fcntl-hint-detection.patch		\
   %D%/packages/patches/sbc-fix-build-non-x86.patch		\
   %D%/packages/patches/sbcl-clml-fix-types.patch		\
   %D%/packages/patches/scalapack-blacs-mpi-deprecations.patch	\
@@ -1622,31 +1612,41 @@ dist_patch_DATA =						\
   %D%/packages/patches/scotch-build-parallelism.patch		\
   %D%/packages/patches/scotch-integer-declarations.patch	\
   %D%/packages/patches/screen-hurd-path-max.patch		\
+  %D%/packages/patches/sdcc-disable-non-free-code.patch		\
   %D%/packages/patches/sdl-libx11-1.6.patch			\
+  %D%/packages/patches/sdl-pango-api_additions.patch		\
+  %D%/packages/patches/sdl-pango-blit_overflow.patch		\
+  %D%/packages/patches/sdl-pango-fillrect_crash.patch		\
+  %D%/packages/patches/sdl-pango-header-guard.patch		\
+  %D%/packages/patches/sdl-pango-matrix_declarations.patch	\
+  %D%/packages/patches/sdl-pango-sans-serif.patch		\
   %D%/packages/patches/seed-webkit.patch			\
   %D%/packages/patches/seq24-rename-mutex.patch			\
   %D%/packages/patches/serf-python3.patch			\
+  %D%/packages/patches/shadow-hurd-pctrl.patch			\
   %D%/packages/patches/shakespeare-spl-fix-grammar.patch		\
   %D%/packages/patches/sharutils-CVE-2018-1000097.patch		\
-  %D%/packages/patches/shadow-hurd-pctrl.patch			\
   %D%/packages/patches/shishi-fix-libgcrypt-detection.patch	\
-  %D%/packages/patches/slim-session.patch			\
   %D%/packages/patches/slim-config.patch			\
-  %D%/packages/patches/slim-sigusr1.patch			\
-  %D%/packages/patches/slim-reset.patch				\
-  %D%/packages/patches/slim-login.patch				\
   %D%/packages/patches/slim-display.patch			\
+  %D%/packages/patches/slim-login.patch				\
+  %D%/packages/patches/slim-reset.patch				\
+  %D%/packages/patches/slim-session.patch			\
+  %D%/packages/patches/slim-sigusr1.patch			\
+  %D%/packages/patches/smalltalk-multiplication-overflow.patch	\
   %D%/packages/patches/snappy-add-O2-flag-in-CmakeLists.txt.patch	\
   %D%/packages/patches/sphinxbase-fix-doxygen.patch		\
+  %D%/packages/patches/sqlite-hurd.patch			\
   %D%/packages/patches/sssd-fix-samba.patch			\
   %D%/packages/patches/sssd-system-directories.patch		\
   %D%/packages/patches/steghide-fixes.patch			\
   %D%/packages/patches/suitesparse-mongoose-cmake.patch		\
+  %D%/packages/patches/sunxi-tools-remove-sys-io.patch	\
   %D%/packages/patches/superlu-dist-awpm-grid.patch		\
   %D%/packages/patches/superlu-dist-scotchmetis.patch		\
   %D%/packages/patches/supertux-unbundle-squirrel.patch		\
-  %D%/packages/patches/swish-e-search.patch			\
   %D%/packages/patches/swish-e-format-security.patch		\
+  %D%/packages/patches/swish-e-search.patch			\
   %D%/packages/patches/symmetrica-bruch.patch			\
   %D%/packages/patches/symmetrica-int32.patch			\
   %D%/packages/patches/symmetrica-return_values.patch 		\
@@ -1660,24 +1660,24 @@ dist_patch_DATA =						\
   %D%/packages/patches/tar-remove-wholesparse-check.patch	\
   %D%/packages/patches/tar-skip-unreliable-tests.patch		\
   %D%/packages/patches/tcc-boot-0.9.27.patch			\
-  %D%/packages/patches/tclxml-3.2-install.patch			\
   %D%/packages/patches/tcl-fix-cross-compilation.patch		\
+  %D%/packages/patches/tclxml-3.2-install.patch			\
   %D%/packages/patches/tcsh-fix-autotest.patch			\
   %D%/packages/patches/teensy-loader-cli-help.patch		\
-  %D%/packages/patches/texinfo-5-perl-compat.patch		\
-  %D%/packages/patches/texlive-bin-poppler-0.83.patch		\
-  %D%/packages/patches/texlive-bin-poppler-0.86.patch		\
   %D%/packages/patches/telegram-purple-adjust-test.patch	\
   %D%/packages/patches/telepathy-glib-channel-memory-leak.patch	\
   %D%/packages/patches/texi2html-document-encoding.patch	\
   %D%/packages/patches/texi2html-i18n.patch			\
+  %D%/packages/patches/texinfo-5-perl-compat.patch		\
+  %D%/packages/patches/texlive-bin-poppler-0.83.patch		\
+  %D%/packages/patches/texlive-bin-poppler-0.86.patch		\
   %D%/packages/patches/thefuck-test-environ.patch		\
   %D%/packages/patches/tidy-CVE-2015-5522+5523.patch		\
   %D%/packages/patches/tinyxml-use-stl.patch			\
   %D%/packages/patches/tipp10-disable-downloader.patch		\
   %D%/packages/patches/tipp10-fix-compiling.patch		\
-  %D%/packages/patches/tipp10-remove-license-code.patch		\
   %D%/packages/patches/tipp10-qt5.patch			\
+  %D%/packages/patches/tipp10-remove-license-code.patch		\
   %D%/packages/patches/tk-find-library.patch			\
   %D%/packages/patches/transcode-ffmpeg.patch	\
   %D%/packages/patches/transmission-honor-localedir.patch	\
@@ -1700,14 +1700,14 @@ dist_patch_DATA =						\
   %D%/packages/patches/unzip-CVE-2015-7697.patch		\
   %D%/packages/patches/unzip-allow-greater-hostver-values.patch	\
   %D%/packages/patches/unzip-attribs-overflow.patch		\
-  %D%/packages/patches/unzip-overflow-on-invalid-input.patch	\
   %D%/packages/patches/unzip-format-secure.patch		\
   %D%/packages/patches/unzip-initialize-symlink-flag.patch	\
   %D%/packages/patches/unzip-overflow-long-fsize.patch		\
+  %D%/packages/patches/unzip-overflow-on-invalid-input.patch	\
   %D%/packages/patches/unzip-remove-build-date.patch		\
+  %D%/packages/patches/upower-builddir.patch			\
   %D%/packages/patches/ustr-fix-build-with-gcc-5.patch		\
   %D%/packages/patches/util-linux-tests.patch			\
-  %D%/packages/patches/upower-builddir.patch			\
   %D%/packages/patches/valgrind-enable-arm.patch		\
   %D%/packages/patches/vboot-utils-fix-format-load-address.patch	\
   %D%/packages/patches/vboot-utils-fix-tests-show-contents.patch	\
@@ -1723,8 +1723,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/vte-CVE-2012-2738-pt1.patch			\
   %D%/packages/patches/vte-CVE-2012-2738-pt2.patch			\
   %D%/packages/patches/warsow-qfusion-fix-bool-return-type.patch	\
-  %D%/packages/patches/webkitgtk-share-store.patch		\
   %D%/packages/patches/webkitgtk-bind-all-fonts.patch		\
+  %D%/packages/patches/webkitgtk-share-store.patch		\
   %D%/packages/patches/websocketpp-fix-for-cmake-3.15.patch	\
   %D%/packages/patches/wgetpaste-update-bpaste.patch		\
   %D%/packages/patches/wicd-bitrate-none-fix.patch		\
-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 3 Feb 2021 23:31:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 03 18:31:05 2021
Received: from localhost ([127.0.0.1]:39165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7Rbv-0000Mv-4L
	for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:31:05 -0500
Received: from mail.zaclys.net ([178.33.93.72]:36911)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7Rbp-0000DU-Hm
 for 46277 <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:30:57 -0500
Received: from localhost.localdomain
 (lam21-1_migr-78-196-200-185.fbx.proxad.net [78.196.200.185] (may be forged))
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 113NUaeD000499
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Thu, 4 Feb 2021 00:30:47 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 113NUaeD000499
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612395047;
 bh=cw+tzYDzuZHMk4xjYF50v86mMLBOvr2YKskdPtblBZM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=MtcALGP2VuHjvBOOAEJLr0Svt3MFXh70QxCQHlIItDEeWjLuZZ1QylV4i+pi6mptx
 puEvoQY/eFvn2dBQRm8jX+bQDOwWp0YKHhXu5sLoBino+d8b3jhOT5XHX5iUU26RbF
 3k7vjsUlBHUrnUSvxxr/i3M4RBU7bw+HVaNtIiJM=
From: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
To: 46277 <at> debbugs.gnu.org
Subject: [PATCH v2 2/2] gnu: Add fwupd.
Date: Thu,  4 Feb 2021 00:30:32 +0100
Message-Id: <20210203233032.27932-3-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.0
In-Reply-To: <20210203233032.27932-1-lle-bout@HIDDEN>
References: <20210203233032.27932-1-lle-bout@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
Cc: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/firmware.scm (fwupd): New variable.
* gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch,
gnu/packages/patches/fwupd-do-not-write-to-var.patch,
gnu/packages/patches/fwupd-installed-tests-path.patch,
gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch: New patches.
* gnu/local.mk (dist_patch_DATA): Register them.
---
 gnu/local.mk                                  |   5 +
 gnu/packages/firmware.scm                     | 120 ++++++++++++-
 ...d-option-for-installation-sysconfdir.patch | 161 ++++++++++++++++++
 .../patches/fwupd-do-not-write-to-var.patch   |   8 +
 .../patches/fwupd-installed-tests-path.patch  |  48 ++++++
 .../fwupd-remove-nonfree-lvfs-repo.patch      | 147 ++++++++++++++++
 6 files changed, 488 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
 create mode 100644 gnu/packages/patches/fwupd-do-not-write-to-var.patch
 create mode 100644 gnu/packages/patches/fwupd-installed-tests-path.patch
 create mode 100644 gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 5ef82650c7..3c0e313d2a 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1002,6 +1002,10 @@ dist_patch_DATA =						\
   %D%/packages/patches/freedink-engine-fix-sdl-hints.patch	\
   %D%/packages/patches/freeimage-unbundle.patch		\
   %D%/packages/patches/fuse-overlapping-headers.patch				\
+  %D%/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch	\
+  %D%/packages/patches/fwupd-do-not-write-to-var.patch	\
+  %D%/packages/patches/fwupd-installed-tests-path.patch	\
+  %D%/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch	\
   %D%/packages/patches/gajim-honour-GAJIM_PLUGIN_PATH.patch	\
   %D%/packages/patches/ganeti-deterministic-manual.patch	\
   %D%/packages/patches/ganeti-disable-version-symlinks.patch	\
@@ -1760,5 +1764,6 @@ dist_patch_DATA =						\
   %D%/packages/patches/yggdrasil-extra-config.patch	\
   %D%/packages/patches/zziplib-CVE-2018-16548.patch
 
+
 MISC_DISTRO_FILES =				\
   %D%/packages/ld-wrapper.in
diff --git a/gnu/packages/firmware.scm b/gnu/packages/firmware.scm
index fcdb5a801e..30afda1796 100644
--- a/gnu/packages/firmware.scm
+++ b/gnu/packages/firmware.scm
@@ -30,18 +30,46 @@
   #:use-module (guix utils)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system meson)
   #:use-module (gnu packages)
   #:use-module (gnu packages admin)
   #:use-module (gnu packages assembly)
+  #:use-module (gnu packages autotools)
+  #:use-module (gnu packages backup)
   #:use-module (gnu packages base)
   #:use-module (gnu packages bison)
+  #:use-module (gnu packages check)
   #:use-module (gnu packages cmake)
+  #:use-module (gnu packages compression)
   #:use-module (gnu packages cross-base)
+  #:use-module (gnu packages curl)
+  #:use-module (gnu packages efi)
+  #:use-module (gnu packages elf)
   #:use-module (gnu packages flex)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages gettext)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages gnome)
+  #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages gtk)
+  #:use-module (gnu packages hardware)
   #:use-module (gnu packages linux)
+  #:use-module (gnu packages linux)
+  #:use-module (gnu packages man)
+  #:use-module (gnu packages mingw)
+  #:use-module (gnu packages package-management)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages perl)
-  #:use-module (gnu packages python))
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages polkit)
+  #:use-module (gnu packages python)
+  #:use-module (gnu packages python)
+  #:use-module (gnu packages python-xyz)
+  #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages tls)
+  #:use-module (gnu packages version-control)
+  #:use-module (gnu packages web)
+  #:use-module (gnu packages xml))
 
 (define-public ath9k-htc-firmware
   (package
@@ -621,3 +649,93 @@ switching support).\n")
              #t)))))
     (native-inputs `(("cross-gcc" ,(cross-gcc "arm-none-eabi" #:xgcc gcc-7))
                      ("cross-binutils" ,(cross-binutils "arm-none-eabi"))))))
+
+(define-public fwupd
+  (package
+    (name "fwupd")
+    (version "1.5.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://github.com/fwupd/fwupd")
+         (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0hrxp3hl1sm0gb1200qwyb330pknxicf5p0x5vgdv8ha4jf9zygc"))
+       (patches (search-patches
+                 "fwupd-do-not-write-to-var.patch"
+                 "fwupd-add-option-for-installation-sysconfdir.patch"
+                 "fwupd-installed-tests-path.patch"
+                 "fwupd-remove-nonfree-lvfs-repo.patch"))))
+    (build-system meson-build-system)
+    (outputs (list "out" "installed-tests"))
+    (arguments
+     `(#:configure-flags
+       (list "--wrap-mode=nofallback"
+             "-Dsystemd=false"
+             (string-append
+              "-Defi-libdir=" (assoc-ref %build-inputs "gnu-efi") "/lib")
+             (string-append
+              "-Defi-ldsdir=" (assoc-ref %build-inputs "gnu-efi") "/lib")
+             (string-append
+              "-Defi-includedir=" (assoc-ref %build-inputs "gnu-efi")
+              "/include/efi")
+             (string-append
+              "-Dudevdir=" (assoc-ref %outputs "out") "/lib/udev")
+             "--localstatedir=/var"
+             "--sysconfdir=/etc"
+             (string-append
+              "-Dsysconfdir_install=" (assoc-ref %outputs "out") "/etc")
+             (string-append
+              "--libexecdir=" (assoc-ref %outputs "out") "/libexec")
+             "-Dsupported_build=true"
+             (string-append
+              "-Dinstalled_test_prefix="
+              (assoc-ref %outputs "installed-tests")))
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'install 'no-polkit-magic
+           ;; Meson ‘magically’ invokes pkexec, which fails (not setuid).
+           (lambda _
+             (setenv "PKEXEC_UID" "something")
+             #t)))))
+    (native-inputs
+     `(("gobject-introspection" ,gobject-introspection)
+       ("python-pygobject" ,python-pygobject)
+       ("python-pillow" ,python-pillow)
+       ("python-pycairo" ,python-pycairo)
+       ("pkg-config" ,pkg-config)
+       ("vala" ,vala)
+       ("umockdev" ,umockdev)
+       ("glib:bin" ,glib "bin")
+       ("help2man" ,help2man)
+       ("gettext" ,gettext-minimal)))
+    (inputs
+     `(("glib" ,glib)
+       ("libgudev" ,libgudev)
+       ("libxmlb" ,libxmlb)
+       ("gusb" ,gusb)
+       ("sqlite" ,sqlite)
+       ("libarchive" ,libarchive)
+       ("libjcat" ,libjcat)
+       ("json-glib" ,json-glib)
+       ("curl" ,curl)
+       ("polkit" ,polkit)
+       ("eudev" ,eudev)
+       ("gcab" ,gcab)
+       ("gnutls" ,gnutls)
+       ("libelf" ,libelf)
+       ("tpm2-tss" ,tpm2-tss)
+       ("cairo" ,cairo)
+       ("efivar" ,efivar)
+       ("pango" ,pango)
+       ("mingw-w64-tools", mingw-w64-tools)
+       ("libsmbios" ,libsmbios)
+       ("gnu-efi" ,gnu-efi)))
+    (home-page "https://fwupd.org/")
+    (synopsis "A simple daemon to allow session software to update firmware")
+    (description "This package aims to make updating firmware on Linux
+automatic, safe and reliable.")
+    (license license:lgpl2.1+)))
diff --git a/gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch b/gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
new file mode 100644
index 0000000000..0cb397ca47
--- /dev/null
+++ b/gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
@@ -0,0 +1,161 @@
+diff --git a/data/meson.build b/data/meson.build
+index 50154569..f8058a8e 100644
+--- a/data/meson.build
++++ b/data/meson.build
+@@ -17,7 +17,7 @@ endif
+ 
+ if build_standalone
+   install_data(['daemon.conf'],
+-    install_dir : join_paths(sysconfdir, 'fwupd')
++    install_dir : join_paths(sysconfdir_install, 'fwupd')
+   )
+ endif
+ 
+diff --git a/data/pki/meson.build b/data/pki/meson.build
+index 94bb0b6f..1ea6a9ac 100644
+--- a/data/pki/meson.build
++++ b/data/pki/meson.build
+@@ -3,24 +3,23 @@ install_data([
+     'GPG-KEY-Linux-Foundation-Firmware',
+     'GPG-KEY-Linux-Vendor-Firmware-Service',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd')
+ )
+ 
+ install_data([
+     'GPG-KEY-Linux-Foundation-Metadata',
+     'GPG-KEY-Linux-Vendor-Firmware-Service',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd-metadata')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd-metadata')
+ )
+ 
+ install_data([
+     'LVFS-CA.pem',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd')
+ )
+ install_data([
+     'LVFS-CA.pem',
+   ],
+-  install_dir : join_paths(sysconfdir, 'pki', 'fwupd-metadata')
++  install_dir : join_paths(sysconfdir_install, 'pki', 'fwupd-metadata')
+ )
+-
+diff --git a/data/remotes.d/meson.build b/data/remotes.d/meson.build
+index 826a3c1d..b78db663 100644
+--- a/data/remotes.d/meson.build
++++ b/data/remotes.d/meson.build
+@@ -3,7 +3,7 @@ if build_daemon and get_option('lvfs')
+       'lvfs.conf',
+       'lvfs-testing.conf',
+     ],
+-    install_dir : join_paths(sysconfdir, 'fwupd', 'remotes.d')
++    install_dir : join_paths(sysconfdir_install, 'fwupd', 'remotes.d')
+   )
+   i18n.merge_file(
+     input: 'lvfs.metainfo.xml',
+@@ -37,12 +37,12 @@ configure_file(
+   output : 'vendor.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(sysconfdir_install, 'fwupd', 'remotes.d'),
+ )
+ configure_file(
+   input : 'vendor-directory.conf',
+   output : 'vendor-directory.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(sysconfdir_install, 'fwupd', 'remotes.d'),
+ )
+diff --git a/meson.build b/meson.build
+index 1ab6519b..0f2fcea6 100644
+--- a/meson.build
++++ b/meson.build
+@@ -196,6 +196,12 @@ endif
+ mandir = join_paths(prefix, get_option('mandir'))
+ localedir = join_paths(prefix, get_option('localedir'))
+ 
++if get_option('sysconfdir_install') != ''
++  sysconfdir_install = join_paths(prefix, get_option('sysconfdir_install'))
++else
++  sysconfdir_install = sysconfdir
++endif
++
+ diffcmd = find_program('diff')
+ gio = dependency('gio-2.0', version : '>= 2.45.8')
+ giounix = dependency('gio-unix-2.0', version : '>= 2.45.8', required: false)
+diff --git a/meson_options.txt b/meson_options.txt
+index 87e76870..16cb876c 100644
+--- a/meson_options.txt
++++ b/meson_options.txt
+@@ -1,3 +1,4 @@
++option('sysconfdir_install', type: 'string', value: '', description: 'sysconfdir to use during installation')
+ option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
+ option('agent', type : 'boolean', value : true, description : 'enable the fwupd agent')
+ option('consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
+diff --git a/plugins/dell-esrt/meson.build b/plugins/dell-esrt/meson.build
+index ed4eee70..76dbdb1d 100644
+--- a/plugins/dell-esrt/meson.build
++++ b/plugins/dell-esrt/meson.build
+@@ -37,5 +37,5 @@ configure_file(
+   output : 'dell-esrt.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(sysconfdir_install, 'fwupd', 'remotes.d'),
+ )
+diff --git a/plugins/redfish/meson.build b/plugins/redfish/meson.build
+index 205d1394..3223f404 100644
+--- a/plugins/redfish/meson.build
++++ b/plugins/redfish/meson.build
+@@ -27,7 +27,7 @@ shared_module('fu_plugin_redfish',
+ )
+ 
+ install_data(['redfish.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
+ 
+ if get_option('tests')
+diff --git a/plugins/thunderbolt/meson.build b/plugins/thunderbolt/meson.build
+index 6b2368fb..2bd06fed 100644
+--- a/plugins/thunderbolt/meson.build
++++ b/plugins/thunderbolt/meson.build
+@@ -31,7 +31,7 @@ fu_plugin_thunderbolt = shared_module('fu_plugin_thunderbolt',
+ )
+ 
+ install_data(['thunderbolt.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
+ # we use functions from 2.52 in the tests
+ if get_option('tests') and umockdev.found() and gio.version().version_compare('>= 2.52')
+diff --git a/plugins/uefi-capsule/meson.build b/plugins/uefi-capsule/meson.build
+index 675de181..a02c7754 100644
+--- a/plugins/uefi-capsule/meson.build
++++ b/plugins/uefi-capsule/meson.build
+@@ -94,7 +94,7 @@ if get_option('man')
+ endif
+ 
+ install_data(['uefi_capsule.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
+ 
+ # add all the .po files as inputs to watch
+diff --git a/plugins/upower/meson.build b/plugins/upower/meson.build
+index 290a3eb6..9ab2f452 100644
+--- a/plugins/upower/meson.build
++++ b/plugins/upower/meson.build
+@@ -23,5 +23,5 @@ shared_module('fu_plugin_upower',
+ )
+ 
+ install_data(['upower.conf'],
+-  install_dir:  join_paths(sysconfdir, 'fwupd')
++  install_dir:  join_paths(sysconfdir_install, 'fwupd')
+ )
diff --git a/gnu/packages/patches/fwupd-do-not-write-to-var.patch b/gnu/packages/patches/fwupd-do-not-write-to-var.patch
new file mode 100644
index 0000000000..474b250097
--- /dev/null
+++ b/gnu/packages/patches/fwupd-do-not-write-to-var.patch
@@ -0,0 +1,8 @@
+diff --git a/data/builder/meson.build b/data/builder/meson.build
+index c7a430c0..e69de29b 100644
+--- a/data/builder/meson.build
++++ b/data/builder/meson.build
+@@ -1,3 +0,0 @@
+-install_data('README.md',
+-  install_dir : join_paths(localstatedir, 'lib', 'fwupd', 'builder')
+-)
diff --git a/gnu/packages/patches/fwupd-installed-tests-path.patch b/gnu/packages/patches/fwupd-installed-tests-path.patch
new file mode 100644
index 0000000000..d8f1a533b8
--- /dev/null
+++ b/gnu/packages/patches/fwupd-installed-tests-path.patch
@@ -0,0 +1,48 @@
+diff --git a/data/device-tests/hardware.py b/data/device-tests/hardware.py
+index 7f1e1907..10fee1b8 100755
+--- a/data/device-tests/hardware.py
++++ b/data/device-tests/hardware.py
+@@ -1,4 +1,4 @@
+-#!/usr/bin/python3
++#!@installedTestsPython@/bin/python3
+ # pylint: disable=wrong-import-position,too-many-locals,unused-argument,wrong-import-order
+ #
+ # Copyright (C) 2017 Richard Hughes <richard@HIDDEN>
+diff --git a/data/installed-tests/meson.build b/data/installed-tests/meson.build
+index adadbcdd..1b51bb9c 100644
+--- a/data/installed-tests/meson.build
++++ b/data/installed-tests/meson.build
+@@ -65,5 +65,5 @@ configure_file(
+   output : 'fwupd-tests.conf',
+   configuration : con2,
+   install: true,
+-  install_dir: join_paths(sysconfdir, 'fwupd', 'remotes.d'),
++  install_dir: join_paths(get_option('installed_test_prefix'), 'etc', 'fwupd', 'remotes.d'),
+ )
+diff --git a/meson.build b/meson.build
+index 772b7bbe..f59302cd 100644
+--- a/meson.build
++++ b/meson.build
+@@ -177,8 +177,8 @@ else
+   datadir = join_paths(prefix, get_option('datadir'))
+   sysconfdir = join_paths(prefix, get_option('sysconfdir'))
+   localstatedir = join_paths(prefix, get_option('localstatedir'))
+-  installed_test_bindir = join_paths(libexecdir, 'installed-tests', meson.project_name())
+-  installed_test_datadir = join_paths(datadir, 'installed-tests', meson.project_name())
++  installed_test_bindir = join_paths(get_option('installed_test_prefix'), 'libexec', 'installed-tests', meson.project_name())
++  installed_test_datadir = join_paths(get_option('installed_test_prefix'), 'share', 'installed-tests', meson.project_name())
+ endif
+ mandir = join_paths(prefix, get_option('mandir'))
+ localedir = join_paths(prefix, get_option('localedir'))
+diff --git a/meson_options.txt b/meson_options.txt
+index 0a0e2853..5f68d78b 100644
+--- a/meson_options.txt
++++ b/meson_options.txt
+@@ -25,6 +26,7 @@ option('plugin_coreboot', type : 'boolean', value : true, description : 'enable
+ option('systemd', type : 'boolean', value : true, description : 'enable systemd support')
+ option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
+ option('elogind', type : 'boolean', value : false, description : 'enable elogind support')
++option('installed_test_prefix', type: 'string', description: 'Prefix for installed tests')
+ option('tests', type : 'boolean', value : true, description : 'enable tests')
+ option('tpm', type : 'boolean', value : true, description : 'enable TPM support')
+ option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
diff --git a/gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch b/gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch
new file mode 100644
index 0000000000..3efe523703
--- /dev/null
+++ b/gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch
@@ -0,0 +1,147 @@
+diff --git a/data/remotes.d/lvfs-testing.conf b/data/remotes.d/lvfs-testing.conf
+deleted file mode 100644
+index 740a793e..00000000
+--- a/data/remotes.d/lvfs-testing.conf
++++ /dev/null
+@@ -1,12 +0,0 @@
+-[fwupd Remote]
+-
+-# this remote provides metadata and firmware marked as 'testing' from the LVFS
+-Enabled=false
+-Title=Linux Vendor Firmware Service (testing)
+-MetadataURI=https://cdn.fwupd.org/downloads/firmware-testing.xml.gz
+-ReportURI=https://fwupd.org/lvfs/firmware/report
+-Username=
+-Password=
+-OrderBefore=lvfs,fwupd
+-AutomaticReports=false
+-ApprovalRequired=false
+diff --git a/data/remotes.d/lvfs-testing.metainfo.xml b/data/remotes.d/lvfs-testing.metainfo.xml
+deleted file mode 100644
+index 3e36aab7..00000000
+--- a/data/remotes.d/lvfs-testing.metainfo.xml
++++ /dev/null
+@@ -1,35 +0,0 @@
+-<?xml version="1.0" encoding="UTF-8"?>
+-<!-- Copyright 2018 Richard Hughes <richard@HIDDEN> -->
+-
+-<component type="source">
+-  <id>org.freedesktop.fwupd.remotes.lvfs-testing</id>
+-  <name>Linux Vendor Firmware Service (testing firmware)</name>
+-  <metadata_license>CC0-1.0</metadata_license>
+-  <agreement version_id="1.0">
+-    <agreement_section>
+-      <description>
+-        <!-- TRANSLATORS: do not translate the variables marked using $ -->
+-        <p>
+-          The LVFS is a free service that operates as an independent legal
+-          entity and has no connection with $OS_RELEASE:NAME$.
+-          Your distributor may not have verified any of the firmware updates for
+-          compatibility with your system or connected devices.
+-          All firmware is provided only by the original equipment manufacturer.
+-        </p>
+-        <p>
+-          This remote contains firmware which is not embargoed, but is still being
+-          tested by the hardware vendor.
+-          You should ensure you have a way to manually downgrade the firmware if
+-          the firmware update fails.
+-        </p>
+-        <p>
+-          Enabling this functionality is done at your own risk, which means you
+-          have to contact your original equipment manufacturer regarding any
+-          problems caused by these updates.
+-          Only problems with the update process itself should be filed at
+-          $OS_RELEASE:BUG_REPORT_URL$.
+-        </p>
+-      </description>
+-    </agreement_section>
+-  </agreement>
+-</component>
+diff --git a/data/remotes.d/lvfs.conf b/data/remotes.d/lvfs.conf
+deleted file mode 100644
+index f956bc97..00000000
+--- a/data/remotes.d/lvfs.conf
++++ /dev/null
+@@ -1,12 +0,0 @@
+-[fwupd Remote]
+-
+-# this remote provides metadata and firmware marked as 'stable' from the LVFS
+-Enabled=true
+-Title=Linux Vendor Firmware Service
+-MetadataURI=https://cdn.fwupd.org/downloads/firmware.xml.gz
+-ReportURI=https://fwupd.org/lvfs/firmware/report
+-SecurityReportURI=https://fwupd.org/lvfs/hsireports/upload
+-OrderBefore=fwupd
+-AutomaticReports=false
+-AutomaticSecurityReports=false
+-ApprovalRequired=false
+diff --git a/data/remotes.d/lvfs.metainfo.xml b/data/remotes.d/lvfs.metainfo.xml
+deleted file mode 100644
+index d9565ddd..00000000
+--- a/data/remotes.d/lvfs.metainfo.xml
++++ /dev/null
+@@ -1,29 +0,0 @@
+-<?xml version="1.0" encoding="UTF-8"?>
+-<!-- Copyright 2018 Richard Hughes <richard@HIDDEN> -->
+-
+-<component type="source">
+-  <id>org.freedesktop.fwupd.remotes.lvfs</id>
+-  <name>Linux Vendor Firmware Service (stable firmware)</name>
+-  <metadata_license>CC0-1.0</metadata_license>
+-  <agreement version_id="1.0">
+-    <agreement_section>
+-      <description>
+-        <!-- TRANSLATORS: do not translate the variables marked using $ -->
+-        <p>
+-          The LVFS is a free service that operates as an independent legal
+-          entity and has no connection with $OS_RELEASE:NAME$.
+-          Your distributor may not have verified any of the firmware updates for
+-          compatibility with your system or connected devices.
+-          All firmware is provided only by the original equipment manufacturer.
+-        </p>
+-        <p>
+-          Enabling this functionality is done at your own risk, which means you
+-          have to contact your original equipment manufacturer regarding any
+-          problems caused by these updates.
+-          Only problems with the update process itself should be filed at
+-          $OS_RELEASE:BUG_REPORT_URL$.
+-        </p>
+-      </description>
+-    </agreement_section>
+-  </agreement>
+-</component>
+diff --git a/data/remotes.d/meson.build b/data/remotes.d/meson.build
+index 826a3c1d..1f585c09 100644
+--- a/data/remotes.d/meson.build
++++ b/data/remotes.d/meson.build
+@@ -1,30 +1,3 @@
+-if build_daemon and get_option('lvfs')
+-  install_data([
+-      'lvfs.conf',
+-      'lvfs-testing.conf',
+-    ],
+-    install_dir : join_paths(sysconfdir, 'fwupd', 'remotes.d')
+-  )
+-  i18n.merge_file(
+-    input: 'lvfs.metainfo.xml',
+-    output: 'org.freedesktop.fwupd.remotes.lvfs.metainfo.xml',
+-    type: 'xml',
+-    po_dir: join_paths(meson.source_root(), 'po'),
+-    data_dirs: join_paths(meson.source_root(), 'po'),
+-    install: true,
+-    install_dir: join_paths(get_option('datadir'), 'fwupd', 'metainfo')
+-  )
+-  i18n.merge_file(
+-    input: 'lvfs-testing.metainfo.xml',
+-    output: 'org.freedesktop.fwupd.remotes.lvfs-testing.metainfo.xml',
+-    type: 'xml',
+-    po_dir: join_paths(meson.source_root(), 'po'),
+-    data_dirs: join_paths(meson.source_root(), 'po'),
+-    install: true,
+-    install_dir: join_paths(get_option('datadir'), 'fwupd', 'metainfo')
+-  )
+-endif
+-
+ install_data('README.md',
+   install_dir : join_paths(datadir, 'fwupd', 'remotes.d', 'vendor', 'firmware')
+ )
-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.

Message received at 46277 <at> debbugs.gnu.org:


Received: (at 46277) by debbugs.gnu.org; 3 Feb 2021 23:30:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 03 18:30:57 2021
Received: from localhost ([127.0.0.1]:39163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7Rbs-0000LS-BV
	for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:30:57 -0500
Received: from mail.zaclys.net ([178.33.93.72]:48845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7Rbp-0000D0-HE
 for 46277 <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:30:54 -0500
Received: from localhost.localdomain
 (lam21-1_migr-78-196-200-185.fbx.proxad.net [78.196.200.185] (may be forged))
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 113NUaeB000499
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Thu, 4 Feb 2021 00:30:46 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 113NUaeB000499
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612395047;
 bh=Hz5NsRGivjeQADzJqQuNrE8OrH2CVLW/bG9SyXjcRkE=;
 h=From:To:Cc:Subject:Date:From;
 b=YVWIFOnkdYcBPcSfRXPzYICGKXyiGCuOfDzaTKUAdpLarOFED4UBSqYq8Fv7UQO+o
 3S3dB2VxQps07i/jCADoFMCucaywaaGva+pypPLL6a0KSdJQzzAiVfuDt+JsLT5Bs5
 JI/nWpLkvk8G6uDB+jw1pMf/IdZdhjGFxIGA4OTI=
From: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
To: 46277 <at> debbugs.gnu.org
Subject: [PATCH v2 0/2] gnu: Add fwupd and sort patch list.
Date: Thu,  4 Feb 2021 00:30:30 +0100
Message-Id: <20210203233032.27932-1-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46277
Cc: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Little oopsie here, duplicated some module imports. Fixed now.

Léo Le Bouter (2):
  gnu: Sort patch list alphabetically.
  gnu: Add fwupd.

 gnu/local.mk                                  | 405 +++++++++---------
 gnu/packages/firmware.scm                     | 120 +++++-
 ...d-option-for-installation-sysconfdir.patch | 161 +++++++
 .../patches/fwupd-do-not-write-to-var.patch   |   8 +
 .../patches/fwupd-installed-tests-path.patch  |  48 +++
 .../fwupd-remove-nonfree-lvfs-repo.patch      | 147 +++++++
 6 files changed, 688 insertions(+), 201 deletions(-)
 create mode 100644 gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
 create mode 100644 gnu/packages/patches/fwupd-do-not-write-to-var.patch
 create mode 100644 gnu/packages/patches/fwupd-installed-tests-path.patch
 create mode 100644 gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch

-- 
2.30.0





Information forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.
Merged 46277 46278 46279. Request was from Leo Le Bouter <lle-bout@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Feb 2021 23:15:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 03 18:15:08 2021
Received: from localhost ([127.0.0.1]:39142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l7RMZ-0007UL-6P
	for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:15:08 -0500
Received: from lists.gnu.org ([209.51.188.17]:53770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1l7RMW-0007U5-Md
 for submit <at> debbugs.gnu.org; Wed, 03 Feb 2021 18:15:05 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41330)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lle-bout@HIDDEN>)
 id 1l7RMW-0000Jy-HT
 for guix-patches@HIDDEN; Wed, 03 Feb 2021 18:15:04 -0500
Received: from mail.zaclys.net ([178.33.93.72]:55947)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lle-bout@HIDDEN>)
 id 1l7RMK-0000U4-K1
 for guix-patches@HIDDEN; Wed, 03 Feb 2021 18:15:04 -0500
Received: from localhost.localdomain
 (lam21-1_migr-78-196-200-185.fbx.proxad.net [78.196.200.185] (may be forged))
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 113NEZcs058902
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Thu, 4 Feb 2021 00:14:49 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 113NEZcs058902
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1612394089;
 bh=0D1M1bgM4B7ppj+DjedvPR3j9dX4oR2fuSegIU46wrg=;
 h=From:To:Cc:Subject:Date:From;
 b=Wb68hyrow7uBQhVSxE1SR/7psczoMzJbNzv2snHPSoGZ9nqk0y0yY4u9nPB9TKIZ+
 mg7v4nXIZWzppiUV/fdkqaNLisY/Tn8rB6l5wuPcaTwCUM3vZg/6cBqywVKGppAPTW
 x51SM94uC6UImMiKzeEpvTogAHj3uqKINZnvJzYo=
From: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] gnu: Add fwupd and sort patch list.
Date: Thu,  4 Feb 2021 00:14:17 +0100
Message-Id: <20210203231419.26724-1-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=178.33.93.72; envelope-from=lle-bout@HIDDEN;
 helo=mail.zaclys.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?L=C3=A9o=20Le=20Bouter?= <lle-bout@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello!

fwupd can be used to install firmware cab files manually in this state, these
cab files could be built by other GNU Guix packages for firmware such as:
<https://github.com/meklort/bcm5719-fw> ; It has the advantage that it contains
automation for updating firmware of lots of hardware.

I also sorted the patch list using "sort-lines" Emacs function, because it was
easier for me to insert the fwupd patches without having to sort alphabetically
by eye.

Thank you

Léo Le Bouter (2):
  gnu: Sort patch list alphabetically.
  gnu: Add fwupd.

 gnu/local.mk                                  | 405 +++++++++---------
 gnu/packages/firmware.scm                     | 120 +++++-
 ...d-option-for-installation-sysconfdir.patch | 161 +++++++
 .../patches/fwupd-do-not-write-to-var.patch   |   8 +
 .../patches/fwupd-installed-tests-path.patch  |  48 +++
 .../fwupd-remove-nonfree-lvfs-repo.patch      | 147 +++++++
 6 files changed, 688 insertions(+), 201 deletions(-)
 create mode 100644 gnu/packages/patches/fwupd-add-option-for-installation-sysconfdir.patch
 create mode 100644 gnu/packages/patches/fwupd-do-not-write-to-var.patch
 create mode 100644 gnu/packages/patches/fwupd-installed-tests-path.patch
 create mode 100644 gnu/packages/patches/fwupd-remove-nonfree-lvfs-repo.patch

-- 
2.30.0





Acknowledgement sent to Léo Le Bouter <lle-bout@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#46277; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 5 Feb 2021 08:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.